<?php

namespace App\AppContext;

use App\Facades\Context;
use App\Resolvers\Resolver;
use App\Traits\Guard;

class UserScope
{
    use Guard;
    public $user;
    protected $resolver;

    /**
     * @var array
     */
    public $guards = [];

    public function guards(array $guards = []): UserScope
    {
        $this->guards = array_merge($this->guards, $guards);
        return $this;
    }

    public function resolver(Resolver $resolver): UserScope
    {
        $this->resolver = $resolver;
        return $this;
    }

    /**
     * Check to see if the Scope is valid
     *
     * @return self
     */
    public function check(): UserScope
    {
        $client = Context::client()->get();
        $user = $this->get();
        $this->guard($this->guards, compact('user', 'client'));
        return $this;
    }

    public function get()
    {
        if ($this->user) {
            return $this->user;
        }
        if ($this->resolver) {
            return $this->user = $this->resolver->resolve();
        }
        return null;
    }
}