<?php

namespace App\Console\Commands;

use App\Models\Questionnaire\QuestionnaireAnswer;
use Illuminate\Console\Command;
use App\Services\Questionnaire\AnalyzeCommentEngagement as AnalyzeCommentEngagementService;

class AnalyzeCommentEngagement extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'engagement:comment-analyze';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Analyze comment';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     * @return void
     */
    public function handle()
    {
        // Only get 50 row
        $answers = QuestionnaireAnswer::where('analyzed', 0)->limit(50)->get();
        foreach ($answers as $answer) {
            if (empty($answer->comment)) {
                $answer->update(['analyzed' => 1]);
                continue;
            }
            app(AnalyzeCommentEngagementService::class)->execute(['id' => $answer->id]);
        }
    }
}
