<?php

namespace App\Console\Commands;

use App\Enum\ConversationStatues;
use App\Enum\ConversationTypes;
use App\Models\Account\ApiUsage;
use App\Models\Message\Conversation;
use App\Models\Message\Message;
use Carbon\Carbon;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

class DeleteApiMessage extends Command
{
    CONST DAY_INTERVAL = 30;

    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'api-message:delete';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Delete api messages';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     * @return void
     */
    public function handle()
    {
        $conversation = Conversation::query()->where('type', '=', ConversationTypes::ANONYMOUS_MESSAGE)
            ->where('updated_at', '<', Carbon::now()->subDays(self::DAY_INTERVAL));
        $conversation->update(['status' => ConversationStatues::DELETED]);
    }
}