<?php

namespace App\Console\Commands;

use App\Models\Account\ApiUsage;
use Carbon\Carbon;
use Illuminate\Console\Command;

class DeleteApiUsageLog extends Command
{
    CONST DAY_INTERVAL = 30;

    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'api-usage:delete';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Delete api usage logs';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     * @return void
     */
    public function handle()
    {
        ApiUsage::whereDate('created_at', '<', Carbon::now()->subDays(self::DAY_INTERVAL))->delete();
    }
}
