<?php

namespace App\Console\Commands;

use App\Helpers\AwsQuickSightHelper;
use Illuminate\Console\Command;

class QuickSightCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'quicksight:register {username}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Generate quicksight embeded link';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     * @return void
     */
    public function handle()
    {
        $username = $this->argument('username');
        
        (new AwsQuickSightHelper())->registerUserMembership($username);
    }
}
