<?php


namespace App\Console\Commands;


use App\Models\Attachment;
use App\Models\Client\Client;
use App\Models\Library\LibraryItem;
use Illuminate\Console\Command;
use Qualee\AiDocSearch\Services\ServerlessService;

class ReindexAiDocSearch extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'aidocsearch:reindex {clientid}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Reindex library item AI doc search';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     * @return void
     */
    public function handle()
    {
        $clientId = $this->argument('clientid');
        $libraryItems = LibraryItem::where('client_id', $clientId)->where('linkable_type', Attachment::class)->get();
        foreach($libraryItems as $libraryItem){
            if($libraryItem->linkable && $libraryItem->linkable instanceof Attachment){
                $libraryItemArray = $libraryItem->toArray();
                $libraryItemArray['file_path'] = $libraryItem->linkable->path;

                app(ServerlessService::class)->startDetectTextract($libraryItemArray);
            }

        }
    }
}