<?php

namespace App\Database;

use Illuminate\Contracts\Support\DeferrableProvider;
use Illuminate\Support\ServiceProvider;
use App\Database\Migrations\AppMigrationCreator;

class AppMigrationServiceProvider extends ServiceProvider implements DeferrableProvider
{

    public function register()
    {
        $this->app->singleton('migration.creator', function ($app) {
            return new AppMigrationCreator($app['files'],$app->basePath('stubs'));
        });
    }

    public function provides()
    {
        return ['migration.creator'];
    }
}