<?php


namespace App\Enum;


final class AccessPermissions
{
    public const ACCESS_GROUP_STATISTICS = 'statistics';
    public const ACCESS_GROUP_TOOLS = 'tools';
    public const ACCESS_GROUP_LIBRARY = 'library';
    public const ACCESS_GROUP_EVENTS = 'events';
    public const ACCESS_GROUP_ACTIONS = 'actions';
    public const ACCESS_GROUP_REPORTS = 'reports';
    public const ACCESS_GROUP_ADVANCED = 'advanced';
    public const ACCESS_GROUP_ADDITION = 'addition';
    public const ACCESS_GROUP_NOTIFICATIONS = 'notifications';
    public const ACCESS_GROUP_MESSAGES = 'messages';
    public const ACCESS_GROUP_EMPLOYEE_MESSAGES = 'employee_messages';
    public const ACCESS_GROUP_EMPLOYEE_DIRECTORY = 'employee_directory';

    // Statistics group permissions
    public const ACCESS_JOURNEY_STATISTICS = 'statistics.journey.access';
    public const ACCESS_ENGAGEMENT_TEAM_STATISTICS = 'statistics.engagement.team.access';
    public const ACCESS_ENGAGEMENT_COMPANY_STATISTICS = 'statistics.engagement.company.access';
    public const READ_COMMENT_TEAM_STATISTICS = 'statistics.comment.team.read';
    public const READ_COMMENT_COMPANY_STATISTICS = 'statistics.comment.company.read';

    // Tool group permissions
    public const ACCESS_JOURNEY = 'tools.journey.access';
    public const CREATE_EDIT_JOURNEY = 'tools.journey.create_edit';
    public const ACCESS_SURVEY = 'tools.survey.access';
    public const CREATE_EDIT_SURVEY = 'tools.survey.create_edit';
    public const ACCESS_QUIZ = 'tools.quiz.access';
    public const CREATE_EDIT_QUIZ = 'tools.quiz.create_edit';
    public const ACCESS_CHECKLIST = 'tools.checklist.access';
    public const CREATE_EDIT_CHECKLIST = 'tools.checklist.create_edit';
    public const CREATE_EDIT_FORM = 'tools.form.create_edit';

    // Library group permissions
    public const ACCESS_COMPANY_LIBRARY = 'library.company.access';
    public const ACCESS_CONTENT_PROFILE_LIBRARY = 'library.content_profile.access';
    public const CREATE_EDIT_DELETE_LIBRARY = 'library.create_edit_delete';

    // Event group permissions
    public const ACCESS_COMPANY_EVENT = 'events.company.access';
    public const ACCESS_OWNER_EVENT = 'events.owner.access';
    public const CREATE_EDIT_DELETE_EVENT = 'events.create_edit_delete';
    public const EDIT_DELETE_COMPANY_EVENT = 'events.company.edit_delete';
    public const SYNC_THIRD_PARTY_EVENT = 'events.third_party.sync';

    // Action group permissions
    public const CREATE_EDIT_DELETE_ACTION = 'actions.create_edit_delete';
    public const READ_ACTION = 'actions.read';

    // Report group permissions
    public const ACCESS_COMPANY_COMMENT = 'reports.company.comment.access';
    public const ACCESS_TEAM_COMMENT = 'reports.team.comment.access';
    public const ACCESS_COMMENT_REACT = 'reports.comment.react.access';
    public const ACCESS_TOPICS = 'reports.topic.access';
    public const ACCESS_HEATMAPS = 'reports.heatmap.access';
    public const ACCESS_BOARDS = 'reports.board.access';
    public const ACCESS_DRIVER = 'reports.driver.access';
    public const ACCESS_COMPANY_QUIZ_SURVEY_REPORT = 'reports.company.quiz_survey.access';
    public const ACCESS_OWNER_QUIZ_SURVEY_REPORT = 'reports.owner.quiz_survey.access';

    // Advanced group permissions
    public const ACCESS_EMPLOYEE = 'advanced.employee.access';
    public const CREATE_EMPLOYEE = 'advanced.employee.create';
    public const EDIT_EMPLOYEE = 'advanced.employee.edit';
    public const DELETE_EMPLOYEE = 'advanced.employee.delete';
    public const ACCESS_SEGMENT = 'advanced.segment.access';
    public const CREATE_EDIT_SEGMENT = 'advanced.segment.create_edit';
    public const ACCESS_THIRD_PARTY_INTEGRATION = 'advanced.third_party.integration.access';
    public const ACCESS_COMPANY_DETAIL = 'advanced.company.detail.access';
    public const EDIT_COMPANY_DETAIL = 'advanced.company.detail.edit';
    public const ACCESS_APP_DESIGN = 'advanced.app_design.access';
    public const EDIT_APP_DESIGN = 'advanced.app_design.edit';
    public const ACCESS_SECURITY = 'advanced.security.access';
    public const ACCESS_INITIATIVES = 'advanced.initiatives.access';
    public const CREATE_EDIT_INITIATIVES = 'advanced.initiatives.create_edit';

    // Notification group permissions
    public const SEND_SEGMENT_NOTIFICATION = 'notifications.segment.send';
    public const CLIENT_NOTIFICATION_CONSOLE_UPCOMING = 'client.alert_upcoming_event';

    public const NOTIFICATION_CONSOLE_BIRTHDAY = 'notifications.console.birthday';
    public const NOTIFICATION_CONSOLE_WORK_ANNIVERSARY = 'notifications.console.work_anniversary';
    public const NOTIFICATION_CONSOLE_MENTION = 'notifications.console.mention';
    public const NOTIFICATION_CONSOLE_EMPLOYEE_ACTION = 'notifications.console.employee_action';
    public const NOTIFICATION_CONSOLE_EMPLOYEE_JOURNEY = 'notifications.console.employee_journey';
    public const NOTIFICATION_CONSOLE_UPCOMING = 'notifications.console.upcoming';

    public const NOTIFICATION_APP_BIRTHDAY = 'notifications.app.birthday';
    public const NOTIFICATION_APP_WORK_ANNIVERSARY = 'notifications.app.work_anniversary';
    public const NOTIFICATION_APP_MENTION = 'notifications.app.mention';
    public const NOTIFICATION_APP_EMPLOYEE_ACTION = 'notifications.app.employee_action';
    public const NOTIFICATION_APP_EMPLOYEE_JOURNEY = 'notifications.app.employee_journey';

    public const NOTIFICATION_EMAIL_BIRTHDAY = 'notifications.email.birthday';
    public const NOTIFICATION_EMAIL_WORK_ANNIVERSARY = 'notifications.email.work_anniversary';
    public const NOTIFICATION_EMAIL_MENTION = 'notifications.email.mention';
    public const NOTIFICATION_EMAIL_EMPLOYEE_ACTION = 'notifications.email.employee_action';
    public const NOTIFICATION_EMAIL_EMPLOYEE_JOURNEY = 'notifications.email.employee_journey';
    public const NOTIFICATION_EMAIL_EMPLOYEE_FILE = 'notifications.email.employee_file';
    public const NOTIFICATION_EMAIL_EMPLOYEE_INIT = 'notifications.email.employee_init';
    public const NOTIFICATION_EMAIL_EMPLOYEE_ENPS = 'notifications.email.employee_enps';
    public const NOTIFICATION_EMAIL_EMPLOYEE_ENPS_COMMENT = 'notifications.email.employee_enps_comment';
    public const NOTIFICATION_EMAIL_UPCOMING = 'notifications.email.upcoming';

    // Additional permissions
    public const CREATE_ADMIN = 'addition.admin.create';
    public const ACCESS_ACTIVITY = 'addition.activity.access';
    public const ACCESS_BILLING_PAYMENT = 'addition.billing-payment.access';
    public const ACCESS_SENSITIVE_COMMENT = 'addition.sensitive-comment.access';

    public const ACCESS_USER_ACCESS = 'advanced.user-access.access';
    public const ACCESS_DATA_CONTROL = 'advanced.data-control.access';
    public const ACCESS_QUESTIONNAIRE = 'advanced.questionnaire.access';
    public const ACCESS_VALUES = 'advanced.values.access';
    public const ACCESS_SCHEDULE = 'advanced.schedule.access';
    public const ACCESS_SSO = 'advanced.sso.access';
    public const ACCESS_POWER_SEARCH = 'advanced.power-search.access';

    //Message group permissions
    public const ACCESS_WB_MESSAGE = 'messages.wb.access';
    public const ACCESS_WB_DASHBOARD = 'messages.wb.dashboard';
    public const ACCESS_WB_DOWNLOAD = 'messages.wb.download';
    public const ACCESS_WB_CREATE = 'messages.wb.create';
    public const ACCESS_WB_AUTOREPLY = 'messages.wb.autoreply';
    public const ACCESS_WB_MASTER = 'wb.master.access';

    // Employee group permissions
    public const ACCESS_EMPLOYEE_MESSAGE_BY_LOCATION = 'employee_messages.messaging_by_location';
    public const ACCESS_EMPLOYEE_MESSAGE_BY_DEPARTMENT = 'employee_messages.messaging_by_department';
    public const ACCESS_EMPLOYEE_MESSAGE_BY_TEAM = 'employee_messages.messaging_by_team';
    public const ACCESS_EMPLOYEE_DIRECTORY_BY_LOCATION = 'employee_directory.directory_by_location';
    public const ACCESS_EMPLOYEE_DIRECTORY_BY_DEPARTMENT = 'employee_directory.directory_by_department';
    public const ACCESS_EMPLOYEE_DIRECTORY_BY_TEAM = 'employee_directory.directory_by_team';


    public const ALL_ACCESS_GROUP_PERMISSIONS = [
        self::ACCESS_GROUP_STATISTICS    => [
            self::ACCESS_JOURNEY_STATISTICS,
            self::ACCESS_ENGAGEMENT_TEAM_STATISTICS,
            self::ACCESS_ENGAGEMENT_COMPANY_STATISTICS,
        ],
        self::ACCESS_GROUP_TOOLS         => [
            self::ACCESS_JOURNEY,
            self::CREATE_EDIT_JOURNEY,
            self::ACCESS_SURVEY,
            self::CREATE_EDIT_SURVEY,
            self::ACCESS_QUIZ,
            self::CREATE_EDIT_QUIZ,
            self::ACCESS_CHECKLIST,
            self::CREATE_EDIT_CHECKLIST,
            self::CREATE_EDIT_FORM,
        ],
        self::ACCESS_GROUP_LIBRARY       => [
            self::ACCESS_COMPANY_LIBRARY,
            self::ACCESS_CONTENT_PROFILE_LIBRARY,
            self::CREATE_EDIT_DELETE_LIBRARY,
        ],
        self::ACCESS_GROUP_EVENTS        => [
            self::ACCESS_COMPANY_EVENT,
            self::ACCESS_OWNER_EVENT,
            self::CREATE_EDIT_DELETE_EVENT,
            self::EDIT_DELETE_COMPANY_EVENT,
            self::SYNC_THIRD_PARTY_EVENT,
        ],
        self::ACCESS_GROUP_ACTIONS       => [
            self::READ_ACTION,
            self::CREATE_EDIT_DELETE_ACTION,
        ],
        self::ACCESS_GROUP_REPORTS       => [
            self::ACCESS_COMPANY_COMMENT,
            self::ACCESS_TEAM_COMMENT,
            self::ACCESS_COMMENT_REACT,
            self::ACCESS_TOPICS,
            self::ACCESS_HEATMAPS,
            self::ACCESS_BOARDS,
            self::ACCESS_DRIVER,
            self::ACCESS_COMPANY_QUIZ_SURVEY_REPORT,
            //            self::ACCESS_OWNER_QUIZ_SURVEY_REPORT,
        ],
        self::ACCESS_GROUP_ADVANCED      => [
            self::ACCESS_EMPLOYEE,
            self::CREATE_EMPLOYEE,
            self::EDIT_EMPLOYEE,
            self::DELETE_EMPLOYEE,
            self::ACCESS_SEGMENT,
            self::CREATE_EDIT_SEGMENT,
            self::ACCESS_THIRD_PARTY_INTEGRATION,
            self::ACCESS_COMPANY_DETAIL,
            self::EDIT_COMPANY_DETAIL,
            self::ACCESS_APP_DESIGN,
            self::EDIT_APP_DESIGN,
            self::ACCESS_SECURITY,
            self::ACCESS_INITIATIVES,
            self::CREATE_EDIT_INITIATIVES,
            self::ACCESS_USER_ACCESS,
            self::ACCESS_DATA_CONTROL,
            self::ACCESS_QUESTIONNAIRE,
            self::ACCESS_VALUES,
            self::ACCESS_SCHEDULE,
            self::ACCESS_SSO,
            self::ACCESS_POWER_SEARCH,
        ],
        self::ACCESS_GROUP_ADDITION      => [
            self::CREATE_ADMIN,
            self::ACCESS_ACTIVITY,
            self::ACCESS_BILLING_PAYMENT,
            self::ACCESS_SENSITIVE_COMMENT
        ],
        self::ACCESS_GROUP_NOTIFICATIONS => [
            self::SEND_SEGMENT_NOTIFICATION,
            self::CLIENT_NOTIFICATION_CONSOLE_UPCOMING,
            self::NOTIFICATION_CONSOLE_BIRTHDAY,
            self::NOTIFICATION_CONSOLE_WORK_ANNIVERSARY,
            self::NOTIFICATION_CONSOLE_MENTION,
            self::NOTIFICATION_CONSOLE_EMPLOYEE_ACTION,
            self::NOTIFICATION_CONSOLE_EMPLOYEE_JOURNEY,
            self::NOTIFICATION_CONSOLE_UPCOMING,
            self::NOTIFICATION_APP_BIRTHDAY,
            self::NOTIFICATION_APP_WORK_ANNIVERSARY,
            self::NOTIFICATION_APP_MENTION,
            self::NOTIFICATION_APP_EMPLOYEE_ACTION,
            self::NOTIFICATION_APP_EMPLOYEE_JOURNEY,
            self::NOTIFICATION_EMAIL_BIRTHDAY,
            self::NOTIFICATION_EMAIL_WORK_ANNIVERSARY,
            self::NOTIFICATION_EMAIL_MENTION,
            self::NOTIFICATION_EMAIL_EMPLOYEE_ACTION,
            self::NOTIFICATION_EMAIL_EMPLOYEE_JOURNEY,
            self::NOTIFICATION_EMAIL_EMPLOYEE_FILE,
            self::NOTIFICATION_EMAIL_EMPLOYEE_INIT,
            self::NOTIFICATION_EMAIL_EMPLOYEE_ENPS,
            self::NOTIFICATION_EMAIL_EMPLOYEE_ENPS_COMMENT,
            self::NOTIFICATION_EMAIL_UPCOMING,
        ],
        self::ACCESS_GROUP_MESSAGES      => [
            self::ACCESS_WB_DASHBOARD,
            self::ACCESS_WB_MESSAGE,
            self::ACCESS_WB_DOWNLOAD,
            self::ACCESS_WB_AUTOREPLY,
        ],
        self::ACCESS_GROUP_EMPLOYEE_MESSAGES      => [
            self::ACCESS_EMPLOYEE_MESSAGE_BY_LOCATION,
            self::ACCESS_EMPLOYEE_MESSAGE_BY_DEPARTMENT,
            self::ACCESS_EMPLOYEE_MESSAGE_BY_TEAM,
        ],
        self::ACCESS_GROUP_EMPLOYEE_DIRECTORY      => [
            self::ACCESS_EMPLOYEE_DIRECTORY_BY_LOCATION,
            self::ACCESS_EMPLOYEE_DIRECTORY_BY_DEPARTMENT,
            self::ACCESS_EMPLOYEE_DIRECTORY_BY_TEAM,
        ],
    ];

    public const MOBILE_ACCESS_GROUP_PERMISSIONS = [
        self::ACCESS_GROUP_MESSAGES => [
            self::ACCESS_WB_MESSAGE,
            self::ACCESS_WB_CREATE,
        ],
    ];

    public const ALL_ACCESS_PERMISSIONS = [
        self::ACCESS_JOURNEY_STATISTICS,
        self::ACCESS_ENGAGEMENT_TEAM_STATISTICS,
        self::ACCESS_ENGAGEMENT_COMPANY_STATISTICS,
        self::READ_COMMENT_TEAM_STATISTICS,
        self::READ_COMMENT_COMPANY_STATISTICS,
        self::CREATE_EDIT_JOURNEY,
        self::CREATE_EDIT_SURVEY,
        self::CREATE_EDIT_QUIZ,
        self::CREATE_EDIT_CHECKLIST,
        self::CREATE_EDIT_FORM,
        self::ACCESS_COMPANY_LIBRARY,
        self::ACCESS_CONTENT_PROFILE_LIBRARY,
        self::CREATE_EDIT_DELETE_LIBRARY,
        self::ACCESS_COMPANY_EVENT,
        self::ACCESS_OWNER_EVENT,
        self::CREATE_EDIT_DELETE_EVENT,
        self::SYNC_THIRD_PARTY_EVENT,
        self::CREATE_EDIT_DELETE_ACTION,
        self::READ_ACTION,
        self::ACCESS_COMPANY_COMMENT,
        self::ACCESS_TEAM_COMMENT,
        self::ACCESS_COMMENT_REACT,
        self::ACCESS_TOPICS,
        self::ACCESS_HEATMAPS,
        self::ACCESS_BOARDS,
        self::ACCESS_DRIVER,
        self::ACCESS_COMPANY_QUIZ_SURVEY_REPORT,
        self::ACCESS_OWNER_QUIZ_SURVEY_REPORT,
        self::CREATE_EMPLOYEE,
        self::EDIT_EMPLOYEE,
        self::DELETE_EMPLOYEE,
        self::CREATE_EDIT_SEGMENT,
        self::ACCESS_THIRD_PARTY_INTEGRATION,
        self::EDIT_COMPANY_DETAIL,
        self::EDIT_APP_DESIGN,
        self::CREATE_EDIT_INITIATIVES,
        self::SEND_SEGMENT_NOTIFICATION,
        self::NOTIFICATION_CONSOLE_BIRTHDAY,
        self::NOTIFICATION_CONSOLE_WORK_ANNIVERSARY,
        self::NOTIFICATION_CONSOLE_MENTION,
        self::NOTIFICATION_CONSOLE_EMPLOYEE_ACTION,
        self::NOTIFICATION_CONSOLE_EMPLOYEE_JOURNEY,
        self::NOTIFICATION_CONSOLE_UPCOMING,
        self::NOTIFICATION_APP_BIRTHDAY,
        self::NOTIFICATION_APP_WORK_ANNIVERSARY,
        self::NOTIFICATION_APP_MENTION,
        self::NOTIFICATION_APP_EMPLOYEE_ACTION,
        self::NOTIFICATION_APP_EMPLOYEE_JOURNEY,
        self::NOTIFICATION_EMAIL_BIRTHDAY,
        self::NOTIFICATION_EMAIL_WORK_ANNIVERSARY,
        self::NOTIFICATION_EMAIL_MENTION,
        self::NOTIFICATION_EMAIL_EMPLOYEE_ACTION,
        self::NOTIFICATION_EMAIL_EMPLOYEE_JOURNEY,
        self::NOTIFICATION_EMAIL_EMPLOYEE_FILE,
        self::NOTIFICATION_EMAIL_EMPLOYEE_INIT,
        self::NOTIFICATION_EMAIL_EMPLOYEE_ENPS,
        self::NOTIFICATION_EMAIL_EMPLOYEE_ENPS_COMMENT,
        self::NOTIFICATION_EMAIL_UPCOMING,
        self::CREATE_ADMIN,
        self::ACCESS_ACTIVITY,
        self::ACCESS_BILLING_PAYMENT,
        self::ACCESS_SENSITIVE_COMMENT,
        self::ACCESS_USER_ACCESS,
        self::ACCESS_DATA_CONTROL,
        self::ACCESS_QUESTIONNAIRE,
        self::ACCESS_VALUES,
        self::ACCESS_SCHEDULE,
        self::ACCESS_WB_MESSAGE,
        self::ACCESS_WB_DASHBOARD,
        self::ACCESS_WB_DOWNLOAD,
        self::ACCESS_WB_CREATE,
        self::ACCESS_WB_AUTOREPLY,
        self::ACCESS_POWER_SEARCH,
        self::ACCESS_EMPLOYEE_MESSAGE_BY_LOCATION,
        self::ACCESS_EMPLOYEE_MESSAGE_BY_DEPARTMENT,
        self::ACCESS_EMPLOYEE_MESSAGE_BY_TEAM,
        self::ACCESS_EMPLOYEE_DIRECTORY_BY_LOCATION,
        self::ACCESS_EMPLOYEE_DIRECTORY_BY_DEPARTMENT,
        self::ACCESS_EMPLOYEE_DIRECTORY_BY_TEAM,
    ];
}
