<?php

namespace App\Enum;

final class ErrorCode
{
    // Common code
    public const VALIDATION_FAILED = 'VALIDATION_FAILED';
    public const UNAUTHORIZED = 'UNAUTHORIZED';
    public const INVALID_REQUEST = 'INVALID_REQUEST';

    public const INVALID_VERIFICATION_REQUEST = 'INVALID_VERIFICATION_REQUEST';
    public const VERIFICATION_REQUEST_EXPIRED = 'VERIFICATION_REQUEST_EXPIRED';
    public const DELETE_NOT_ALLOWED = 'DELETE_NOT_ALLOWED';
    public const INVALID_CREDENTIALS = 'INVALID_CREDENTIALS';
    public const INVALID_OTP = 'INVALID_OTP';
    public const INVALID_2FA = 'INVALID_2FA';
    public const OUT_OF_PLAN = 'OUT_OF_PLAN';
    public const INVALID_CAPTCHA = 'INVALID_CAPTCHA';
    public const EMAIL_NOT_VERIFIED = 'EMAIL_NOT_VERIFIED';
    public const EMAIL_ALREADY_VERIFIED = 'EMAIL_ALREADY_VERIFIED';
    public const EMAIL_ALREADY_USED = 'EMAIL_ALREADY_USED';
    public const CLIENT_IS_DEACTIVATED = 'CLIENT_IS_DEACTIVATED';
    public const CLIENT_SUBSCRIPTION_IS_EXPIRED = 'CLIENT_SUBSCRIPTION_IS_EXPIRED';
    public const USER_IS_DEACTIVATED = 'USER_IS_DEACTIVATED';
    public const USER_IS_NOT_ENABLE_SSO = 'USER_IS_NOT_ENABLE_SSO';
    public const INVALID_CLIENT = 'INVALID_CLIENT';
    public const NOT_PERFORMABLE = 'NOT_PERFORMABLE';
    public const INVALID_AUTH_CODE = 'INVALID_AUTH_CODE';
    public const PERMISSION_INVALID = 'PERMISSION_INVALID';
    public const TOKEN_EXPIRED = 'TOKEN_EXPIRED';
    public const ENABLING_2FA_REQUIRED = 'ENABLING_2FA_REQUIRED';
    public const CONVERSATION_NOT_FOUND = 'CONVERSATION_NOT_FOUND';
    public const MESSAGE_ERROR = 'MESSAGE_ERROR';
    public const WHISTLEBLOWER_REMAIN = 'WHISTLEBLOWER_REMAIN';
    public const NO_STEPS_TO_PUBLISH = 'NO_STEPS_TO_PUBLISH';
    public const NO_QUESTIONS_TO_PUBLISH = 'NO_QUESTIONS_TO_PUBLISH';
    public const AVATAR_TOO_SMALL = 'AVATAR_TOO_SMALL';
    public const CLIENT_HAS_NO_STRIPE_SUBSCRIPTION = 'CLIENT_HAS_NO_STRIPE_SUBSCRIPTION';
    public const INVALID_PUBLISHABLE_CONTENT = 'INVALID_PUBLISHABLE_CONTENT';
    public const FORM_NOT_INTEGRATED = 'FORM_NOT_INTEGRATED';
    public const INVALID_FORM_TEMPLATE = 'INVALID_FORM_TEMPLATE';
    public const FORM_TEMPLATE_MUST_HAVE_SIGNER_ROLE = 'FORM_TEMPLATE_MUST_HAVE_SIGNER_ROLE';
    public const FORM_TEMPLATE_HAS_ALL_FIELDS_UNASSIGNED = 'FORM_TEMPLATE_HAS_ALL_FIELDS_UNASSIGNED';
    public const DO_NOT_HAVE_ACCESS = 'DO_NOT_HAVE_ACCESS';

    public const JOURNEY_HAS_SUBMISSION = 'JOURNEY_HAS_SUBMISSION';
    public const JOURNEY_STEP_NOT_AVAILABLE = 'JOURNEY_STEP_NOT_AVAILABLE';
    public const ACTION_SEQUENCE_HAS_SUBMISSION = 'ACTION_SEQUENCE_HAS_SUBMISSION';
    public const QUIZ_HAS_JOURNEY_SUBMISSION = 'QUIZ_HAS_JOURNEY_SUBMISSION';
    public const QUIZ_HAS_ACTION_SUBMISSION = 'QUIZ_HAS_ACTION_SUBMISSION';
    public const QUIZ_HAS_ACTION_SEQUENCE_SUBMISSION = 'QUIZ_HAS_ACTION_SEQUENCE_SUBMISSION';
    public const SURVEY_HAS_JOURNEY_SUBMISSION = 'SURVEY_HAS_JOURNEY_SUBMISSION';
    public const SURVEY_HAS_ACTION_SUBMISSION = 'SURVEY_HAS_ACTION_SUBMISSION';
    public const SURVEY_HAS_ACTION_SEQUENCE_SUBMISSION = 'SURVEY_HAS_ACTION_SEQUENCE_SUBMISSION';
    public const LIBRARY_ITEM_IN_USED_JOURNEY = 'LIBRARY_ITEM_IN_USED_JOURNEY';
    public const LIBRARY_ITEM_IN_USED_ACTION = 'LIBRARY_ITEM_IN_USED_ACTION';
    public const LIBRARY_ITEM_IN_USED_ACTION_SEQUENCE = 'LIBRARY_ITEM_IN_USED_ACTION_SEQUENCE';
    public const UN_PUBLISH_QUIZ_IN_USED_JOURNEY = 'UN_PUBLISH_QUIZ_IN_USED_JOURNEY';
    public const UN_PUBLISH_QUIZ_IN_USED_ACTION = 'UN_PUBLISH_QUIZ_IN_USED_ACTION';
    public const UN_PUBLISH_QUIZ_IN_USED_ACTION_SEQUENCE = 'UN_PUBLISH_QUIZ_IN_USED_ACTION_SEQUENCE';
    public const DELETE_QUIZ_IN_USED_JOURNEY = 'DELETE_QUIZ_IN_USED_JOURNEY';
    public const DELETE_QUIZ_IN_USED_ACTION = 'DELETE_QUIZ_IN_USED_ACTION';
    public const DELETE_QUIZ_IN_USED_ACTION_SEQUENCE = 'DELETE_QUIZ_IN_USED_ACTION_SEQUENCE';
    public const UN_PUBLISH_SURVEY_IN_USED_JOURNEY = 'UN_PUBLISH_SURVEY_IN_USED_JOURNEY';
    public const UN_PUBLISH_SURVEY_IN_USED_ACTION = 'UN_PUBLISH_SURVEY_IN_USED_ACTION';
    public const UN_PUBLISH_SURVEY_IN_USED_ACTION_SEQUENCE = 'UN_PUBLISH_SURVEY_IN_USED_ACTION_SEQUENCE';
    public const DELETE_SURVEY_IN_USED_JOURNEY = 'DELETE_SURVEY_IN_USED_JOURNEY';
    public const DELETE_SURVEY_IN_USED_ACTION = 'DELETE_SURVEY_IN_USED_ACTION';
    public const DELETE_SURVEY_IN_USED_ACTION_SEQUENCE = 'DELETE_SURVEY_IN_USED_ACTION_SEQUENCE';
    public const PLAN_IN_USED = 'PLAN_IN_USED';
    public const EMPTY_PUBLISHED_JOURNEY_STEPS = 'EMPTY_PUBLISHED_JOURNEY_STEPS';
    public const EMPTY_PUBLISHED_SURVEY_QUESTIONS = 'EMPTY_PUBLISHED_SURVEY_QUESTIONS';
    public const EMPTY_PUBLISHED_QUIZ_QUESTIONS = 'EMPTY_PUBLISHED_QUIZ_QUESTIONS';
    public const EMPTY_ACTION_SEQUENCE_STEPS = 'EMPTY_ACTION_SEQUENCE_STEPS';
    public const INVALID_PARAM = 'INVALID_PARAM';

    public const UNDEFINED_TIMEZONE = 'UNDEFINED_TIMEZONE';

    public const WRONG_USER_ROLE = 'WRONG_USER_ROLE';
    public const WRONG_CLIENT_CODE = 'WRONG_CLIENT_CODE';
    public const FORCE_LOGIN_SSO = 'FORCE_LOGIN_SSO';
    public const SSO_ERROR = 'SSO_ERROR';

    public const DOCUMENT_OCR_IN_PROGRESS = 'DOCUMENT_OCR_IN_PROGRESS';
    public const UNSUPPORTED_DOCUMENT_FORMAT = 'UNSUPPORTED_DOCUMENT_FORMAT';
}