<?php


namespace App\Enum;


class RoleEditablePermissions
{
    public const ADMIN_PERMISSIONS = [
        AccessPermissions::ACCESS_JOURNEY_STATISTICS,
        AccessPermissions::ACCESS_ENGAGEMENT_TEAM_STATISTICS,
        AccessPermissions::ACCESS_ENGAGEMENT_COMPANY_STATISTICS,
        AccessPermissions::READ_COMMENT_TEAM_STATISTICS,
        AccessPermissions::READ_COMMENT_COMPANY_STATISTICS,
        AccessPermissions::CREATE_EDIT_JOURNEY,
        AccessPermissions::CREATE_EDIT_SURVEY,
        AccessPermissions::CREATE_EDIT_QUIZ,
        AccessPermissions::CREATE_EDIT_CHECKLIST,
        AccessPermissions::CREATE_EDIT_FORM,
        AccessPermissions::ACCESS_COMPANY_LIBRARY,
        AccessPermissions::ACCESS_CONTENT_PROFILE_LIBRARY,
        AccessPermissions::CREATE_EDIT_DELETE_LIBRARY,
        AccessPermissions::ACCESS_COMPANY_EVENT,
        AccessPermissions::ACCESS_OWNER_EVENT,
        AccessPermissions::CREATE_EDIT_DELETE_EVENT,
        AccessPermissions::SYNC_THIRD_PARTY_EVENT,
        AccessPermissions::CREATE_EDIT_DELETE_ACTION,
        AccessPermissions::READ_ACTION,
        AccessPermissions::ACCESS_COMPANY_COMMENT,
        AccessPermissions::ACCESS_TEAM_COMMENT,
        AccessPermissions::ACCESS_COMMENT_REACT,
        AccessPermissions::ACCESS_TOPICS,
        AccessPermissions::ACCESS_HEATMAPS,
        AccessPermissions::ACCESS_BOARDS,
        AccessPermissions::ACCESS_DRIVER,
        AccessPermissions::ACCESS_COMPANY_QUIZ_SURVEY_REPORT,
        AccessPermissions::ACCESS_OWNER_QUIZ_SURVEY_REPORT,
        AccessPermissions::CREATE_EMPLOYEE,
        AccessPermissions::EDIT_EMPLOYEE,
        AccessPermissions::DELETE_EMPLOYEE,
        AccessPermissions::CREATE_EDIT_SEGMENT,
        AccessPermissions::ACCESS_THIRD_PARTY_INTEGRATION,
        AccessPermissions::EDIT_COMPANY_DETAIL,
        AccessPermissions::EDIT_APP_DESIGN,
        AccessPermissions::CREATE_EDIT_INITIATIVES,
        AccessPermissions::SEND_SEGMENT_NOTIFICATION,
        AccessPermissions::NOTIFICATION_CONSOLE_BIRTHDAY,
        AccessPermissions::NOTIFICATION_CONSOLE_WORK_ANNIVERSARY,
        AccessPermissions::NOTIFICATION_CONSOLE_MENTION,
        AccessPermissions::NOTIFICATION_CONSOLE_EMPLOYEE_ACTION,
        AccessPermissions::NOTIFICATION_CONSOLE_EMPLOYEE_JOURNEY,
        AccessPermissions::NOTIFICATION_APP_BIRTHDAY,
        AccessPermissions::NOTIFICATION_APP_WORK_ANNIVERSARY,
        AccessPermissions::NOTIFICATION_APP_MENTION,
        AccessPermissions::NOTIFICATION_APP_EMPLOYEE_ACTION,
        AccessPermissions::NOTIFICATION_APP_EMPLOYEE_JOURNEY,
        AccessPermissions::NOTIFICATION_EMAIL_BIRTHDAY,
        AccessPermissions::NOTIFICATION_EMAIL_WORK_ANNIVERSARY,
        AccessPermissions::NOTIFICATION_EMAIL_MENTION,
        AccessPermissions::NOTIFICATION_EMAIL_EMPLOYEE_ACTION,
        AccessPermissions::NOTIFICATION_EMAIL_EMPLOYEE_JOURNEY,
        AccessPermissions::CREATE_ADMIN,
        AccessPermissions::ACCESS_ACTIVITY,
        AccessPermissions::ACCESS_BILLING_PAYMENT,
        AccessPermissions::ACCESS_SENSITIVE_COMMENT,
        AccessPermissions::ACCESS_USER_ACCESS,
        AccessPermissions::ACCESS_DATA_CONTROL,
        AccessPermissions::ACCESS_QUESTIONNAIRE,
        AccessPermissions::ACCESS_VALUES,
        AccessPermissions::ACCESS_SCHEDULE,
        AccessPermissions::ACCESS_WB_DASHBOARD,
        AccessPermissions::ACCESS_WB_AUTOREPLY,
        AccessPermissions::NOTIFICATION_CONSOLE_UPCOMING,
        AccessPermissions::CLIENT_NOTIFICATION_CONSOLE_UPCOMING
    ];

    public const MANAGER_PERMISSIONS = [
        AccessPermissions::ACCESS_JOURNEY_STATISTICS,
        AccessPermissions::ACCESS_ENGAGEMENT_TEAM_STATISTICS,
        AccessPermissions::ACCESS_ENGAGEMENT_COMPANY_STATISTICS,
        AccessPermissions::READ_COMMENT_TEAM_STATISTICS,
        AccessPermissions::READ_COMMENT_COMPANY_STATISTICS,
        AccessPermissions::CREATE_EDIT_JOURNEY,
        AccessPermissions::CREATE_EDIT_SURVEY,
        AccessPermissions::CREATE_EDIT_QUIZ,
        AccessPermissions::CREATE_EDIT_CHECKLIST,
        AccessPermissions::CREATE_EDIT_FORM,
        AccessPermissions::ACCESS_COMPANY_LIBRARY,
        AccessPermissions::ACCESS_CONTENT_PROFILE_LIBRARY,
        AccessPermissions::CREATE_EDIT_DELETE_LIBRARY,
        AccessPermissions::ACCESS_COMPANY_EVENT,
        AccessPermissions::ACCESS_OWNER_EVENT,
        AccessPermissions::CREATE_EDIT_DELETE_EVENT,
        AccessPermissions::SYNC_THIRD_PARTY_EVENT,
        AccessPermissions::CREATE_EDIT_DELETE_ACTION,
        AccessPermissions::READ_ACTION,
        AccessPermissions::ACCESS_COMPANY_COMMENT,
        AccessPermissions::ACCESS_TEAM_COMMENT,
        AccessPermissions::ACCESS_COMMENT_REACT,
        AccessPermissions::ACCESS_TOPICS,
        AccessPermissions::ACCESS_HEATMAPS,
        AccessPermissions::ACCESS_BOARDS,
        AccessPermissions::ACCESS_DRIVER,
        AccessPermissions::ACCESS_COMPANY_QUIZ_SURVEY_REPORT,
        AccessPermissions::ACCESS_OWNER_QUIZ_SURVEY_REPORT,
        AccessPermissions::CREATE_EMPLOYEE,
        AccessPermissions::EDIT_EMPLOYEE,
        AccessPermissions::DELETE_EMPLOYEE,
        AccessPermissions::CREATE_EDIT_SEGMENT,
        AccessPermissions::ACCESS_THIRD_PARTY_INTEGRATION,
        AccessPermissions::EDIT_COMPANY_DETAIL,
        AccessPermissions::EDIT_APP_DESIGN,
        AccessPermissions::CREATE_EDIT_INITIATIVES,
        AccessPermissions::SEND_SEGMENT_NOTIFICATION,
        AccessPermissions::NOTIFICATION_CONSOLE_BIRTHDAY,
        AccessPermissions::NOTIFICATION_CONSOLE_WORK_ANNIVERSARY,
        AccessPermissions::NOTIFICATION_CONSOLE_MENTION,
        AccessPermissions::NOTIFICATION_CONSOLE_EMPLOYEE_ACTION,
        AccessPermissions::NOTIFICATION_CONSOLE_EMPLOYEE_JOURNEY,
        AccessPermissions::NOTIFICATION_APP_BIRTHDAY,
        AccessPermissions::NOTIFICATION_APP_WORK_ANNIVERSARY,
        AccessPermissions::NOTIFICATION_APP_MENTION,
        AccessPermissions::NOTIFICATION_APP_EMPLOYEE_ACTION,
        AccessPermissions::NOTIFICATION_APP_EMPLOYEE_JOURNEY,
        AccessPermissions::NOTIFICATION_EMAIL_BIRTHDAY,
        AccessPermissions::NOTIFICATION_EMAIL_WORK_ANNIVERSARY,
        AccessPermissions::NOTIFICATION_EMAIL_MENTION,
        AccessPermissions::NOTIFICATION_EMAIL_EMPLOYEE_ACTION,
        AccessPermissions::NOTIFICATION_EMAIL_EMPLOYEE_JOURNEY,
        AccessPermissions::ACCESS_WB_DASHBOARD,
        AccessPermissions::ACCESS_WB_AUTOREPLY,
    ];

    public const WHISTLEBLOWER_PERMISSIONS = [
        AccessPermissions::ACCESS_WB_DASHBOARD,
        AccessPermissions::ACCESS_WB_DOWNLOAD,
        AccessPermissions::ACCESS_WB_AUTOREPLY,
    ];

    public const EMPLOYEE_PERMISSIONS = [
        AccessPermissions::ACCESS_EMPLOYEE_MESSAGE_BY_LOCATION,
        AccessPermissions::ACCESS_EMPLOYEE_MESSAGE_BY_DEPARTMENT,
        AccessPermissions::ACCESS_EMPLOYEE_MESSAGE_BY_TEAM,
        AccessPermissions::ACCESS_EMPLOYEE_DIRECTORY_BY_LOCATION,
        AccessPermissions::ACCESS_EMPLOYEE_DIRECTORY_BY_DEPARTMENT,
        AccessPermissions::ACCESS_EMPLOYEE_DIRECTORY_BY_TEAM,
        AccessPermissions::NOTIFICATION_EMAIL_BIRTHDAY,
        AccessPermissions::NOTIFICATION_EMAIL_WORK_ANNIVERSARY,
        AccessPermissions::NOTIFICATION_EMAIL_MENTION,
        AccessPermissions::NOTIFICATION_EMAIL_EMPLOYEE_ACTION,
        AccessPermissions::NOTIFICATION_EMAIL_EMPLOYEE_JOURNEY,    
        AccessPermissions::NOTIFICATION_EMAIL_EMPLOYEE_FILE,
        AccessPermissions::NOTIFICATION_EMAIL_EMPLOYEE_INIT,
        AccessPermissions::NOTIFICATION_EMAIL_EMPLOYEE_ENPS,
        AccessPermissions::NOTIFICATION_EMAIL_EMPLOYEE_ENPS_COMMENT,
        AccessPermissions::NOTIFICATION_EMAIL_UPCOMING,
    ];
}
