<?php

namespace App\Events;

use App\Models\Action\ActionSequence;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class ActionSequenceUpdated
{
    use Dispatchable, InteractsWithSockets, SerializesModels;
    
    public $actionSequence;

    /**
     * Create a new event instance.
     *
     * @param ActionSequence $actionSequence
     */
    public function __construct(ActionSequence $actionSequence)
    {
        $this->actionSequence = $actionSequence;
    }

    /**
     * Get the channels the event should broadcast on.
     *
     * @return \Illuminate\Broadcasting\Channel|array
     */
    public function broadcastOn()
    {
        return new PrivateChannel('channel-name');
    }
}
