<?php

namespace App\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class JourneyUpdated
{
    use Dispatchable, InteractsWithSockets, SerializesModels;
    
    public $journey;

    /**
     * Create a new event instance.
     *
     * @param $journey
     */
    public function __construct($journey)
    {
        $this->journey = $journey;
    }

    /**
     * Get the channels the event should broadcast on.
     *
     * @return \Illuminate\Broadcasting\Channel|array
     */
    public function broadcastOn()
    {
        return new PrivateChannel('channel-name');
    }
}
