<?php


namespace App\Events;


use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class MessageWatched implements ShouldBroadcast
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public $conversation_id;
    public $time;
    private $receiverCode;

    /**
     * Create a new event instance.
     */
    public function __construct($conversationId, $receiverCode, $time)
    {
        $this->conversation_id = $conversationId;
        $this->receiverCode = $receiverCode;
        $this->time = $time;
    }

    /**
     * Get the channels the event should broadcast on.
     *
     * @return Channel|array
     */
    public function broadcastOn()
    {
        // Notify to user channel
        return new PrivateChannel('channel.' . $this->receiverCode);
    }
}
