<?php


namespace App\Events;


use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class NotificationCreated implements ShouldBroadcast
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public $notification;
    public $receiverCode;

    /**
     * NotifyMessageCreated constructor.
     * @param $type
     * @param $data
     * @param $receiverCode
     */
    public function __construct($notification)
    {
        $this->notification = $notification;
        $this->receiverCode = $this->notification->receiver->code;
    }

    /**
     * Get the channels the event should broadcast on.
     *
     * @return Channel|array
     */
    public function broadcastOn()
    {
        // Notify to user channel
        return new PrivateChannel('channel.' . $this->receiverCode);
    }
}
