<?php


namespace App\Events;


use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class NotifyMessageCreated implements ShouldBroadcast
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public $type;
    public $data;
    public $conversation;
    private $receiverCode;

    /**
     * NotifyMessageCreated constructor.
     * @param $type
     * @param $data
     * @param $receiverCode
     */
    public function __construct($type, $data, $receiverCode, $conversation)
    {
        $this->type = $type;
        $this->data = $data;
        $this->conversation = $conversation;
        $this->receiverCode = $receiverCode;
    }

    /**
     * Get the channels the event should broadcast on.
     *
     * @return Channel|array
     */
    public function broadcastOn()
    {
        // Notify to user channel
        return new PrivateChannel('channel.' . $this->receiverCode);
    }
}