<?php


namespace App\Events;


use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class QRCodeScanned implements ShouldBroadcast
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public $status;
    public $type;
    public $actionCode;
    private $tokenCode;

    /**
     * Create a new event instance.
     */
    public function __construct($status, $type, $actionCode, $tokenCode)
    {
        $this->status = $status;
        $this->type = $type;
        $this->actionCode = $actionCode;
        $this->tokenCode = $tokenCode;
    }

    /**
     * Get the channels the event should broadcast on.
     *
     * @return Channel|array
     */
    public function broadcastOn()
    {
        // Notify to user channel
        return new Channel('qrchannel.' . $this->tokenCode);
    }
}