<?php


namespace App\Events;


use App\Models\Client\Client;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class RoleAccessUpdated
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public $client;

    public $previousPermissions;

    public $role;

    /**
     * Create a new event instance.
     *
     * @param  Client  $client
     * @param  array  $previousPermissions
     * @param  string  $role
     */
    public function __construct(Client $client, array $previousPermissions, string $role)
    {
        $this->client = $client;
        $this->previousPermissions = $previousPermissions;
        $this->role = $role;
    }
}