<?php


namespace App\Exceptions;

use Dingo\Api\Exception\Handler;
use Throwable;

class ApiExceptionHandler extends Handler
{
    /**
     * Prepare the replacements array by gathering the keys and values.
     * 
     * @param Throwable $exception
     * @return array
     */
    protected function prepareReplacements(Throwable $exception): array
    {
        $replacements = parent::prepareReplacements($exception);

        $additionalInfo = array();
        if ($exception instanceof BaseHttpException) {
            $additionalInfo = [':code' => $exception->errorCode ?? null, ':extras' => $exception->extras, ':replacements' => $exception->replacements];
        }

        return array_merge($replacements, $additionalInfo);
    }
}