<?php

namespace App\Exceptions;

use Symfony\Component\HttpKernel\Exception\HttpException;

/**
 * Exception thrown if the request data is not valid.
 */
class BaseHttpException extends HttpException
{
    public $errorCode;
    public $extras = array();
    public $replacements = array();

    /**
     * @param int $statusCode
     * @param string|null $message Code or message exception message
     * @param string|null $errorCode
     * @param array $replacements To replace tokens in error message
     * @param array $extras Extra info to handle in frontend
     */
    public function __construct(int $statusCode, string $message = null, string $errorCode = null, array $replacements = array(), array $extras = array())
    {
        $this->errorCode = $errorCode;
        $this->extras = $extras;
        $this->replacements = $replacements;
        parent::__construct($statusCode, $message, null, [], $statusCode);
    }
}
