<?php

namespace App\Facades;

use App\AppContext\ClientContext;
use App\AppContext\ContextBase;
use App\AppContext\RequestContext;
use App\AppContext\UserContext;
use Illuminate\Support\Facades\Facade;

/**
 * @method static ContextBase get(string $string)
 * @method static UserContext user()
 * @method static ClientContext client()
 * @method static RequestContext request()
 */
class Context extends Facade
{
    /**
    * Get the registered name of the component
    *
    * @return string
    */
    protected static function getFacadeAccessor(): string
    {
        return 'context';
    }
}
