<?php


namespace App\Guards;

use App\Enum\ErrorCode;
use App\Exceptions\UnauthorizedHttpException;
use Illuminate\Support\Arr;

class AuthorizedClient extends Guard
{
    /**
     * @param array $args
     * @return bool
     */
    public function check(array $args): bool
    {
        $client = Arr::get($args, 'client');
        $clientId = Arr::get($args, 'client_id');
        if ($client->id === $clientId) {
            return true;
        }

        throw new UnauthorizedHttpException('Unauthorized', ErrorCode::UNAUTHORIZED);
    }
}