<?php


namespace App\Guards;


use App\Enum\ClientStatus;
use App\Enum\ErrorCode;
use App\Exceptions\UnauthorizedHttpException;
use Illuminate\Support\Arr;

class ClientIsActive extends Guard
{
    /**
     * @param array $args
     * @return bool
     */
    public function check(array $args): bool
    {
        $client = Arr::get($args, 'client');
        if ($client) {
            if ($client->status !== ClientStatus::ACTIVE) {
                throw new UnauthorizedHttpException(
                    "This client account has been suspended.",
                    ErrorCode::CLIENT_IS_DEACTIVATED
                );
            };
            return true;
        }
        return false;
    }
}