<?php


namespace App\Guards;


use App\Enum\ErrorCode;
use App\Exceptions\UnauthorizedHttpException;
use Illuminate\Support\Arr;

class UserEmailVerified extends Guard
{
    /**
     * @param array $args
     * @return bool
     */
    public function check(array $args): bool
    {
        $user = Arr::get($args, 'user');
        if ($user) {
            if (!$user->hasVerifiedEmail()) {
                throw new UnauthorizedHttpException('Your email address is not verified', ErrorCode::EMAIL_NOT_VERIFIED);
            }
            return true;
        }
        return false;
    }
}