<?php


namespace App\Guards;


use App\Enum\EmployeeStatus;
use App\Enum\ErrorCode;
use App\Exceptions\UnauthorizedHttpException;
use Illuminate\Support\Arr;

class UserIsActive extends Guard
{
    /**
     * @param array $args
     * @return bool
     */
    public function check(array $args): bool
    {
        $user = Arr::get($args, 'user');
        if ($user) {
            if ($user->employee->status != EmployeeStatus::ACTIVE) {
                throw new UnauthorizedHttpException(
                    'Your account has been deactivated. Please contact your administrator',
                    ErrorCode::USER_IS_DEACTIVATED
                );
            }
            return true;
        }
        return false;
    }
}