<?php


namespace App\Guards;


use App\Enum\ErrorCode;
use App\Exceptions\UnauthorizedHttpException;
use Illuminate\Support\Arr;

class UserIsBelongToClient extends Guard
{
    /**
     * @param array $args
     * @return bool
     */
    public function check(array $args): bool
    {
        $user = Arr::get($args, 'user');
        $client = Arr::get($args, 'client');
        if (!$user || !$client || $user->employee->client->id !== $client->id) {
            throw new UnauthorizedHttpException("Invalid client.", ErrorCode::INVALID_CLIENT);
        }
        return true;
    }
}