<?php


namespace App\Guards;


use App\Enum\ErrorCode;
use App\Enum\Roles;
use App\Exceptions\UnauthorizedHttpException;
use Illuminate\Support\Arr;

class UserIsSuperAdmin extends Guard
{
    /**
     * @param array $args
     * @return bool
     */
    public function check(array $args): bool
    {
        $user = Arr::get($args, 'user');
        if ($user) {
            if (!$user->hasRole(Roles::SUPER_ADMIN)) {
                throw new UnauthorizedHttpException(
                    'Your account do not have permission',
                    ErrorCode::PERMISSION_INVALID
                );
            }
            return true;
        }
        return false;
    }
}