<?php


namespace App\Helpers;

use Illuminate\Cookie\CookieJar;
use Symfony\Component\HttpFoundation\Cookie;
use Illuminate\Support\Facades\App;

class CookieHelper
{
    /**
     * @param string $name
     * @param string $value
     * @return CookieJar|Cookie
     */
    public static function generateSecureCookie(string $name, string $value)
    {
        $authDomain = config('auth.auth_cookie_domain') ?? null;
        
        $sameSite = 'None';
        $secure = true;
        if (App::environment('production')) {
            $sameSite = 'Lax';
        }
        // Not require https at local
        if (App::environment('localhost')) {
            $sameSite = null;
            $secure = null;
        }

        return cookie($name, $value, 14400, null, $authDomain, $secure, true, false, $sameSite);
    }

    /**
     * @param string $value
     * @return CookieJar|Cookie
     */
    public static function generateJWTToken(string $value)
    {
        return self::generateSecureCookie(config('auth.jwt_token_name'), $value);
    }
}