<?php


namespace App\Helpers;


class CsvHelper
{
    /**
     * Export csv file
     * 
     * @param string $fileName
     * @param array $rows
     * @param array $header
     * @return void
     */
    static function exportCsv(string $fileName, array $rows, array $header = [])
    {
        $file = fopen($fileName, 'w');
        fputcsv($file, $header);
        
        foreach ($rows as $row) {
            if (is_array($row)) {
                fputcsv($file, $row);
            }
        }
        
        fclose($file);
    }
}