<?php


namespace App\Helpers;


use Carbon\Carbon;

/**
 * Class DateHelper
 * @package App\Helpers
 */
class DateHelper
{
    /**
     * @param Carbon $date
     * @param string $format
     * @return string
     */
    static function format(Carbon $date, string $format=\DateTime::ISO8601)
    {
        return $date->format($format);
    }

    /**
     * @param Carbon $date
     * @param string $format
     * @return string
     */
    static function formatWithMilisecond(Carbon $date, string $format='Y-m-d\TH:i:s.uO')
    {
        return $date->format($format);
    }

    /**
     * @param Carbon $date
     * @return string
     */
    static function formatYearMonthDay(Carbon $date)
    {
        return $date->format('Y-m-d');
    }

    /**
     * @param Carbon $date
     * @return string
     */
    static function formatDateTime(Carbon $date)
    {
        return $date->format('Y-m-d h:i:s');
    }

    /**
     * @param string $date
     * @param string $format
     * @return Carbon|false
     */
    static function create(string $date, string $format=\DateTime::ISO8601)
    {
        return Carbon::createFromFormat($format, $date);
    }
}