<?php


namespace App\Helpers;


use Carbon\Carbon;
use Illuminate\Support\Arr;
use Illuminate\Support\Collection;

class ObjectHelper
{
    /**
     * @param $object
     * @return array
     */
    public static function toArray($object): array
    {
        if (is_null($object))
            return [];
        if (is_array($object))
            return $object;
        return [$object];
    }

    /**
     * Checks if the value is empty or null.
     *
     * @param mixed $data
     * @param mixed $index
     * @return mixed
     */
    public static function nullOrValue($data, $index)
    {
        $value = Arr::get($data, $index, null);
        return is_null($value) || $value === '' ? null : $value;
    }

    /**
     * Checks if the value is empty or null and returns a date from a string.
     *
     * @param mixed $data
     * @param mixed $index
     * @return mixed
     */
    public static function nullOrDate($data, $index)
    {
        $value = Arr::get($data, $index, null);
        return is_null($value) || $value === '' ? null : Carbon::parse($value);
    }

    /**
     * @param $object
     * @param string $className
     * @return bool
     * @throws \Exception
     */
    public static function instanceOfClass($object, string $className) {
        if (!is_a($object, $className)) {
            throw new \Exception("Object must instance of class $className");
        }
        
        return true;
    }
}