<?php


namespace App\Helpers;

use App\Contracts\ClientProperty;
use App\Facades\Context;
use App\Guards\GuardNames;

class PermissionHelper
{
    /**
     * Check if the current client has right on object.
     * @param $object
     * @return bool
     */
    public static function hasAccessOn($object): bool
    {
       if ($object instanceof ClientProperty && Context::user()->check() && Context::client()->check()) {
           $client = Context::client()->get();
           $client_id = $object->getClientId();
           self::applyGuard([GuardNames::AuthorizedClient], compact('client', 'client_id'));
       }
       return true;
   }


    /**
     * @param array $guards
     * @param array $args
     */
    public static function applyGuard(array $guards, array $args) {
       array_map(function ($guard) use ($args) {
           app($guard)->check($args);
       }, $guards);
   }
}