<?php

namespace App\Http\Controllers\Api\Mobile_V1\Auth;

use App\Http\Controllers\Api\ApiController;
use App\Services\Mobile\Auth\UserDemoLogin;
use App\Services\Mobile\Auth\UserDemoLogout;
use App\Services\Mobile\Auth\UserLogout;
use App\Traits\Guard;
use App\Traits\MobileJsonResponseController;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Laravel\Passport\HasApiTokens;

class AuthDemoController extends ApiController
{
    use HasApiTokens, MobileJsonResponseController;
    use Guard;

    /**
     * Login action
     *
     * @param Request $request
     * @return JsonResponse
     */
    public function demoLogin(Request $request)
    {
        $result = app(UserDemoLogin::class)->execute($request->all());
        return $this->successResponse(__('You are successfully logged in.'), $result );
    }


    /**
     * Logout action
     *
     * @param Request $request
     * @return JsonResponse
     */
    public function demoLogout(Request $request)
    {
        $data = ['token' => $request->bearerToken()];
        $result = app(UserDemoLogout::class)->execute($data);
        return $this->successResponse(__('You are successfully logged out.'), $result);
    }

}
