<?php

namespace App\Http\Controllers\Api\Mobile_V1\Engage;

use App\Http\Controllers\Api\ApiController;
use App\Services\Report\GetProgressOverTime;
use App\Traits\MobileJsonResponseController;
use Mockery\Exception;
use App\Services\Mobile\Engage\GetInitiative;
use App\Services\Mobile\Engage\GetArchive;
use App\Services\Mobile\Engage\GeteNPS;
use App\Services\Mobile\Engage\GetPendingAction;
use Carbon\Carbon;

class EngageController extends ApiController
{
    use MobileJsonResponseController;

    /**
     * Get Initiative
     *
     * @param Request $request
     * @return \Illuminate\Http\JsonResponse
     */
    public function getInitiative()
    {
        try {
            $result = app(GetInitiative::class)->execute();
        } catch (Exception $e) {
            return $this->errorResponse($e->getMessage(), $e->getCode());
        }

        return $this->successResponse(__('Fetch data successfully.'), $result);
    }

    /**
     * getArchive
     *
     * @return \Illuminate\Http\JsonResponse
     */
    public function getArchive()
    {
        try {
            $result = app(GetArchive::class)->execute();
        } catch (Exception $e) {
            return $this->errorResponse($e->getMessage(), $e->getCode());
        }

        return $this->successResponse(__('Fetch data successfully.'), $result);
    }

    public function geteNPS()
    {
        $progress_over_time = app(GetProgressOverTime::class)->execute(['enps_type' => 'enps']);
        if(isset($progress_over_time)){
            return $this->successResponse(__('Fetch data successfully.'), $progress_over_time);
        } else {
            return $this->successResponse(__('Fetch data successfully.'), []);
        }
    }
}
