<?php

namespace App\Http\Controllers\Api\Mobile_V1\Event;

use App\Http\Controllers\Api\ApiController;
use App\Http\Resources\Mobile\Event\Event as EventResource;
use App\Http\Resources\Mobile\User\Employee as EmployeeResource;
use App\Services\Mobile\Event\GetEvent;
use App\Services\Mobile\Event\GetEventUsers;
use App\Traits\MobileJsonResponseController;
use Illuminate\Http\JsonResponse;

class EventController extends ApiController
{
    use MobileJsonResponseController;

    /**
     * List all event
     * 
     * @return mixed
     */
    public function getAll()
    {
        $events =  app(GetEvent::class)->execute($this->options);
        
        return $this->successResponse('Fetch data successfully', EventResource::collection($events));
    }

    /**
     * Get event users
     *
     * @param string $code
     * @return JsonResponse
     */
    public function getEventUser(string $code)
    {
        $users = app(GetEventUsers::class)->execute(['code' => $code]);

        return $this->successResponse('Fetch data successfully', EmployeeResource::collection($users));
    }
}
