<?php

namespace App\Http\Controllers\Api\Mobile_V1\Library;

use App\Http\Controllers\Api\ApiController;
use App\Http\Resources\Mobile\Library\LibraryItem;
use App\Http\Resources\Mobile\Library\LibrarySignedDocument;
use App\Services\Mobile\Library\GetLibraryItems;
use App\Services\Mobile\Library\GetSignedDocuments;
use App\Traits\MobileJsonResponseController;

class LibraryController extends ApiController
{
    use MobileJsonResponseController;

    /**
     * Get user documents
     *
     * @return \Illuminate\Http\Resources\Json\AnonymousResourceCollection
     */
    public function getDocuments()
    {
        $result = app(GetLibraryItems::class)->execute($this->options);
        return LibraryItem::collection($result);
    }

    /**
     * Get url signed documents
     *
     * @return \Illuminate\Http\Resources\Json\AnonymousResourceCollection
     */
    public function getSignedDocuments()
    {
        $result = app(GetSignedDocuments::class)->execute($this->options);

        return LibrarySignedDocument::collection($result);
    }
}
