<?php

namespace App\Http\Controllers\Api\Mobile_V1\Questionnaire;

use App\Http\Controllers\Api\ApiController;
use App\Traits\MobileJsonResponseController;
use Illuminate\Http\Request;
use Mockery\Exception;
use App\Services\Mobile\Questionnaire\AnswerQuestions;
use App\Services\Mobile\Questionnaire\GetQuestions;
use App\Services\Mobile\Questionnaire\SummaryQuestions;

class QuestionnaireController extends ApiController
{
    use MobileJsonResponseController;

    /**
     * TODO: Get Questionnaire
     *
     * @param Request $request
     * @return \Illuminate\Http\JsonResponse
     */
    public function getQuestions(Request $request, $round_id)
    {
        try {
            $language = !empty($request->header('language')) ? $request->header('language') : 'en';
            $result = app(GetQuestions::class)->execute(['round_id' => $round_id, 'language' => $language]);
        } catch (Exception $e) {
            return $this->errorResponse($e->getMessage(), $e->getCode());
        }

        return $this->successResponse(__('Fetch data successfully.'), $result);
    }

    /**
     * TODO: Answer questions
     *
     * @param Request $request
     * @param $round_id
     */
    public function answer(Request $request, $round_id)
    {
        $answers = $request->get('answers');
        $data = [
            'answers' => $answers,
            'round_id' => $round_id
        ];
        try {
            $result = app(AnswerQuestions::class)->execute($data);
        } catch (Exception $e) {
            return $this->errorResponse($e->getMessage(), $e->getCode());
        }

        return $this->successResponse(__($result['status'] ? 'Success' : 'Fail'), $result);
    }

    public function summary($round_id)
    {
        try {
            $result = app(SummaryQuestions::class)->execute(['round_id' => $round_id]);
        } catch (Exception $e) {
            return $this->errorResponse($e->getMessage(), $e->getCode());
        }

        return $this->successResponse(__('Fetch data successfully.'), $result);
    }
}
