<?php
namespace App\Http\Controllers\Api\Mobile_V1\Questionnaire;

use App\Http\Controllers\Api\ApiController;
use App\Traits\MobileJsonResponseController;
use Illuminate\Http\Request;
use Mockery\Exception;

use App\Http\Resources\Mobile\Questionnaire\QuestionnaireSkipQuestion as QuestionnaireSkipResource;
use App\Services\Mobile\QuestionnaireSkipQuestion\GetQuestionnaireSkipQuestion;


class QuestionnaireSkipQuestionController extends ApiController
{
    use MobileJsonResponseController;

    /**
     * Get skip questions
     *
     * @return \Illuminate\Http\JsonResponse
     */
    public function getSkipQuestions(Request $request)
    {
        try {
            $language = !empty($request->header('language')) ? $request->header('language') : 'en';
            $skipQuestions = app(GetQuestionnaireSkipQuestion::class)->execute(['language' => $language]);
        } catch (Exception $e) {
            return $this->errorResponse($e->getMessage(), $e->getCode());
        }

        return $this->successResponse(__('Fetch data successfully.'), QuestionnaireSkipResource::collection($skipQuestions));
    }
}