<?php

namespace App\Http\Controllers\Api\Mobile_V1\Sync;

use App\Http\Controllers\Controller;
use App\Services\Mobile\Sync\GetSyncData;
use App\Services\Mobile\Sync\SyncTimezone;
use App\Traits\MobileJsonResponseController;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Mockery\Exception;

class SyncController extends Controller
{
    use MobileJsonResponseController;

    /**
     * Sync client updates
     *
     * @param Request $request
     * @return JsonResponse
     */
    public function sync(Request $request): JsonResponse
    {
        try {
            $result = app(GetSyncData::class)->execute($request->all());
        } catch (Exception $e) {
            return $this->errorResponse($e->getMessage(), $e->getCode());
        }

        return $this->successResponse(__('Sync data successfully.'), $result);
    }

    public function syncTimezone(Request $request)
    {
        app(SyncTimezone::class)->execute($request->all());
        return $this->successResponse(__('Sync timezone successfully.'));
    }
}
