<?php


namespace App\Http\Controllers\Api\v1\Attachment;


use App\Http\Controllers\Api\ApiController;
use App\Http\Resources\Attachment\AttachmentOCR;
use App\Services\Attachment\DownloadDocumentOCR;
use App\Services\Attachment\GetDocumentOCR;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\StreamedResponse;


class AttachmentController extends ApiController
{

    /**
     * Get document OCR
     *
     * @param Request $request
     * @param $id
     * @return AttachmentOCR
     */
    public function getDocumentOCR(Request $request, $id)
    {
        $documentOCR = app(GetDocumentOCR::class)->execute(['attachment_id' => $id]);

        return new AttachmentOCR($documentOCR);
    }

    /**
     * @param Request $request
     * @param $id
     * @return StreamedResponse
     */
    public function downloadDocumentOCR(Request $request, $id)
    {
        return app(DownloadDocumentOCR::class)->execute(['attachment_id' => $id]);
    }
}
