<?php
namespace App\Http\Controllers\Api\v1\Client;

use App\Http\Controllers\Api\ApiController;
use Illuminate\Http\Request;
use App\Http\Resources\Client\ClientValueTranslate as ClientValueTranslateResource;
use App\Services\Client\ClientValueTranslate\GetClientValueTranslate;
use App\Services\Client\ClientValueTranslate\CreateClientValueTranslate;

class ClientValueTranslateController extends ApiController
{
    /**
     * Get translate list
     *
     * @param Request $request
     * @return void
     */
    public function index($value)
    {
        $translates = app(GetClientValueTranslate::class)->execute(['client_value_id' => $value]);

        return ClientValueTranslateResource::collection($translates);
    }

    /**
     * Store new translate
     *
     * @param Request $request
     * @return void
     */
    public function translate(Request $request, $value)
    {
        $data = $request->all();
        $data['client_value_id'] = $value;

        $result = app(CreateClientValueTranslate::class)->execute($data);

        return new ClientValueTranslateResource($result);
    }
}