<?php
namespace App\Http\Controllers\Api\v1\DataControl;

use Illuminate\Http\Request;
use App\Http\Controllers\Api\ApiController;
use Auth;
use App\Http\Resources\DataControl\DataControl as DataControlResource;
use App\Services\DataControl\GetDataControl;
use App\Services\DataControl\UpdateDataControl;

class DataControlController extends ApiController
{
    /**
     * Get value list
     *
     * @param Request $request
     * @return void
     */
    public function getDataControl()
    {
        $result = app(GetDataControl::class)->execute();

        return new DataControlResource($result);
    }

    /**
     * Store new value
     *
     * @param Request $request
     * @return void
     */
    public function updateDataControl(Request $request)
    {
        $result = app(UpdateDataControl::class)->execute($request->all());

        return new DataControlResource($result);
    }
}