<?php

namespace App\Http\Controllers\Api\v1\PowerSearch;

use Illuminate\Http\Request;
use App\Http\Controllers\Api\ApiController;
use App\Services\PowerSearch\SearchObject;
use App\Http\Resources\PowerSearch\SearchableObject as SearchableObjectResource;
use Illuminate\Http\Resources\Json\AnonymousResourceCollection;

class PowerSearchController extends ApiController
{
    /**
     * @param Request $request
     * @return AnonymousResourceCollection
     */
    public function search(Request $request): AnonymousResourceCollection
    {
        $messages  = app(SearchObject::class)->execute($request->all());
        return SearchableObjectResource::collection($messages);
    }
}
