<?php
namespace App\Http\Controllers\Api\v1\Questionnaire;

use App\Http\Controllers\Api\ApiController;
use Illuminate\Http\Request;
use App\Http\Resources\Questionnaire\QuestionnaireOption as QuestionnaireOptionResource;
use App\Services\QuestionnaireOption\GetQuestionnaireOption;
use App\Services\QuestionnaireOption\CreateQuestionnaireOption;

class QuestionnaireOptionController extends ApiController
{
    /**
     * Get translate list
     *
     * @param Request $request
     * @return void
     */
    public function index(Request $request, $questionnaire)
    {
        $data = $request->all();
        $data['questionnaire_id'] = $questionnaire;

        $translates = app(GetQuestionnaireOption::class)->execute($data);

        return $translates;
    }

    /**
     * Store new translate
     *
     * @param Request $request
     * @return void
     */
    public function store(Request $request, $questionnaire)
    {
        $data = $request->all();
        $data['questionnaire_id'] = $questionnaire;

        $result = app(CreateQuestionnaireOption::class)->execute($data);

        return QuestionnaireOptionResource::collection($result);
    }
}