<?php
namespace App\Http\Controllers\Api\v1\Questionnaire;

use App\Http\Controllers\Api\ApiController;
use Illuminate\Http\Request;
use App\Http\Resources\Questionnaire\QuestionnaireTranslate as QuestionnaireTranslateResource;
use App\Http\Resources\Questionnaire\QuestionnaireTranslateListing as QuestionnaireTranslateListingResource;
use App\Services\QuestionnaireTranslate\GetQuestionnaireTranslate;
use App\Services\QuestionnaireTranslate\CreateQuestionnaireTranslate;

class QuestionnaireTranslateController extends ApiController
{
    /**
     * Get translate list
     *
     * @param Request $request
     * @return void
     */
    public function index($questionnaire)
    {
        $translates = app(GetQuestionnaireTranslate::class)->execute(['id' => $questionnaire]);

        return new QuestionnaireTranslateListingResource($translates);
    }

    /**
     * Store new translate
     *
     * @param Request $request
     * @return void
     */
    public function store(Request $request, $questionnaire)
    {
        $data = $request->all();
        $data['questionnaire_id'] = $questionnaire;
        $result = app(CreateQuestionnaireTranslate::class)->execute($data);

        return new QuestionnaireTranslateResource($result);
    }
}