<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    protected $transaction;

    /**
     * @param mixed $transaction
     */
    public function setTransaction($transaction): void
    {
        $this->transaction = $transaction;
    }


    public function __construct()
    {
        $this->setTransaction(env('DB_TRANSACTION', TRUE));
    }

    /**
     * @param $closure
     * @return mixed
     */
    public function transaction($closure){
        if (!$this->transaction) {
            return $closure();
        }
        return app('db')->transaction($closure);
    }
}
