<?php


namespace App\Http\Middleware;

use App\AppContext\ClientScope;
use App\AppContext\UserScope;
use App\Facades\Context;
use App\Guards\GuardNames;
use App\Resolvers\ClientResolver;
use App\Resolvers\UserResolver;
use Closure;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class AuthenticateEmployeeContext
{
    /**
     * Handle an incoming request
     *
     * @param Request $request
     * @param Closure $next
     */
    public function handle(Request $request, Closure $next)
    {
        $clientContext = Context::client();
        $clientScope = new ClientScope();
        $clientScope->guards([GuardNames::ClientIsActive]);
        $clientScope->resolver(new ClientResolver($request));
        $clientContext->set($clientScope->check()->get());

        $userContext = Context::user();
        $userScope = new UserScope();
        $userScope->guards([GuardNames::UserIsActive]);
        $userScope->resolver(new UserResolver());
        $userContext->set($userScope->check()->get());

        return $next($request);
    }
}