<?php


namespace App\Http\Middleware;

use App\AppContext\UserScope;
use App\Facades\Context;
use App\Guards\GuardNames;
use App\Resolvers\UserResolver;
use Closure;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class AuthenticateSuperAdminContext
{
    /**
     * Handle an incoming request
     *
     * @param Request $request
     * @param Closure $next
     */
    public function handle(Request $request, Closure $next)
    {
        $userContext = Context::user();
        $userScope = new UserScope();
        $userScope->guards([GuardNames::UserEmailVerified, GuardNames::UserIsSuperAdmin]);
        $userScope->resolver(new UserResolver());
        $userContext->set($userScope->check()->get());

        return $next($request);
    }
}