<?php

namespace App\Http\Middleware;

use App\Enum\ErrorCode;
use App\Exceptions\UnauthorizedHttpException;
use App\Helpers\UserAccessHelper;
use Closure;

class UserAccess
{
    public function handle($request, Closure $next, string $access)
    {
        $accesses = is_array($access) ? $access : explode('|', $access);

        foreach ($accesses as $access) {
            if (UserAccessHelper::hasAccess($access)) {
                return $next($request);
            }
        }

        throw new UnauthorizedHttpException(
            'You do not have access to this resource.',
            ErrorCode::DO_NOT_HAVE_ACCESS
        );
    }
}
