<?php

namespace App\Http\RateLimit;

use Dingo\Api\Http\RateLimit\Throttle\Throttle;
use Illuminate\Container\Container;

class CustomThrottle extends Throttle
{

    /**
     * @param Container $container
     * @return bool
     */
    public function match(Container $container)
    {
        return true;
    }

    /**
     * Get the throttles request limit.
     *
     * @return int
     */
    public function getLimit()
    {
        return config('api.rate_limit.limit');
    }

    /**
     * Get the time in minutes that the throttles request limit will expire.
     *
     * @return int
     */
    public function getExpires()
    {
        return config('api.rate_limit.expire');
    }
}
