<?php

namespace App\Http\Resources\Action;

use App\Helpers\ActionRequestHelper;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ActionSequenceStep extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  Request $request
     * @return array
     */
    public function toArray($request)
    {
        $actionRequestType = ActionRequestHelper::getActionRequestTypeByContent($this->actionRequest->contentable_type);
        $contentId = ActionRequestHelper::getContentableId(
            $this->actionRequest->contentable_type,
            $this->actionRequest->contentable
        );

        return [
            'id' => $this->id,
            'type' => $actionRequestType,
            'name' => $this->name,
            'content_id' => $contentId,
            'message' => $this->message,
            'order' => $this->order,
            'header_image_id' => $this->header_image_id
        ];
    }
}
