<?php

namespace App\Http\Resources\Action;

use App\Helpers\ActionRequestHelper;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ActionSequenceStepSubmission extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $step = $this->resource['step'];
        $actionRequest = $step->actionRequest;
        
        $type = ActionRequestHelper::getActionRequestTypeByContent($actionRequest->contentable_type);
        
        $stepSubmission = [
            'id' => $step->id,
            'name' => $step->name,
            'type' => $type,
            'content' => ActionRequestHelper::getContentableResource(
                $actionRequest->contentable_type,
                $actionRequest->contentable
            )
        ];

        $stepSubmission['submission'] = null;
        
        $submission = $this->resource['submission'];
        if (!empty($submission)) {
            $stepSubmission['submission'] = [
                'id' => $submission->getKey(),
                'is_completed' => $submission->isCompleted(),
                'status' =>  $submission->status,
                'user_results' => ActionRequestHelper::getSubmissionResource($actionRequest->contentable_type, $submission)
            ];
        }
        
        return $stepSubmission;
    }
}
