<?php

namespace App\Http\Resources\Action;

use App\Helpers\ActionRequestHelper;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ActionSubmission extends JsonResource
{
    public static $wrap = null;
    
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $submission = null;
        
        if (!empty($this->resource)) {
            $actionRequest = $this->actionRequest;

            $submission = [
                'id' => $this->getKey(),
                'status' => $this->status,
                'type' => ActionRequestHelper::getActionRequestTypeByContent($actionRequest->contentable_type),
                'content' => ActionRequestHelper::getContentableResource(
                    $actionRequest->contentable_type,
                    $actionRequest->contentable
                ),
                'user_results' => ActionRequestHelper::getSubmissionResource(
                    $actionRequest->contentable_type,
                    $this->resource
                )
            ];
        }

        return ['data' => $submission];
    }
}
