<?php

namespace App\Http\Resources\ActionRequestSubmission;

use App\Helpers\DateHelper;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class Submission extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'status' => $this->status,
            'is_completed' => $this->isCompleted(),
            'created_at' => !empty($this->created_at) ? DateHelper::format($this->created_at) : null,
            'updated_at' => !empty($this->updated_at) ? DateHelper::format($this->updated_at) : null,
        ];
    }
}
