<?php

namespace App\Http\Resources\ActionRequestSubmission;

use App\Helpers\ActionRequestHelper;
use App\Http\Resources\Client\ClientLite;
use App\Http\Resources\User\UserAction;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class SubmissionWithUser extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $actionRequest = $this->actionRequest;
        
        return [
            'id' => $this->id,
            'status' => $this->status,
            'type' => ActionRequestHelper::getActionRequestTypeByContent($actionRequest->contentable_type),
            'user' => new UserAction($this->user),
            'user_results' => ActionRequestHelper::getSubmissionResource(
                $actionRequest->contentable_type,
                $this->resource
            ),
            'reason' => $this->reason,
            'client' => new ClientLite($this->user->employee->client)
        ];
    }
}
