<?php

namespace App\Http\Resources\AlertMessage;

use App\Enum\AlertMessage;
use App\Helpers\DateHelper;
use App\Http\Resources\Subscription\Card;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class AdminAlertMessage extends JsonResource
{
    public function toArray($request)
    {
        $alertMessage = [
            'id' => $this->getKey(),
            'type' => $this->type,
            'message' => $this->message,
            'expiry_date' => !empty($this->expiry_date) ? DateHelper::format($this->expiry_date) : null,
            'priority' => $this->priority,
            'payload' => $this->payload ?: null
        ];

        if($this->message == AlertMessage::SENSITIVE_COMMENT) {
            $alertMessage['from_date'] = $this->from_date;
            $alertMessage['to_date'] = $this->to_date;
        }
        

        if($this->message == AlertMessage::SENSITIVE_COMMENT) {
            $alertMessage['from_date'] = $this->from_date;
            $alertMessage['to_date'] = $this->to_date;
        }
        
        if ($this->message == AlertMessage::EXPIRING_CARD_MESSAGE && isset($this->card)) {
            $alertMessage = array_merge($alertMessage, ['card' => new Card($this->card)]);
        }
        
        return $alertMessage;
    }
}
