<?php

namespace App\Http\Resources\AlertMessage;

use App\Helpers\DateHelper;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class SAAlertMessage extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this->getKey(),
            'type' => $this->type,
            'message' => $this->message,
            'display_on' => !empty($this->display_on) ? DateHelper::format($this->display_on) : null,
            'expire_on' => !empty($this->expire_on) ? DateHelper::format($this->expire_on) : null,
            'priority' => $this->priority,
            'status' => $this->status
        ];
    }
}
