<?php

namespace App\Http\Resources\AppRating;

use App\Helpers\DateHelper;
use App\Http\Resources\User\Employee;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class Review extends JsonResource
{
    public function toArray($request)
    {
        return [
            'point' => $this->point,
            'comment' => $this->comment,
            'platform' => $this->platform,
            'created_at' => isset($this->created_at) ? DateHelper::format($this->created_at) : null,
            'user' => isset($this->user) ? new Employee($this->user) : null
        ];
    }
}
