<?php

namespace App\Http\Resources;

use App\Http\Resources\Library\Attachment;
use App\Http\Resources\User\User;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Asset>
 */
class Asset extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'title' => $this->title,
            'type' => $this->type,
            'attachment' => new Attachment($this->attachment),
            "creator" => new User($this->creator),
        ];
    }
}
