<?php

namespace App\Http\Resources\Attachment;

use App\Helpers\DateHelper;
use App\Http\Resources\Library\Attachment;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class AttachmentOCR extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'lines' => $this->lines,
            'status' => $this->ocr_job_status,
            'average_confidence_score' => $this->average_confidence_score,
            'document_metadata' => $this->document_metadata,
            "created_at" => DateHelper::format($this->created_at),
            "updated_at" => DateHelper::format($this->updated_at),
            'attachment' => new Attachment($this->attachment)
        ];
    }
}
