<?php

namespace App\Http\Resources\Client;

use App\Helpers\DateHelper;
use App\Http\Resources\Library\Attachment;
use App\Http\Resources\MasterData\Industry;
use App\Http\Resources\Phone;
use App\Http\Resources\Subscription\SubscriptionPlan;
use Illuminate\Http\Resources\Json\JsonResource;
use Str;

/**
 * @extends JsonResource
 */
class Client extends JsonResource
{
    public function toArray($request)
    {
        $businessKeyName = $this->getBusinessKeyName();

        return [
            $businessKeyName => $this->{$businessKeyName},
            'name' => $this->name,
            'logo' => new Attachment($this->logo),
            'phone' => new Phone($this->phone),
            'status' => $this->status,
            'industry' => new Industry($this->industry),
            'subscription_plan' => new SubscriptionPlan($this->subscriptionPlan),
            'stripe_cus_id' => $this->stripe_cus_id ?? "TBD",
            'created_at' => DateHelper::format($this->created_at),
            'api_code' => Str::random(32), // TODO to update when implement api code
        ];
    }
}
