<?php

namespace App\Http\Resources\Client;

use App\Http\Resources\Client\ClientValue as ClientValueResource;
use App\Http\Resources\Language\Language as LanguageResource;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class ClientValueTranslate extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'description' => $this->description,
            'client_value' => new ClientValueResource($this->clientValue),
            'language' => new LanguageResource($this->language),
        ];
    }
}
