<?php

namespace App\Http\Resources\Client;

use App\Helpers\DateHelper;
use App\Http\Resources\Library\Attachment;
use App\Http\Resources\MasterData\Industry;
use App\Http\Resources\Phone;
use App\Http\Resources\Subscription\SubscriptionPlan;
use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;
use Str;

/**
 * @extends JsonResource
 */
class ClientWithSubscriptions extends JsonResource
{
    public function toArray($request)
    {
        $businessKeyName = $this->getBusinessKeyName();
        $expirationDate = Carbon::createFromTimestamp($this->subscription->current_period_end);
        return [
            $businessKeyName => $this->{$businessKeyName},
            'name' => $this->name,
            'subscription_plan' => new SubscriptionPlan($this->subscriptionPlan),
            'stripe_cus_id' => $this->stripe_cus_id ?? "TBD",
            'expiration_date'=>$expirationDate,
            'status'=>$this->subscription->status
        ];
    }
}
