<?php

namespace App\Http\Resources\Client;

use App\Enum\ConfigurationTypes;
use App\Http\Resources\Library\Attachment;
use App\Http\Resources\MasterData\Industry;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class Company extends JsonResource
{
    public function toArray($request)
    {
        return [
            'name' => $this->name,
            'industry' => new Industry($this->industry),
            'logo' => new Attachment($this->logo),
            'company_size' => $this->company_size,
            'config' => (object) $this->configurations
        ];
    }
}