<?php

namespace App\Http\Resources\Driver;

use App\Http\Resources\Questionnaire\Questionnaire;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class Driver extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'description' => $this->description,
            'parent_id' => $this->parent_id,
            'icon' => $this->icon,
            'weight' => $this->weight,
            'priority' => $this->priority,
            'questionnaire' => new Questionnaire($this->questionnaire),
            'sub_driver_info' => Driver::collection($this->subDriverInfo)
        ];
    }
}
