<?php

namespace App\Http\Resources\Driver;

use App\Helpers\FileHelper;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Attachment>
 */
class Icon extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            "id" => $this->id,
            "name" => $this->name,
            "original_name" => $this->original_name,
            "path" => FileHelper::getSignedUrl($this->path),
            "size" => $this->size,
            "mime_type" => $this->mime_type
        ];
    }
}
