<?php

namespace App\Http\Resources\Event;

use App\Helpers\DateHelper;
use Illuminate\Http\Resources\Json\JsonResource;

class NextEvents extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'name' => $this->name,
            'location' => $this->location,
            'description' => $this->description,
            'start_date' => DateHelper::format($this->start_date),
            'end_date' => DateHelper::format($this->end_date),
            'status' => $this->status,
            'code' => $this->code,
            'is_published' => (bool)$this->is_published,
            'is_full_day' => (bool)$this->is_full_day,
        ];
    }
}