<?php

namespace App\Http\Resources\Initiative;

use App\Http\Resources\Segment\Segment;
use App\Http\Resources\User\UserLite;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class Initiative extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'title' => $this->title,
            'description' => $this->description,
            'responsible' => new UserLite($this->responsible),
            'created_by' => new UserLite($this->creator),
            'publish_to' => Segment::collection($this->segments),
            'due_by' => $this->due_by,
            'status' => $this->status,
        ];
    }
}
