<?php

namespace App\Http\Resources\Message;

use App\Helpers\DateHelper;
use Illuminate\Http\Resources\Json\JsonResource;
use App\Http\Resources\User\UserLite;

/**
 * @extends JsonResource<\App\Models\Message\Message>
 */
class CommentNote extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'content' => $this->content,
            'sender' => new UserLite($this->sender),
            'created_at' => DateHelper::formatWithMilisecond($this->created_at),
        ];
    }
}
