<?php

namespace App\Http\Resources\Message;

use App\Http\Resources\Mobile\Message\MessageComment;
use App\Http\Resources\User\UserLite as UserResource;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Message\Conversation>
 */
class ConversationMessage extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $result = [
            'users'              => UserResource::collection($this->users),
        ];
        if(isset($this->transferWBLogs)){
            $result['transfer_logs'] = TransferLog::collection($this->transferWBLogs);
        }
        if(isset($this->changeStatusLogs)){
            $result['change_status_logs'] = ChangeStatusLog::collection($this->changeStatusLogs);
        }

        if (isset($this->comment)){
            $result['messages'] = [new MessageComment($this->comment)];
            $result['messages'] = array_merge(Message::collection($this->messages)->jsonSerialize(), $result['messages']);
        } else {
            $result['messages'] = Message::collection($this->messages);
        }

        return $result;
    }

}
