<?php


namespace App\Http\Resources\Message;


use App\Helpers\DateHelper;
use App\Http\Resources\Library\Attachment;
use App\Http\Resources\User\UserLite;
use Illuminate\Http\Resources\Json\JsonResource;

class MessageBroadcast extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $result = [
            'id' => $this->id,
            'content' => $this->content,
            'conversation_id' => $this->conversation_id,
            'attachment' => null,
            'content_type' => $this->content_type,
            'user' => null,
            'created_at' => DateHelper::formatWithMilisecond($this->created_at),
        ];
        if ($this->attachment_id) {
            //If this broadcast message, use signed url
            $result['attachment'] =   new Attachment($this->attachment, !!$this->is_broadcast_message);
        }
        if ($this->isDisplayUser($this->receiverId)) {
            $result['user'] = $this->sender->getBusinessKey();
            if ($this->is_first_message) {
                $result['user_obj'] = new UserLite($this->sender);
            }
        }

        return $result;
    }
}
