<?php

namespace App\Http\Resources\Message;

use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Message\Conversation>
 */
class Notification extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $result = [
            'id' => $this['id'],
            'content' => $this['content'],
            'sender' => [
                'name' => $this['name'],
                'surname' => $this['surname'],
                'first_name' => $this['first_name'],
                'email' => $this['email'],
                'avatar' => $this['profile_pic'],
            ],
            'read' => $this['read'],
            'created_at' => strtotime($this['created_at']),
        ];
        return $result;
    }
}
