<?php

namespace App\Http\Resources\Mobile\ActionRequestSubmission\Submission;

use App\Http\Resources\Mobile\Attachment\Attachment as Attachment;
use App\Http\Resources\Tool\Quiz\QuizQuestion;
use Illuminate\Http\Resources\Json\JsonResource;

class QuizResult extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'name' => 0,
            'header_image' => 0,
            'attachment' =>  new Attachment($this->attachment),
            'type' => 'quiz',
            'message' => 0,
            'is_published' => true,
            'questions' => QuizQuestion::collection($this->questions),
            'user_results'=> 0,
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at
        ];
    }
}
