<?php

namespace App\Http\Resources\Mobile\Attachment;

use App\Helpers\FileHelper;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\File;

class Attachment extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $CAN_VIEW_LIST = array("pdf", "png", "jpg", "jpeg", "gif", "svg");
        $IMAGE = array("png", "jpg", "jpeg", "gif", "svg");

        return [
            "id" => $this->id,
            'name' => $this->name,
            'original_name' => $this->original_name,
            'path' => FileHelper::getSignedUrl($this->path),
            'mime_type' => $this->mime_type,
            'size' => $this->size,
            'extension' => File::extension($this->original_name),
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            "deleted_at" => $this->deleted_at,
            "can_view" => array_search(File::extension($this->original_name), $CAN_VIEW_LIST) > -1,
            "is_image" => array_search(File::extension($this->original_name), $IMAGE) > -1,
        ];
    }
}
