<?php

namespace App\Http\Resources\Mobile\ContentPhoto;

use App\Facades\Context;
use App\Http\Resources\Mobile\Assets\Asset;
use App\Services\ActionRequest\GetUserSubmission;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Auth;

class ContentPhotoResult extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $contentable = $this->contentable;
        $userSubmission = app(GetUserSubmission::class)->execute($this->resource, Context::user()->get()->id);
        if (!$userSubmission) {
            return [];
        }

        return [
            'id' => $contentable->id,
            'name' => $contentable->name,
            'type' => $contentable->code,
            'header_image' => new Asset($this->actionable->headerImage),
            'message' => null,
            'reason' => $userSubmission->reason,
            'status' => $userSubmission->status,
            //TOdo: update instead of create new data record
            'content' => $userSubmission->contentPhotoResults->first(),
            'attachment' => new Asset($userSubmission->contentPhotoResults->first()),
            'created_at' => $contentable->created_at,
            'updated_at' => $contentable->updated_at
        ];
    }
}
