<?php

namespace App\Http\Resources\Mobile\ContentText;

use App\Enum\ActionRequestTypes;
use App\Http\Resources\Mobile\Assets\Asset as MobileAsset;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use App\Helpers\ModelHelper;

class ContentText extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $contentable = $this->contentable;
        $actionable = $this->actionable;
        $message = ModelHelper::convertTokenKeyToValueInJouneySteps($actionable->message);
        return [
            'id' => $this->id,
            'type' => ActionRequestTypes::TEXT,
            'name' => $contentable->name,
            'message' => $message,
            'header_image' => new MobileAsset($actionable->headerImage),
            'created_at' => $contentable->created_at,
            'updated_at' => $contentable->updated_at,
            'is_notify'    => $actionable->is_notify,
            'emails_notify'=> $actionable->emails_notify,
            'journey_id' => $actionable->journey_id,
            'step_name' => $actionable->name,
            'step_is_optional' => (bool) $actionable->step_is_optional,
        ];
    }
}
