<?php

namespace App\Http\Resources\Mobile\Event;

use App\Http\Resources\Mobile\User\UserLite as UserLiteResource;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Contact\Address>
 */
class Event extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $first3InvitedUsers = $this->invitedUsers()->with(['avatar'])
            ->take(3)
            ->get();

        return [
            'code' => $this->code,
            'name' => $this->name,
            'location' => $this->location,
            'first_three_invited_users' => UserLiteResource::collection($first3InvitedUsers),
            'total_invited_user_count' => $this->getCountInvitedUsers(),
            'description' => $this->description,
            'start_date' => $this->start_date,
            'end_date' => $this->end_date,
            'status' => $this->status,
            'is_published' => $this->is_published,
            'is_full_day' => $this->is_full_day,
            'is_all_employees_invited' => $this->hasAllEmployeeSegment(),
        ];
    }
}
