<?php

namespace App\Http\Resources\Mobile\IDVerification;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class IDVerification extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $contentable = $this->contentable;
        $actionable = $this->actionable;

        return [
            'id' => $this->id,
            'name' => $contentable->name,
            'type' => $contentable->code,
            'content' =>  null,
            'link' =>  null,
            'created_at' => $contentable->created_at,
            'updated_at' => $contentable->updated_at,
            'is_notify'    => $actionable->is_notify,
            'emails_notify'=> $actionable->emails_notify,
            'journey_id' => $actionable->journey_id,
            'step_name' => $actionable->name,
            'step_is_optional' => (bool) $actionable->step_is_optional,
        ];
    }
}
