<?php

namespace App\Http\Resources\Mobile\IDVerification;

use App\Facades\Context;
use App\Services\ActionRequest\GetUserSubmission;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class IDVerificationResult extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $contentable = $this->contentable;
        $submission = app(GetUserSubmission::class)->execute($this->resource, Context::user()->get()->getKey());
        if (!$submission) {
            return [];
        }

        return [
            'id' => $contentable->id,
            'name' => $contentable->name,
            'type' => $contentable->code,
            'content' =>  null,
            'link' =>  null,
            'status' =>  $submission->status,
            'user_results' => ImageResults::collection($submission->idVerificationResults)->last(),
            'created_at' => $contentable->created_at,
            'updated_at' => $contentable->updated_at
        ];
    }
}
