<?php

namespace App\Http\Resources\Mobile\Library;

use App\Enum\LibraryItemType;
use App\Http\Resources\Mobile\Attachment\Attachment;
use App\Http\Resources\Library\DocumentProfile;
use App\Http\Resources\Library\Link;
use App\Http\Resources\Mobile\User\UserLite;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * Class LibraryItem
 * @package App\Http\Resources\Mobile\Library
 */
class LibraryItem extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'type' => $this->type,
            'document_profile' => new DocumentProfile($this->documentProfile),
            'attachment' => $this->type == LibraryItemType::FILE ? new Attachment($this->linkable) : null,
            'link' => $this->type == LibraryItemType::LINK ? new Link($this->linkable) : null,
            "creator" => new UserLite($this->creator),
            "created_at" => $this->created_at
        ];
    }
}
