<?php

namespace App\Http\Resources\Mobile\Library;

use App\Enum\LibraryItemType;
use App\Http\Resources\Mobile\Attachment\Attachment;
use App\Http\Resources\Mobile\User\UserLite;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * Class LibraryItem
 * @package App\Http\Resources\Mobile\Library
 */
class LibrarySignedDocument extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'name' => $this->document->name,
            'type' => LibraryItemType::FILE,
            'document_profile' => null,
            'attachment' => $this->attachment ? new Attachment($this->attachment) : null,
            'link' => null,
            "creator" => new UserLite($this->document->user),
            "created_at" => $this->document->created_at
        ];
    }
}
