<?php

namespace App\Http\Resources\Mobile\Message;

use App\Models\Questionnaire\Questionnaire;
use App\Models\User\User;
use Illuminate\Http\Resources\Json\JsonResource;

class MessageComment extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $userCode = "";
        if (isset($this->user_id)) {
            $user = User::find($this->user_id);
            $userCode = $user->getBusinessKey();
        }
        return [
            'id' => $this->id,
            'content' => $this->comment,
            'conversation_id' => $this->conversation_id,
            'questionnaire' => Questionnaire::find($this->questionnaire_id),
            'attachment' => null,
            'content_type' => 'comment',
            'created_at' => $this->created_at,
            'user' => $userCode,
        ];
    }
}