<?php

namespace App\Http\Resources\Mobile\Message;

use App\Helpers\DateHelper;
use App\Http\Resources\Mobile\Attachment\Attachment as Attachment;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Message\Message>
 */
class MessageLite extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'attachment' => new Attachment($this->attachment),
            'content' => $this->content,
            'content_type' => $this->content_type,
            'created_at' => $this->created_at,
        ];
    }
}
