<?php

namespace App\Http\Resources\Mobile\Segment;

use App\Http\Resources\Mobile\Attachment\Attachment;
use App\Http\Resources\Mobile\User\Employee;
use App\Models\User\User;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Contact\Address>
 */
class SegmentEmployee extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $user = User::findByBusinessKey($this->code);

        return [
            'code' => $this->code,
            'surname' => $user->surname,
            'first_name' => $this->first_name,
            'location' => $user->employee && $user->employee->location ? $user->employee->location->name : null,
            'job_title' => $this->job_title,
            'email' => $this->email,
            'avatar' => new Attachment($user->avatar),
            'description' => $this->bio,
            'location_id' => is_null($user->employee->location_id) ? null : $user->employee->location_id,
            'team_id' => is_null($user->employee->team_id) ? null : $user->employee->team_id,
            'department_id' => is_null($user->employee->department_id) ? null : $user->employee->department_id,
        ];
    }
}
