<?php

namespace App\Http\Resources\Mobile\Segment;

use App\Http\Resources\Mobile\User\SegmentUser;
use Illuminate\Http\Resources\Json\JsonResource;
use App\Enum\AccessPermissions;
use App\Helpers\ModelHelper;
use App\Models\User\User;

/**
 * @extends JsonResource<\App\Models\Contact\Address>
 */
class Segments extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $userIds = $this->users->pluck('id')->toArray();
        $query = User::with('employee.client');
        $query->join('employees', 'users.id', 'employees.user_id');
        $query->whereIn('users.id', $userIds);
        $query->select('users.*');

        ModelHelper::setConditionFindByEmployee($query, AccessPermissions::ACCESS_GROUP_EMPLOYEE_DIRECTORY);
        $users = $query->get();
        
        return [
            'name' => $this->name,
            'code' => $this->code,
            'employee' => SegmentUser::collection($users)->take(3),
            'total_employee' => $users->count()
        ];
    }
}
