<?php

namespace App\Http\Resources\Mobile\Tool\Survey;

use App\Enum\ActionRequestTypes;
use App\Http\Resources\Mobile\Assets\Asset;
use App\Http\Resources\Tool\Survey\SurveyQuestion;
use Illuminate\Http\Resources\Json\JsonResource;
use App\Helpers\ModelHelper;

class SurveyDetail extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $contentable = $this->contentable;
        $actionable = $this->actionable;
        $message = ModelHelper::convertTokenKeyToValueInJouneySteps($actionable->message);
        return [
            'id' => $this->id,
            'name' => $contentable->name,
            'code' => $contentable->code,
            'type' => ActionRequestTypes::SURVEY,
            'message' => $message,
            'header_image' => new Asset($actionable->headerImage),
            'is_published' => boolval($contentable->is_published),
            'questions' => SurveyQuestion::collection($contentable->surveyQuestions),
            'created_at' => $contentable->created_at,
            'updated_at' => $contentable->updated_at,
            'is_notify'    => $actionable->is_notify,
            'emails_notify'=> $actionable->emails_notify,
            'journey_id' => $actionable->journey_id,
            'step_name' => $actionable->name,
            'step_is_optional' => (bool) $actionable->step_is_optional,
        ];
    }
}
