<?php

namespace App\Http\Resources\Mobile\User;

use App\Facades\Context;
use App\Http\Resources\Mobile\Attachment\Attachment;
use Illuminate\Http\Resources\Json\JsonResource;

class Employee extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $employee = $this->employee;
        $user = Context::user()->get();
        $isDemo = $user->is_demo;

        return [
            'code' => $this->getBusinessKey(),
            'name' => $this->name,
            'first_name' => $this->first_name,
            'surname' => $this->surname,
            'location' => $employee && $employee->location ? $employee->location->name : ($isDemo ? 'Singapore' : null),
            'job_title' => $employee ? $employee->job_title : null,
            'team' => $employee && $employee->team ? $employee->team->name : null,
            'email' => $this->email,
            'avatar' => new Attachment($this->avatar),
            'description' => $employee ? $employee->bio : null,
            'location_id' => is_null($employee->location_id) ? null : $employee->location_id,
            'team_id' => is_null($employee->team_id) ? null : $employee->team_id,
            'department_id' => is_null($employee->department_id) ? null : $employee->department_id,
        ];
    }
}
