<?php

namespace App\Http\Resources\Mobile\User;

use App\Http\Resources\Mobile\Attachment\Attachment;
use Illuminate\Http\Resources\Json\JsonResource;

class SegmentUser extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'code' => $this->code,
            'surname' => $this->surname,
            'first_name' => $this->first_name,
            'avatar' => new Attachment($this->avatar),
            'location_id' => is_null($this->employee->location_id) ? null : $this->employee->location_id,
            'team_id' => is_null($this->employee->team_id) ? null : $this->employee->team_id,
            'department_id' => is_null($this->employee->department_id) ? null : $this->employee->department_id,
        ];
    }
}
