<?php

namespace App\Http\Resources\Mobile\User;

use App\Http\Resources\Mobile\Attachment\Attachment;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Contact\Address>
 */
class User extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'code' => $this->getBusinessKey(),
            'name' => $this->name,
            'first_name' => $this->first_name,
            'surname' => $this->surname,
            'location' => '',
            'segments' => $this->segments,
            'job_title' => $this->employee->job_title,
            'email' => $this->email,
            'avatar' => new Attachment($this->avatar),
            'description' => $this->bio
        ];
    }
}
