<?php

namespace App\Http\Resources\Mobile\User;

use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\User\User>
 */
class UserLite extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'code' => $this->getBusinessKey(),
            'first_name' => $this->first_name,
            'surname' => $this->surname,
            'avatar' => $this->avatarUrlMobile,
            'location_id' => isset($this->employee) && isset($this->employee->location_id) ? $this->employee->location_id : null,
            'team_id' => isset($this->employee) && isset($this->employee->team_id) ? $this->employee->team_id : null,
            'department_id' => isset($this->employee) && isset($this->employee->department_id) ? $this->employee->department_id : null,
        ];
    }
}
