<?php

namespace App\Http\Resources\Questionnaire;

use App\Http\Resources\Driver\Icon;
use Illuminate\Http\Resources\Json\JsonResource;
use App\Http\Resources\Questionnaire\QuestionnaireTranslate as QuestionnaireTranslateResource;

/**
 * @extends JsonResource
 */
class QuestionnaireTranslateListing extends JsonResource
{
    public function toArray($request)
    {
        $translates = $this->translate()->with('language')->get();
        return [
            'id' => $this->id,
            'name' => $this->driver->name,
            'parent_id' => $this->driver->parent_id,
            'description' => $this->driver->description,
            'icon' => !empty($this->driver) ? $this->driver->icon : null,
            'question' => $this->question,
            'translate' => QuestionnaireTranslateResource::collection($translates),
        ];
    }
}
