<?php

namespace App\Http\Resources\Report;

use App\Http\Resources\Driver\SubDriver;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class ReportTopicDriver extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this->getKey(),
            'name' => $this->name,
            'description' => $this->description,
            'icon' => $this->icon,
            'priority' => $this->priority,
            'question' => $this->questionnaire->question ?? null,
            'subDriver' => SubDriver::collection($this->subDrivers),
        ];
    }
}
