<?php

namespace App\Http\Resources\Report;

use App\Http\Resources\Segment\SegmentType;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Contact\Address>
 */
class SegmentScore extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'code' => $this->code,
            'name' => $this->name,
            'segment_type' => new SegmentType($this->segmentType),
            'scores' => $this->scores,
            'avatar' => null,
            'employees' => isset($this->employees) ? $this->employees : $this->users()->count()
        ];
    }
}
