<?php

namespace App\Http\Resources\Segment;

use App\Http\Resources\User\UserLite;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Contact\Address>
 */
class SegmentDetailLite extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'code' => $this->code,
            'name' => $this->name,
            'segment_type' => new SegmentType($this->segmentType),
            'user_count' => $this->users->count(),
            'users' => UserLite::collection($this->users),
            'avatar' => null,
        ];
    }
}
