<?php

namespace App\Http\Resources\Subscription;

use App\Helpers\DateHelper;
use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Subscription\SubscriptionPlan>
 */
class Card extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return !empty($this->resource) ? [
            'id' => $this->id,
            'name' => $this->name,
            'brand' => $this->brand,
            'country' => $this->country,
            'exp_month' => $this->exp_month,
            'exp_year' => $this->exp_year,
            'cvc_check' => $this->cvc_check, 
            'last4' => $this->last4
        ] : [];
    }
}
