<?php

namespace App\Http\Resources\Subscription;

use App\Helpers\DateHelper;
use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Subscription\SubscriptionPlan>
 */
class Invoice extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $created = Carbon::createFromTimestamp($this->created);
        
        return [
            'number' => $this->number,
            'created' => DateHelper::format($created),
            'amount_due' => $this->amount_due,
            'amount_paid' => $this->amount_paid,
            'currency' => $this->currency,
            'invoice_pdf' => $this->invoice_pdf, 
            'status' => $this->status
        ];
    }
}
