<?php

namespace App\Http\Resources\Subscription;

use App\Helpers\DateHelper;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Subscription\SubscriptionPlan>
 */
class SubscriptionPlan extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'code' => $this->getBusinessKey(),
            'name' => $this->name,
            'description' => $this->description,
            'status' => $this->status,
            'cost' => $this->cost,
            'price_per_employee' => $this->price_per_employee,
            'clients_count' => $this->clients_count,
            'created_at' => $this->created_at ? DateHelper::format($this->created_at) : null,
            'updated_at' => $this->updated_at ? DateHelper::format($this->updated_at) : null
        ];
    }
}
