<?php

namespace App\Http\Resources\Tool\Form;

use App\Facades\Context;
use App\Helpers\PandaDocHelper;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Auth;

class FormResult extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $currentClient = Context::client()->get();
        $formAuthenticate = $currentClient->formAuthenticate;
        $documentLink = null;
        
        if ($formAuthenticate) {
            $pandaDocHelper = (new PandaDocHelper())->setToken($formAuthenticate->access_token);
            $documentLink = $pandaDocHelper->getDocumentLink(
                $this->document->document_id,
                $this->document->user->email
            );
        } 
        
        return [
            'id' => $this->id,
            'document' => $documentLink
        ];
    }
}
