<?php

namespace App\Http\Resources\Tool\Journey;

use App\Helpers\DateHelper;
use App\Http\Resources\User\UserLite;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class Journey extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $businessKeyName = $this->getBusinessKeyName();
        
        return [
            $businessKeyName => $this->{$businessKeyName},
            'name' => $this->name,
            'is_published' => (bool)$this->is_published,
            'employee_count' => $this->users()->count(),
            'step_count' => $this->steps->count(),
            'completed_employee_count' => $this->countCompletedEmployee(),
            'not_started_employee_count' => $this->countNotStartedEmployee(),
            'published_at' => $this->published_at ? DateHelper::format($this->published_at) : null,
            'updated_at' => $this->updated_at ? DateHelper::format($this->updated_at) : null,
            'creator' => new UserLite($this->creator),
            'start_date' => $this->start_date,
            'due_date' => $this->due_date,
        ];
    }
}
