<?php

namespace App\Http\Resources\Tool\Journey;

use App\Helpers\DateHelper;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class JourneyConversation extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $businessKeyName = $this->getBusinessKeyName();
        return [
            $businessKeyName => $this->{$businessKeyName},
            'name' => $this->name,
            'is_published' => boolval($this->is_published),
            'last_step' => !!$this->last_step ? new JourneyStepConversation($this->last_step) : null
        ];
    }
}
