<?php

namespace App\Http\Resources\Tool\Journey;

use App\Helpers\ActionRequestHelper;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class JourneyStep extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        if (!isset($this->actionRequest)) {
            return [];
        }

        $actionRequestType = ActionRequestHelper::getActionRequestTypeByContent($this->actionRequest->contentable_type);
        $contentId = $this->actionRequest->contentable_id ? ActionRequestHelper::getContentableId(
            $this->actionRequest->contentable_type,
            $this->actionRequest->contentable
        ) : null;

        return [
            'id' => $this->id,
            'type' => $this->actionRequest->contentable_type ? $actionRequestType : $this->type,
            'content_id' => $contentId,
            'name' => $this->name,
            'is_available_immediately' => (bool) $this->is_available_immediately,
            'step_is_optional' => (bool) $this->step_is_optional,
            'available_days' => $this->available_days,
            'available_term' => $this->available_term,
            'header_image_id' => $this->header_image_id,
            'message' => $this->message,
            'step_order' => $this->step_order,
            'is_notify' => (bool) $this->is_notify,
            'emails_notify' => $this->emails_notify,
        ];
    }
}