<?php

namespace App\Http\Resources\Tool\Journey;

use App\Helpers\ActionRequestHelper;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class JourneyStepConversation extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $actionRequestType = ActionRequestHelper::getActionRequestTypeByContent($this->actionRequest->contentable_type);
        $contentId = ActionRequestHelper::getContentableId(
            $this->actionRequest->contentable_type,
            $this->actionRequest->contentable
        );

        return [
            'id' => $this->id,
            'type' => $actionRequestType,
            'content_id' => $contentId,
            'name' => $this->name,
        ];
    }
}
