<?php

namespace App\Http\Resources\Tool\Quiz;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class QuizAnswers extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $fromDate = $request->input('from_date');
        $toDate = $request->input('to_date');
        $journeys = [];
        $filter = $request->input('filter');
        if (isset($filter)) {
            $journeys = array_map(function ($item) { return $item['value']; }, $filter);
        }
        return [
            'id' => $this->id,
            'content' => $this->content,
            'is_correct' => boolval($this->is_correct),
            'report' => $this->resultsByUser($fromDate, $toDate, $journeys)->get()->toArray(),
        ];
    }
}