<?php

namespace App\Http\Resources\Tool\Quiz;

use App\Helpers\DateHelper;
use App\Http\Resources\User\UserLite;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class QuizDetail extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $businessKeyName = $this->getBusinessKeyName();
        
        return [
            $businessKeyName => $this->{$businessKeyName},
            'name' => $this->name,
            'is_published' => boolval($this->is_published),
            'questions' => QuizQuestion::collection($this->questions()->with('options')->ordered()->get()),
            'creator' => new UserLite($this->creator),
            'published_at' => $this->published_at ? DateHelper::format($this->published_at) : null,
            'updated_at' => $this->updated_at ? DateHelper::format($this->updated_at) : null,
        ];
    }
}
