<?php


namespace App\Http\Resources\Tool\Survey;


use App\Helpers\DateHelper;
use App\Http\Resources\Client\ClientLite;
use App\Http\Resources\User\UserLite;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class Survey extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $answers = 0;
        $new = 0;
        $actionRequests = $this->actionRequests;
        foreach ($actionRequests as $actionRequest) {
            $answers += $actionRequest->submissions()->count();
            $new += $actionRequest->countNewSubmission();
        }

        return [
            'name' => $this->name,
            'code' => $this->code,
            'is_published' => boolval($this->is_published),
            'question_count' => $this->surveyQuestions()->count(),
            'response_count' => $answers,
            'new_response' => $new,
            'published_at' => $this->published_at ? DateHelper::format($this->published_at) : null,
            'updated_at' => $this->updated_at ? DateHelper::format($this->updated_at) : null,
            'creator' => new UserLite($this->creator),
            'client' => new ClientLite($this->client)
        ];
    }
}
