<?php


namespace App\Http\Resources\Tool\Survey;
use App\Helpers\DateHelper;
use App\Http\Resources\User\UserLite;
use Illuminate\Http\Resources\Json\JsonResource;

class SurveyDetail extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'name' => $this->name,
            'code' => $this->code,
            'is_published' => $this->is_published,
            'questions' => SurveyQuestion::collection($this->surveyQuestions()->ordered()->get()),
            'creator' => new UserLite($this->creator),
            'published_at' => $this->published_at ? DateHelper::format($this->published_at) : null,
            'updated_at' => $this->updated_at ? DateHelper::format($this->updated_at) : null,
        ];
    }
}
