<?php


namespace App\Http\Resources\Tool\Survey;
use App\Enum\QuestionTypes as QuestionTypesEnum;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class SurveyQuestion extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $data = [
            'title' => $this->title,
            'type' => $this->type,
            'order' => $this->order,
            'id' => $this->id,
        ];
        if ($this->type === QuestionTypesEnum::TYPE_MULTI) {
            $data['options'] = SurveyOption::collection($this->surveyOptions);
        }
        return $data;
    }
}
