<?php

namespace App\Http\Resources\User;

use App\Helpers\DateHelper;
use Illuminate\Http\Resources\Json\JsonResource;

class Admin extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'code' => $this->code,
            'email' => $this->email,
            'first_name' => $this->first_name,
            'surname' => $this->surname,
            // TODO: Need a handler for last_login
            'last_login' => $this->last_login ? DateHelper::format($this->last_login) : null,
            'last_login_ip' => $this->last_login_ip,
            'last_login_country' => $this->last_login_country,
            'created_at' => DateHelper::format($this->created_at),
            'status' => $this->employee->status
        ];
    }
}
