<?php

namespace App\Http\Resources\User;

use App\Helpers\DateHelper;
use Illuminate\Http\Resources\Json\JsonResource;

class EmployeeExported extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $employee = $this->employee;

        return [
            'code'              => $this->code,
            'first_name'        => $this->first_name,
            'surname'           => $this->surname,
            'email'             => $this->email,
            'last_login'        => $this->last_login,
            'location'          => $this->location_name,
            'department'        => $this->department_name,
            'team'              => $this->team_name,
            'gender'              => $this->gender_name,
            'job_title'           =>$employee ? $employee->job_title : '',
            'created_at'        => $employee && $employee->created_at ? DateHelper::format($this->created_at) : null,
            'status'            => $employee ? $employee->status : '',
            'document_profiles' => $this->document_profiles,
            "social_security_number" => $employee ? $employee->social_security_number : '',
            "employee_client_id" => $employee ? $employee->employee_client_id : '',
            "phone_number" => $employee ? $employee->phone_number : '',
            "race" => $employee ? $employee->race : '',
        ];
    }
}