<?php

namespace App\Http\Resources\User;

use App\Helpers\DateHelper;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\User\User>
 */
class Manager extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $employee = $this->employee;
        return [
            'code' => $this->code,
            'first_name' => $this->first_name,
            'surname' => $this->surname,
            'email' => $this->email,
            'job_title' => $employee->job_title,
            'avatar' => $this->avatarUrl,
            'start_date' => $employee->start_date ? DateHelper::format($employee->start_date) : null,
            'date_of_birth' => $employee->date_of_birth ? DateHelper::format($employee->date_of_birth) : null,
            'employment_type' => $employee->employment_type,
            'location' => $employee->location ?  $employee->location->name : null,
            'department' => $employee->deparmtent ?  $employee->deparmtent->name : null,
            'gender' => $employee && $employee->gender ?  $employee->gender->name : null,
            'team' =>  $employee->team ?  $employee->team->name : null,
            'status' => $employee->status,
        ];
    }
}
