<?php

namespace App\Http\Resources\User;

use App\Helpers\DateHelper;
use App\Http\Resources\Client\ClientLite;
use Illuminate\Http\Resources\Json\JsonResource;

class UserAction extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request $request 
     * @return array
     */
    public function toArray($request)
    {
        return  [
            'code' => $this->code,
            'email' => $this->email,
            'name' => $this->name,
            'first_name' => $this->first_name,
            'surname' => $this->surname,
            'avatar' => $this->avatarUrl,
            'job_title' => $this->employee->job_title,
            'start_date' => $this->employee->start_date ? DateHelper::format($this->employee->start_date) : null,
            'client' => new ClientLite($this->employee->client)
        ];
    }
}