<?php

namespace App\Http\Resources\User;

use App\Enum\AccessPermissions;
use App\Helpers\FileHelper;
use App\Models\User\User;
use App\Models\User\UserPermission;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\User\User>
 */
class UserLite extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        /**
         * Just get on list
         */
        $list = [AccessPermissions::ACCESS_WB_MASTER];
        $permission = UserPermission::query()
            ->join('permissions', 'model_has_permissions.permission_id', 'permissions.id')
            ->where('model_id', $this->id)
            ->where('model_type', User::class)
            ->whereIn('permissions.name', $list)
            ->select('permissions.*')
            ->get()->pluck('name');

        return [
            'code' => $this->code,
            'first_name' => $this->first_name,
            'surname' => $this->surname,
            'avatar' => $this->avatarUrl,
            'permissions' => $permission,
        ];
    }
}
