<?php

namespace App\Http\Resources\User;

use App\Helpers\FileHelper;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Contact\Address>
 */
class UserSegment extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'code' => $this->code,
            'name' => $this->name,
            'avatar' => !empty($this->avatar) ? FileHelper::getPublicUrl($this->avatar) : null,
            'type' => $this->type,
        ];
    }
}
