<?php

namespace App\Jobs;

use App\Enum\AlertMessage as AlertMessageEnum;
use App\Models\AlertMessage\AlertMessageReadUser;
use App\Models\Questionnaire\QuestionnaireAnswer;
use App\Services\Client\GetClientAdminsByClientId;
use App\Models\AlertMessage\AlertMessage;

class SendAlertMessageToAdmin extends QualeeJob
{
    protected $answer;

    /**
     * Create a new job instance.
     *
     * @param QuestionnaireAnswer $answer
     */
    public function __construct(QuestionnaireAnswer $answer)
    {
        $this->answer = $answer;
    }

    /**
     * Execute the job.
     *
     * @return bool
     */
    public function handle()
    {
        $sensitiveCommentAlertMessage = AlertMessage::where('message', AlertMessageEnum::SENSITIVE_COMMENT)->first();

        if (empty($sensitiveCommentAlertMessage)) return false;

        $clientAdmins = app(GetClientAdminsByClientId::class)->execute(['client_id' => $this->answer->client_id]);
        $clientAdminIds = $clientAdmins->pluck('id')->toArray();

        AlertMessageReadUser::where('alert_message_id', $sensitiveCommentAlertMessage->id)
            ->whereIn('user_id', $clientAdminIds)
            ->delete();

        return true;
    }
}
