<?php

namespace App\Jobs;

use App\Mail\SystemGeneratedPasswords;
use App\Models\User\User;
use App\Services\Employee\GeneratePasswordsCsv;
use Illuminate\Support\Facades\Mail;

class SendGeneratedPasswordsEmail extends QualeeJob
{
    protected $receiver;
    protected $users = [];

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct(User $receiver, $users = [])
    {
        $this->receiver = $receiver;
        $this->users = $users;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $downloadLink = app(GeneratePasswordsCsv::class)->execute(['users' => $this->users]);
        Mail::to($this->receiver->email)->send(new SystemGeneratedPasswords($this->receiver, $downloadLink));
    }
}