<?php

namespace App\Jobs;

use App\Mail\NewAdmin;
use App\Models\User\User;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Mail;

class SendNewAdminEmail extends QualeeJob
{
    protected $user;
    protected $password;
    protected $isWelcomeMail;

    /**
     * Create a new job instance.
     *
     * @param User $user
     * @param string $password
     * @param bool $isWelcomeMail
     */
    public function __construct(User $user, string $password, $isWelcomeMail = false)
    {
        $this->user = $user;
        $this->password = $password;
        $this->isWelcomeMail = $isWelcomeMail;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        Mail::to($this->user->email)->send(new NewAdmin($this->user, $this->password));

        if ($this->isWelcomeMail) {
            $this->user->markAsWelcomeMailSent();
        }
    }
}
