<?php

namespace App\Jobs;


use Illuminate\Support\Facades\Mail;
use App\Mail\Notification;
use App\Models\User\User;
use Illuminate\Validation\ValidationException;

/**
 * Class SendNotification
 * @package App\Jobs
 */
class SendNotificationEmail extends QualeeJob
{
    protected $receiver;
    protected $type;
    protected $params = [];

    /**
     * SendNotification constructor.
     * @param array $arguments
     * @param array $options
     */
    public function __construct(User $receiver, string $type, $params = [])
    {
        $this->receiver = $receiver;
        $this->type = $type;
        $this->params = $params;
    }

    /**
     * Execute the job.
     *
     * @return mixed
     * @throws ValidationException
     */
    public function handle()
    {
        Mail::to($this->receiver->email)->send(new Notification($this->receiver, $this->type, $this->params));
    }

    /**
     *
     */
    public function reportSentry($errors, $detail = '')
    {
        logger()->error('Something when wrong when send notification email' . $detail, $errors);
    }
}
