<?php

namespace App\Jobs;

use App\Models\User\User;
use Illuminate\Support\Facades\Http;

class SendSaveCsvRequest extends QualeeJob
{
    protected $fileId;
    protected $rows = [];
    protected $header = [];

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($fileId, $rows = [], $header = [])
    {
        //
        $this->fileId = $fileId;
        $this->rows = $rows;
        $this->header = $header;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        Http::withOptions(['verify' => false])->post(url(config('app.back_end_url') . '/api/save-csv/' . $this->fileId), ['rows' => $this->rows, 'header' => $this->header]);
    }
}
