<?php

namespace App\Listeners;

use App\Helpers\UserHelper;
use App\Models\UserAccess\ClientDeniedUserAccess;
use Carbon\Carbon;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Spatie\Permission\Models\Role;

class LogDeniedUserAccess
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  object  $event
     * @return void
     */
    public function handle($event)
    {
        $user = $event->user;
        $role = $event->role;
        $client = UserHelper::getClientByUserId($user->getKey());
        $role = Role::firstWhere('name', $role);
        if (!$role) {
            return;
        }

        return ClientDeniedUserAccess::create([
            'client_id' => $client->getKey(),
            'user_id' => $user->getKey(),
            'role_id' => $role->getKey(),
        ]);
    }
}
