<?php

namespace App\Listeners;

use App\Models\UserAccess\ClientDeniedUserAccess;
use Carbon\Carbon;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Spatie\Permission\Models\Role;

class RemoveDeniedUserAccessLog
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  object  $event
     * @return void
     */
    public function handle($event)
    {
        $user = $event->user;
        $role = $event->role;
        $role = Role::firstWhere('name', $role);
        if (!$role) {
            return;
        }

        return ClientDeniedUserAccess::where([
            'user_id' => $user->getKey(),
            'role_id' => $role->getKey(),
        ])->delete();
    }
}
