<?php

namespace App\Listeners;

use App\Events\CardChanged;
use App\Models\AlertMessage\AlertMessage;
use App\Models\AlertMessage\AlertMessageReadUser;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use App\Enum\AlertMessage as AlertMessageEnum;

class RemoveExpiringCardAlert
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param CardChanged $event
     * @return void
     */
    public function handle(CardChanged $event)
    {
        $client = $event->client;
        $userIds = $client->users()->pluck('id')->toArray();
        $alertMessage = AlertMessage::where('message', AlertMessageEnum::EXPIRING_CARD_MESSAGE)->first();
        if ($alertMessage) {
            AlertMessageReadUser::where('alert_message_id', $alertMessage->getKey())
                ->whereIntegerInRaw('user_id', $userIds)
                ->delete();
        }
    }
}
