<?php

namespace App\Listeners;

use App\Models\AlertMessage\AlertMessage;
use App\Models\AlertMessage\AlertMessageReadUser;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use App\Enum\AlertMessage as AlertMessageEnum;

class RemoveExpiringPasswordAlert
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  object  $event
     * @return void
     */
    public function handle($event)
    {
        $user = $event->user;
        $alertMessage = AlertMessage::where('message', AlertMessageEnum::EXPIRING_PASSWORD_MESSAGE)->first();
        if ($alertMessage) {
            AlertMessageReadUser::where('alert_message_id', $alertMessage->getKey())
                ->where('user_id', $user->getKey())
                ->delete();
        }
    }
}
