<?php

namespace App\Mail;

use App\Models\User\User;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class BirthdayNotification extends Mailable
{
    use Queueable, SerializesModels;

    protected $user;
    protected $employee;

    /**
     * Create a new message instance.
     *
     * @param User $user
     */
    public function __construct(User $user, User $employee)
    {
        $this->user = $user;
        $this->employee = $employee;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->markdown('emails.birthday-notification')
            ->subject('Birthday Notification')
            ->with([
                'name' => $this->user->first_name . " " . $this->user->surname,
                'first_name' => $this->employee->first_name,
                'last_name' => $this->employee->surname,
            ]);
    }
}