<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;

class EmailChangeVerification extends Mailable
{
    use Queueable, SerializesModels;
    
    private $verificationUrl;

    /**
     * Create a new message instance.
     *
     * @param string $verificationUrl
     */
    public function __construct(string $verificationUrl)
    {
        $this->verificationUrl = $verificationUrl;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->markdown('emails.email-change')
            ->subject('Verify New Email Address')
            ->with([
                'verificationUrl' => $this->verificationUrl
            ]);
    }
}
