<?php

namespace App\Mail;

use App\Models\User\User;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;

class NewFrontUser extends Mailable
{
    use Queueable, SerializesModels;

    protected $user;
    private $password;

    /**
     * Create a new message instance.
     *
     * @param User $user
     * @param string $password
     */
    public function __construct(User $user, string $password)
    {
        $this->user = $user;
        $this->password = $password;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->markdown('emails.new-front-user')
            ->subject('Account Details')
            ->with([
                'name' => $this->user->getFriendlyName(),
                'user_name' => $this->user->email,
                'password' => $this->password
            ]);
    }
}
