<?php

namespace App\Mail;

use App\Models\User\User;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;

class Resend2FAMail extends Mailable
{
    use Queueable, SerializesModels;

    private $user;
    private $imageSource;

    /**
     * Create a new message instance.
     *
     * @param User $user
     * @param $imageSource
     */
    public function __construct(User $user, $imageSource)
    {
        $this->user = $user;
        $this->imageSource = $imageSource;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->markdown('emails.resend-2fa')
            ->subject('Google Authenticator code request')
            ->with([
                'userName' => $this->user->getFriendlyName(),
                'imageSource' => $this->imageSource
            ]);
    }
}
