<?php

namespace App\Mail;

use App\Models\User\User;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class SystemGeneratedPasswords extends Mailable
{
    use Queueable, SerializesModels;

    private $user;
    private $downloadLink = '';

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct(User $user, $link = '')
    {
        //
        $this->user = $user;
        $this->downloadLink = $link;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->markdown('emails.system-generated-passwords')
            ->subject('Employee System Generated Passwords')
            ->with(['name' => $this->user->first_name, 'url' => $this->downloadLink]);
    }
}
