<?php

namespace App\Models;

use App\Models\Library\LibraryItem;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\hasMany;

class Attachment extends Model
{
    protected $table = 'attachment';

    protected $fillable = ['name', 'path', 'original_name', 'size', 'mime_type', 'created_by'];

    /**
     * Get the post's image.
     */
    public function libraryItem()
    {
        return $this->morphOne(LibraryItem::class, 'linkable');
    }

    /**
     * @return hasMany
     */
    public function assets() : hasMany
    {
        return $this->hasMany(Asset::class, 'attachment_id');
    }
}
