<?php

namespace App\Models\Client;

use Illuminate\Database\Eloquent\Model;
use App\Models\Client\ClientValue;
use App\Models\Language\Language;

class ClientValueTranslate extends Model
{
    protected $table = 'client_value_translates';

    protected $fillable = ['client_value_id', 'language_id', 'name', 'description'];

    /**
     * Get client value
     *
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function clientValue()
    {
        return $this->belongsTo(ClientValue::class, 'client_value_id', 'id');
    }

    public function language()
    {
        return $this->belongsTo(Language::class, 'language_id', 'id');
    }
}
