<?php


namespace App\Models\ContentFile;


use App\Models\ActionRequest\ActionRequest;
use App\Models\Attachment;
use App\Traits\HasBusinessKey;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\MorphOne;
use Illuminate\Database\Eloquent\SoftDeletes;

class ContentFile extends Model
{
    use HasBusinessKey, SoftDeletes;

    protected $table = 'content_files';

    /**
     * @return MorphOne
     */
    public function actionRequest() : MorphOne
    {
        return $this->morphOne(ActionRequest::class, 'contentable');
    }

    /**
     * @return BelongsTo
     */
    public function attachment(): BelongsTo
    {
        return $this->belongsTo(Attachment::class);
    }
}