<?php

namespace App\Models\ContentPhoto;

use App\Models\ActionRequest\ActionRequestSubmission;
use App\Models\Attachment;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ContentPhotoResult extends Model
{
    protected $fillable = ['submission_id', 'attachment_id', 'verify_data', 'status'];

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'content_photo_results';

    public function ActionRequestSubmission(): BelongsTo
    {
        return $this->belongsTo(ActionRequestSubmission::class, 'submission_id');
    }

    /**
     * @return BelongsTo
     */
    public function attachment(): BelongsTo
    {
        return $this->belongsTo(Attachment::class);
    }
}