<?php

namespace App\Models\ContentText;

use App\Models\ActionRequest\ActionRequest;
use App\Traits\HasBusinessKey;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\morphMany;
use Illuminate\Database\Eloquent\SoftDeletes;

class ContentText extends Model
{
    use HasBusinessKey, SoftDeletes;
    
    protected $table = 'content_texts';

    public function actionRequests() : morphMany
    {
        return $this->morphMany(ActionRequest::class, 'contentable');
    }
}
