<?php

namespace App\Models\Form;

use App\Models\User\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * Class Journey
 * @package App\Models\Journey
 */
class FormDocument extends Model
{

    protected $table = 'form_documents';
    
    protected $fillable = ['form_template_id', 'user_id', 'document_id', 'name', 'is_sent', 'action_request_id'];

    /**
     * @return BelongsTo
     */
    public function template(): BelongsTo
    {
        return $this->belongsTo(FormTemplate::class, 'form_template_id');
    }

    /**
     * @return BelongsTo
     */
    public function user() : BelongsTo
    {
        return $this->belongsTo(User::class);
    }
}
