<?php

namespace App\Models\Form;

use App\Models\ActionRequest\ActionRequestSubmission;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * Class Journey
 * @package App\Models\Journey
 */
class FormResult extends Model
{

    protected $table = 'form_results';
    
    protected $fillable = ['submission_id', 'form_document_id'];

    /**
     * @return BelongsTo
     */
    public function document(): BelongsTo
    {
        return $this->belongsTo(FormDocument::class, 'form_document_id');
    }

    /**
     * @return BelongsTo
     */
    public function actionRequestSubmissions(): BelongsTo
    {
        return $this->belongsTo(ActionRequestSubmission::class, 'submission_id');
    }
}
