<?php

namespace App\Models\Form;

use App\Models\Attachment;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * Class FormSignedDocument
 * @package App\Models\Form
 */
class FormSignedDocument extends Model
{

    protected $table = 'form_signed_documents';
    
    protected $fillable = ['document_id', 'attachment_id'];
    
    protected $with = ['document.user.avatar', 'attachment'];

    /**
     * @return BelongsTo
     */
    public function document() : BelongsTo
    {
        return $this->belongsTo(FormDocument::class);
    }
    
    /**
     * @return BelongsTo
     */
    public function attachment() : BelongsTo
    {
        return $this->belongsTo(Attachment::class);
    }
}
