<?php

namespace App\Models\Form;

use App\Contracts\ClientProperty;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

/**
 * Class Journey
 * @package App\Models\Journey
 */
class FormTemplate extends Model implements ClientProperty
{

    protected $table = 'form_templates';
    
    protected $fillable = ['template_id', 'client_id', 'name', 'is_active'];

    /**
     * @return HasMany
     */
    public function documents(): HasMany
    {
        return $this->hasMany(FormDocument::class, 'form_template_id');
    }

    public function getClientId()
    {
        return $this->client_id;
    }
}
