<?php

namespace App\Models\IDVerification;

use App\Models\ActionRequest\ActionRequest;
use App\Traits\HasBusinessKey;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\MorphOne;
use Illuminate\Database\Eloquent\SoftDeletes;

class IDVerification extends Model
{
    use HasBusinessKey, SoftDeletes;
    
    protected $table = 'id_verifications';

    /**
     * @return MorphOne
     */
    public function actionRequest() : MorphOne
    {
        return $this->morphOne(ActionRequest::class, 'contentable');
    }
}
