<?php

namespace App\Models\IDVerification;

use App\Models\ActionRequest\ActionRequestSubmission;
use App\Models\Attachment;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasOne;

class IDVerificationResult extends Model
{
    protected $fillable = ['submission_id', 'front_attachment_id', 'back_attachment_id', 'verify_data', 'status'];

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'id_verification_results';

    public function ActionRequestSubmission(): BelongsTo
    {
        return $this->belongsTo(ActionRequestSubmission::class, 'submission_id');
    }

    /**
     * @return BelongsTo
     */
    public function frontAttachment() : BelongsTo
    {
        return $this->belongsTo(Attachment::class);
    }

    /**
     * @return BelongsTo
     */
    public function backAttachment() : BelongsTo
    {
        return $this->belongsTo(Attachment::class);
    }
}
