<?php

namespace App\Models\Library;

use App\Contracts\ClientProperty;
use App\Models\User\Employee;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;
use Illuminate\Database\Eloquent\Relations\HasMany;

class DocumentProfile extends Model implements ClientProperty
{
    protected $table = 'document_profiles';
    protected $fillable = ['name', 'description', 'client_id', 'created_by'];

    public function getClientId()
    {
        return $this->client_id;
    }

    /**
     * @return BelongsToMany
     */
    public function employees(): BelongsToMany
    {
        return $this->belongsToMany(Employee::class);
    }

    /**
     * @return HasMany
     */
    public function libraryItems(): HasMany
    {
        return $this->hasMany(LibraryItem::class);
    }
}
