<?php


namespace App\Models\Message;


use App\Models\User\User;
use Illuminate\Database\Eloquent\Model;

/**
 * Class AnonymousConversationStatusLog
 * @package App\Models\Message
 */
class AnonymousConversationStatusLog extends Model
{
    /**
     * @var string
     */
    protected $table = 'anonymous_conversation_status_logs';

    /**
     * @var array
     */
    protected $guarded = [];

    /**
     * @var string[]
     */
    protected $touches = ['conversation'];

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function conversation()
    {
        return $this->belongsTo(Conversation::class);
    }

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function user()
    {
        return $this->belongsTo(User::class, 'created_by');
    }
}