<?php

namespace App\Models\Message;

use App\Models\Questionnaire\QuestionnaireAnswer;
use App\Models\User\User;
use Illuminate\Database\Eloquent\Model;

/**
 * Class CommentNote
 * @package App\Models\CommentNote
 */
class CommentNote extends Model
{
    /**
     * @var string
     */
    protected $keyType = 'string';
    /**
     * @var string[]
     */
    protected $with = ['sender'];

    /**
     * @var string
     */
    protected $dateFormat = 'Y-m-d H:i:s.u';

    /**
     * @var string[]
     */
    protected $touches = ['comment'];
    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function sender()
    {
        return $this->belongsTo(User::class, 'sender_id');
    }

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function comment()
    {
        return $this->belongsTo(QuestionnaireAnswer::class, 'comment_id');
    }
}
