<?php


namespace App\Models\Message;


use App\Models\Language\Language;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * Class MessageTranslation
 * @package App\Models\Message
 */
class MessageTranslation extends Model
{
    /**
     * @var string
     */
    protected $table = 'message_translations';
    /**
     * @var array
     */
    protected $guarded = [];

    protected $with = ['language'];

    /**
     * @return BelongsTo
     */
    public function message(): BelongsTo
    {
        return $this->belongsTo(Message::class);
    }

    /**
     * @return BelongsTo
     */
    public function language(): BelongsTo
    {
        return $this->belongsTo(Language::class);
    }
}