<?php


namespace App\Models\Message;


use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Relations\MorphPivot;

/**
 * Class Messageable
 * @package App\Models\Message
 */
class Messageable extends MorphPivot
{
    /**
     * @var string
     */
    protected $table = 'messageables';
    /**
     * @var array
     */
    protected $dates = ['last_read', 'last_available'];

    public function messageTranslations(): HasMany
    {
        return $this->hasMany(MessageTranslation::class);
    }
}