<?php


namespace App\Models\Message;


use App\Models\User\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * Class WhistleblowingTransferLog
 * @package App\Models\Message
 */
class WhistleblowingTransferLog extends Model
{
    /**
     * @var string
     */
    protected $table = 'whistleblowing_transfer_logs';

    /**
     * @var array
     */
    protected $guarded = [];

    /**
     * @var string[]
     */
    protected $touches = ['conversation'];

    /**
     * @return BelongsTo
     */
    public function transferFrom(): BelongsTo
    {
        return $this->belongsTo(User::class, 'transfer_from');
    }

    /**
     * @return BelongsTo
     */
    public function transferTo(): BelongsTo
    {
        return $this->belongsTo(User::class, 'transfer_to');
    }

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function conversation()
    {
        return $this->belongsTo(Conversation::class);
    }
}