<?php

namespace App\Models\QR;

use App\Models\User\User;
use App\Traits\HasBusinessKey;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\MorphTo;

class ActionToken extends Model
{
    use HasBusinessKey;

    protected $table = 'action_tokens';

    protected $guarded = [];

    protected $dates = ['expires_at'];

    /**
     * @return BelongsTo
     */
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    /**
     * @return MorphTo
     */
    public function actionable() : MorphTo
    {
        return $this->morphTo();
    }
}