<?php


namespace App\Models\Questionnaire;


use App\Models\Message\Conversation;
use App\Models\User\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * Class QuestionnaireDiscussionAnswer
 * @package App\Models\Questionnaire
 */
class QuestionnaireDiscussionAnswer extends Model
{
    /**
     * @var bool
     */
    public $timestamps = false;
    /**
     * @var string
     */
    protected $table = 'questionnaire_discussion_answers';

    /**
     * @var string[]
     */
    protected $fillable = ['user_id', 'questionnaire_answer_id', 'conversation_id'];

    /**
     * @return BelongsTo
     */
    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }

    /**
     * @return BelongsTo
     */
    public function conversation(): BelongsTo
    {
        return $this->belongsTo(Conversation::class);
    }

    /**
     * @return QuestionnaireAnswer
     */
    public function questionnaireAnswer(): QuestionnaireAnswer
    {
        return $this->belongsTo(QuestionnaireAnswer::class);
    }
}