<?php

namespace App\Models\Questionnaire;

use Illuminate\Database\Eloquent\Model;
use App\Models\Segment\Segment;

class QuestionnaireOption extends Model
{
    protected $table = 'questionnaire_options';

    protected $fillable = ['client_id', 'questionnaire_id', 'is_allow', 'segment_id'];

    public function scopeIsAllow($query, $isAllow = 1)
    {
        return $query->where('is_allow', $isAllow);
    }

    public function segment()
    {
        return $this->belongsTo(Segment::class, 'segment_id', 'id');
    }
}
