<?php

namespace App\Models\Questionnaire;

use Illuminate\Database\Eloquent\Model;
use App\Models\Questionnaire\QuestionnaireAnswer;
use App\Enum\QuestionnaireStatus;

class QuestionnaireSkipQuestion extends Model
{
    protected $table = 'questionnaire_skip_questions';

    protected $fillable = ['title', 'status'];

    public function scopeActive($query, $isActive = 1)
    {
        return $query->where('status', $isActive);
    }

    public function translates()
    {
        return $this->hasMany(QuestionnaireSkipQuestionTranslate::class,'questionnaire_skip_question_id', 'id');
    }
}
