<?php

namespace App\Models\Questionnaire;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;

/**
 * Class QuestionnaireTopic
 * @package App\Models\Questionnaire
 */
class QuestionnaireTopic extends Model
{
    protected $table = 'questionnaire_topics';

    protected $fillable = [
        'topic',
        'client_id'
    ];

    /**
     * @return BelongsToMany
     */
    public function questionnaireAnswers(): BelongsToMany
    {
        return $this->belongsToMany(QuestionnaireAnswer::class, 'questionnaire_topic_answer', 'topic_id', 'answer_id');
    }
}
