<?php

namespace App\Models\Questionnaire;

use App\Enum\QuestionnaireEnum;
use App\Facades\Context;
use App\Models\Language\Language;
use Illuminate\Database\Eloquent\Model;

class QuestionnaireTranslate extends Model
{
    protected $table = 'questionnaire_translates';

    protected $fillable = ['driver_id', 'language_id', 'questionnaire_id', 'name', 'question', 'description'];

    public function scopeQuestionnaire($query, $id)
    {
        return $query->where('questionnaire_id', $id);
    }

    public function language()
    {
        return $this->belongsTo(Language::class, 'language_id', 'id');
    }

    public function getQuestionAttribute($question)
    {
        $client = Context::client()->get();

        if (!empty($client)) {
            if (strpos($question, QuestionnaireEnum::QUESTION_PREFIX) !== false) {
                $question = str_replace(QuestionnaireEnum::QUESTION_PREFIX, $client->name, $question);
            }
        }
        return $question;
    }
}