<?php

namespace App\Models\Quiz;

use App\Models\ActionRequest\ActionRequestSubmission;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class QuizResult extends Model
{
    protected $fillable = ['question_id', 'option_id', 'results', 'submission_id'];
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'quiz_results';

    /**
     * @return BelongsTo
     */
    public function ActionRequestSubmission(): BelongsTo
    {
        return $this->belongsTo(ActionRequestSubmission::class, 'submission_id');
    }

    /**
     * @return BelongsTo
     */
    public function option() : BelongsTo
    {
        return $this->belongsTo(QuizOption::class);
    }
}
