<?php

namespace App\Models\Schedule;

use App\Services\Schedule\GetDayNumberToCompleteSchedule;
use Illuminate\Database\Eloquent\Model;
use App\Models\Schedule\ScheduleFrequencyRound;
use App\Models\Schedule\ScheduleFrequencySetting;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Relations\HasOne;


class ScheduleFrequency extends Model
{
    protected $table = 'schedule_frequency';

    protected $fillable = ['id', 'name', 'description', 'status', 'is_default'];

    /**
     * @return HasMany
     */
    public function frequencyRounds(): HasMany
    {
        return $this->hasMany(ScheduleFrequencyRound::class, 'schedule_frequency_id', 'id');
    }

    /**
     * @return HasOne
     */
    public function frequencySetting(): HasOne
    {
        return $this->hasOne(ScheduleFrequencySetting::class, 'schedule_frequency_id', 'id');
    }

    public function getDayCompleteAttribute()
    {
        return app(GetDayNumberToCompleteSchedule::class)->execute(['frequency_setting' => $this->frequencySetting]);
    }

    public function scopeActive($q)
    {
        return $q->where('status',  1);
    }
}
