<?php

namespace App\Models\Schedule;

use App\Models\Questionnaire\QuestionnaireAnswer;
use Illuminate\Database\Eloquent\Model;
use App\Models\Schedule\ScheduleFrequency;
use App\Models\Schedule\ScheduleRoundQuestionnaire;

class ScheduleFrequencyRound extends Model
{
    protected $table = 'schedule_frequency_rounds';

    protected $fillable = ['schedule_survey_id', 'status', 'start_date', 'expire_date', 'created_by', 'created_at', 'updated_at'];
    protected $dates = ['start_date', 'expire_date'];
    /**
     * 
     */
    public function frequency()
    {
        return $this->belongsTo(ScheduleFrequency::class, 'schedule_survey_id', 'id');
    }

    public function roundQuestionnaire()
    {
        return $this->hasMany(ScheduleRoundQuestionnaire::class, 'frequency_round_id', 'id');
    }

    public function answers()
    {
        return $this->hasMany(QuestionnaireAnswer::class, 'round_id', 'id');
    }

    public function survey()
    {
        return $this->belongsTo(ScheduleSurvey::class, 'schedule_survey_id', 'id');
    }
}
