<?php

namespace App\Models\Schedule;

use Illuminate\Database\Eloquent\Model;
use App\Models\Schedule\ScheduleFrequency;
use App\Models\Schedule\ScheduleRoundQuestionnaire;

class ScheduleFrequencySetting extends Model
{
    protected $table = 'schedule_frequency_setting';

    protected $fillable = ['id', 'name', 'description', 'schedule_frequency_id', 'round_first', 'next_round', 'is_public', 'week_complete', 'period_day'];

    /**
     * 
     */
    public function frequencyRounds()
    {
        return $this->belongsTo(ScheduleFrequency::class, 'schedule_frequency_id', 'id');
    }

    public function roundQuestionnaire()
    {
        return $this->hasMany(ScheduleRoundQuestionnaire::class, 'schedule_round_id', 'id');
    }

}
