<?php

namespace App\Models\Segment;

use App\Traits\HasBusinessKey;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class SegmentType extends Model
{
    use HasBusinessKey;

    //
    protected $table = 'segment_types';

    protected $guarded = ['id'];

    /**
     * @return HasMany
     */
    public function segments(): HasMany
    {
        return $this->hasMany(Segment::class, 'segment_type_id');
    }

    /**
     * Ordered Segment type
     * @param $query
     * @return mixed
     */
    public function scopeOrdered($query)
    {
        return $query->orderBy('order', 'asc');
    }
    
    public function scopeVisible($query)
    {
        return $query->where('is_hidden', 0);
    }
}
