<?php

namespace App\Models\Segment;

use App\Enum\SegmentTypes;
use App\Models\Client\Client;
use App\Models\Event\Event;
use App\Models\User\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;

class SegmentUser extends Model
{
    protected $table = 'segment_user';

    protected $guarded = ['id'];
    /**
     * @return BelongsTo
     */
    public function segment(): BelongsTo
    {
        return $this->belongsTo(Segment::class);
    }

    /**
     * @return BelongsToMany
     */
    public function users(): BelongsTo
    {
        return $this->belongsTo(User::class,'user_id');
    }
}
