<?php

namespace App\Models\Survey;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class SurveyChoiceResult extends Model
{
    protected $fillable = ['survey_result_id', 'option_id'];

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'survey_choice_results';

    /**
     * @return BelongsTo
     */
    public function SurveyResult(): BelongsTo
    {
        return $this->belongsTo(SurveyResult::class, 'survey_result_id');
    }
    
    public function option() : BelongsTo
    {
        return $this->belongsTo(SurveyOption::class);
    }
}
