<?php

namespace App\Models\Survey;

use App\Models\ActionRequest\ActionRequestSubmission;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class SurveyRatingResult extends Model
{
    protected $fillable = ['survey_result_id', 'rating'];

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'survey_rating_results';

    /**
     * @return BelongsTo
     */
    public function SurveyResult(): BelongsTo
    {
        return $this->belongsTo(SurveyResult::class, 'survey_result_id');
    }
}
