<?php

namespace App\Models\Survey;

use App\Models\Message\Conversation as MessageConversation;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class SurveyTextResult extends Model
{
    protected $fillable = ['survey_result_id', 'text', 'mixed_score', 'positive_score', 'neutral_score', 'negative_score', 'sentiment'];

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'survey_text_results';

    /**
     * @return BelongsTo
     */
    public function SurveyResult(): BelongsTo
    {
        return $this->belongsTo(SurveyResult::class, 'survey_result_id');
    }

    /**
     * @return HasMany
     */
    public function conversations(): HasMany
    {
        return $this->hasMany(MessageConversation::class, "comment_id", "id");
    }
}
