<?php

namespace App\Models\Token
;

use App\Contracts\ClientProperty;
use App\Models\ActionRequest\ActionRequest;
use App\Models\Client\Client;
use App\Traits\HasBusinessKey;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Relations\HasOne;
use Illuminate\Database\Eloquent\Relations\MorphMany;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\User\User;

/**
 * Class Survey
 * @package App\Models\Survey
 */
class MagicLinkToken extends Model
{
    protected $table = 'magic_link_tokens';
    /**
     * @var string[]
     */
    protected $guarded = ['id'];

    protected $dates = ['expires_at'];

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }
}
