<?php


namespace App\Observers;


use App\Facades\Context;
use App\Models\Client\Client;
use App\Services\Library\CreateDocumentProfile;
use App\Services\Segment\CreateAllEmployeeSegment;

class ClientObserver
{
    /**
     * Handle the Client "created" event.
     *
     * @param Client $client
     * @return void
     */
    public function created(Client $client)
    {
        app(CreateAllEmployeeSegment::class)->execute(['client_id' => $client->getKey()]);
        Context::client()->set($client);
        app(CreateDocumentProfile::class)->execute(['name'=>'Default']);
    }
}