<?php

namespace App\Observers;

use App\Events\QuestionnaireAnswerSubmitted;
use App\Models\Questionnaire\QuestionnaireAnswer;

class QuestionnaireAnswerObserver
{
    /**
     * Handle the questionnaire answer "created" event.
     *
     * @param  QuestionnaireAnswer  $questionnaireAnswer
     * @return void
     */
    public function created(QuestionnaireAnswer $questionnaireAnswer)
    {
        if (!empty($questionnaireAnswer->comment)) {
            QuestionnaireAnswerSubmitted::dispatch($questionnaireAnswer);
        }
    }

    /**
     * Handle the questionnaire answer "updated" event.
     *
     * @param  QuestionnaireAnswer  $questionnaireAnswer
     * @return void
     */
    public function updated(QuestionnaireAnswer $questionnaireAnswer)
    {
        if (!empty($questionnaireAnswer->comment)) {
            QuestionnaireAnswerSubmitted::dispatch($questionnaireAnswer);
        }
    }
}
