<?php

namespace App\Providers;

use App\Helpers\DebugHelper;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\File;

class DatabaseServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        if (config('app.enable_debug_log')) {
            $this->queryLog();
        }
    }

    protected function queryLog()
    {
        DB::listen(function($query) {
            File::append(
                storage_path('/logs/query.log'),
                "==" . DebugHelper::toSql($query, 'QueryExecuted') . "(" . $query->time . ")" . PHP_EOL
            );
        });
    }
}
