<?php

namespace App\Providers;

use Aacotroneo\Saml2\Saml2Auth;
use App\Facades\Context;
use App\Helpers\Saml2AuthHelper;
use Carbon\Laravel\ServiceProvider;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Event;

class SAML2ServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {

        $this->app->singleton(Saml2AuthHelper::class, function ($app)  {
            $clientCode = Saml2AuthHelper::getCurrentClientCode();
            $auth = Saml2AuthHelper::loadSSOConfigByClientId($clientCode);
            return new Saml2AuthHelper($auth);
        });

    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        Event::listen('Aacotroneo\Saml2\Events\Saml2LogoutEvent', function ($event) {
            $token = Auth::user()->token();
            $token->revoke();
        });
    }
}
