<?php


namespace App\Resolvers;

use App\Models\Client\Client;
use Illuminate\Http\Request;
use Auth;

class ClientResolver implements Resolver
{
    /**
     * @var Request
     */
    private $request;

    public function __construct(Request $request)
    {
        $this->request = $request;
    }

    public function resolve()
    {
        // Temp solution to work with context
        $code = $this->request->route('clientCode');
        if($code === 'all'){
            return null;
        }
        if (isset($code)) {
            return Client::where('code', $code)->firstOrFail();
        } else {
            if (Auth::check()){
                return Auth::user()->getClient();
            }
        }
        
        return null;
    }
}