<?php

namespace App\Services\Action\ActionSequence;

use App\Helpers\ModelHelper;
use App\Helpers\SortFluent;
use App\Models\Action\ActionSequence;
use App\Services\BaseService;
use App\Traits\Pageable;
use App\Traits\Sortable;

class GetActionSequence extends BaseService
{
    use Sortable, Pageable;


    /**
     * Get action sequence
     * 
     * @param array $options
     * @return mixed
     */
    public function performAction(array $options)
    {
        $query = ActionSequence::query()->with(['client', 'steps.actionRequest']);

        ModelHelper::setConditionFindByClient($query);
        
        SortFluent::init()
            ->setQuery($query)
            ->setSortOptions($options)
            ->setAllowedSorts(['name'])
            ->validate()
            ->applySort();
        
        if (empty($options['sort'])) {
            $query->orderBy('created_at', 'desc');
        }

        return $this->applyPaging($options, $query);
    }
}
