<?php

namespace App\Services\Action\ActionSequence;

use App\Contracts\Validatable;
use App\Helpers\PermissionHelper;
use App\Models\Action\ActionSequence;
use App\Services\BaseService;

class GetActionSequenceDetail extends BaseService implements Validatable
{

    /**
     * Get the validation rules that apply to the service.
     *
     * @param $args
     * @return array
     */
    public function getRules($args)
    {
        return [
            'code' => 'required',
        ];
    }

    /**
     * Get action sequence detail
     * 
     * @param array $args
     * @return ActionSequence
     */
    public function performAction(array $args) : ActionSequence
    {
        $actionSequence = ActionSequence::findByBusinessKey($args['code']);
        PermissionHelper::hasAccessOn($actionSequence);

        return $actionSequence;
    }
}
