<?php


namespace App\Services\Action;


use App\Contracts\Validatable;
use App\Enum\Roles;
use App\Models\Action\Action;
use App\Services\BaseService;
use App\Services\Client\GetUserCurrentCompany;
use Illuminate\Support\Arr;

class ReassignApprover extends BaseService implements Validatable
{
    public function getRules($args)
    {
        return [
            'id' => 'required'
        ];
    }

    public function performAction(array $args)
    {
        $userId = $args['id'];
        $adminIds = app(GetUserCurrentCompany::class)->execute(['type' => Roles::ADMIN])->pluck('id')->except([$userId]);
        Action::whereHas('approvers', function($q) use ($userId) {
            $q->where('id', $userId);
        })->get()->each(function($item, $key) use ($userId, $adminIds) {
            $item->approvers()->detach($userId);
            $item->approvers()->syncWithoutDetaching([Arr::random($adminIds->toArray())]);
        });
    }
}