<?php


namespace App\Services\ActionRequest;


use App\Enum\ActionRequestTypes;
use App\Enum\PlanConfigurations;
use App\Services\Subscription\CheckRemainPlanAction;

class CheckPlanAvailableForStepType
{
    /**
     * Check Current step type is allow on current plan
     * @param string $type
     */
    public function execute(string $type)
    {
        if($type === ActionRequestTypes::FORM)
        {
            app(CheckRemainPlanAction::class)->execute(PlanConfigurations::PACKAGE_FORM);
        }
        if($type === ActionRequestTypes::ID_VERIFICATION)
        {
            app(CheckRemainPlanAction::class)->execute(PlanConfigurations::PACKAGE_ID_VERIFICATION);
        }
    }
}