<?php

namespace App\Services\ActionRequest;

use App\Facades\Context;
use App\Models\ActionRequest\ActionRequest;
use App\Services\InternalBaseService;
use Illuminate\Database\Eloquent\Model;

class CreateActionRequest extends InternalBaseService
{

    /**
     * Create Action request
     *
     * @param array $data
     * @param Model $actionableModel
     * @param Model $contentableModel
     * @return ActionRequest
     */
    public function execute(array $data, ?Model $actionableModel, ?Model $contentableModel): ActionRequest
    {
        $actionRequest = new ActionRequest($data);

        if (!is_null($actionableModel)) {
            $actionRequest->actionable()->associate($actionableModel);
        }

        if (!is_null($contentableModel)) {
            $actionRequest->contentable()->associate($contentableModel);
        }

        // TODO To remove context usage from InternalBaseService
        $actionRequest->client_id = Context::client()->get()->getKey();
        $actionRequest->save();

        return $actionRequest;
    }

}