<?php

namespace App\Services\ActionRequest;

use App\Models\ActionRequest\ActionRequest;
use App\Services\InternalBaseService;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasOne;

class GetUserSubmission extends InternalBaseService
{

    /**
     * Get user submission
     * 
     * @param ActionRequest $actionRequest
     * @param string $userId
     * @return Model|HasOne|object|null
     */
    public function execute(ActionRequest $actionRequest, string $userId)
    {
        return $actionRequest->submissions()
            ->where('user_id', $userId)
            ->orderBy('id', 'desc')
            ->first();
    }
}
