<?php

namespace App\Services\ActionRequest\Submission\Export;

use App\Models\ContentPhoto\ContentPhotoResult;
use App\Services\InternalBaseService;
use Illuminate\Contracts\Filesystem\FileNotFoundException;
use Illuminate\Support\Facades\Storage;

class SaveHeadshotPhotoImage extends InternalBaseService
{
    /**
     * Approve submission
     *
     * @param ContentPhotoResult $result
     * @param string $folderName
     * @param string $imageName
     * @return void
     * @throws FileNotFoundException
     */
    public function execute(ContentPhotoResult $result, string $folderName, string $imageName)
    {
        $attachment = $result->attachment;
        $imagePath = $folderName . '/' . $imageName;
        
        // Save image from S3 to local
        Storage::disk('local')->put($imagePath, Storage::disk('s3')->get($attachment->path));
    }
}