<?php

namespace App\Services\ActionRequest\Submission\Export;

use App\Models\ContentFile\ContentFileResult;
use App\Services\InternalBaseService;
use Illuminate\Contracts\Filesystem\FileNotFoundException;
use Illuminate\Support\Facades\Storage;

class SaveUploadedContent extends InternalBaseService
{
    /**
     * Save upload content
     *
     * @param ContentFileResult $result
     * @param string $folderName
     * @return void
     * @throws FileNotFoundException
     */
    public function execute(ContentFileResult $result, string $folderName)
    {
        $attachment = $result->attachment;
        $path = $folderName . '/' . $attachment->original_name;
        
        // Save image from S3 to local
        Storage::disk('local')->put($path, Storage::disk('s3')->get($attachment->path));
    }
}