<?php

namespace App\Services\ActionRequest;

use App\Models\ActionRequest\ActionRequest;
use App\Services\InternalBaseService;
use Illuminate\Database\Eloquent\Model;

class UpdateActionRequest extends InternalBaseService
{

    /**
     * Create Action request
     *
     * @param array $data
     * @param Model $actionableModel
     * @param Model $contentableModel
     * @param ActionRequest $actionRequest
     * @return ActionRequest
     */
    public function execute(array $data, ?Model $actionableModel, ?Model $contentableModel, ActionRequest $actionRequest): ActionRequest
    {

        $actionRequest->fill($data);

        if (!is_null($actionableModel)) {
            $actionRequest->actionable()->associate($actionableModel);
        }

        if (!is_null($contentableModel)) {
            $actionRequest->contentable()->associate($contentableModel);
        }

        $actionRequest->save();

        return $actionRequest->refresh();
    }

}