<?php

namespace App\Services\AlertMessage;

use App\Contracts\Validatable;
use App\Models\AlertMessage\AlertMessage;
use App\Services\BaseService;
use App\Enum\AlertMessage as AlertMessageEnum;

class CreateAlertMessage extends BaseService implements Validatable
{
    public function getRules(array $args)
    {
        return [
            'message' => 'required|max:1023',
            'display_on' => 'required|date_utc',
            'expire_on' => 'required|date_utc|after:display_on',
        ];
    }

    /**
     * Create alert message
     * 
     * @param array $args
     * @return AlertMessage
     */
    public function performAction(array $args) : AlertMessage
    {
        $args['type'] = AlertMessageEnum::MANUAL_TYPE;
        return AlertMessage::create($args);
    }
}
