<?php

namespace App\Services\AlertMessage;

use App\Contracts\Validatable;
use App\Exceptions\InvalidRequestException;
use App\Models\AlertMessage\AlertMessage;
use App\Services\BaseService;
use App\Enum\AlertMessage as AlertMessageEnum;

class DeleteAlertMessage extends BaseService implements Validatable
{
    public function getRules(array $args)
    {
        return [
            'id' => 'required'
        ];
    }

    /**
     * Delete alert message
     * 
     * @param array $args
     * @return bool
     */
    public function performAction(array $args)
    {
        $alertMessage = AlertMessage::findOrFail($args['id']);
        if ($alertMessage->type === AlertMessageEnum::AUTOMATIC_TYPE) {
            throw new InvalidRequestException();
        }
        $alertMessage->delete();
        
        return true;
    }
}
