<?php

namespace App\Services\AlertMessage;

use App\Facades\Context;
use App\Models\AlertMessage\AlertMessage;
use App\Services\BaseService;
use App\Traits\Pageable;

class GetSAAlertMessage extends BaseService
{
    use Pageable;

    /**
     * Get SA alert messages
     * 
     * @param array $args
     * @return mixed
     */
    public function performAction(array $args)
    {
        $options = Context::request()->getOptions();
        $alertMessage = AlertMessage::query()->manual();
        $alertMessage->orderBy('id', 'desc');
        
        return $this->applyPaging($options, $alertMessage);
    }
}
