<?php

namespace App\Services\AlertMessage;

use App\Contracts\Validatable;
use App\Facades\Context;
use App\Models\AlertMessage\AlertMessage;
use App\Services\BaseService;

class MarkAsRead extends BaseService implements Validatable
{
    public function getRules(array $args)
    {
        return [
            'id' => 'required'
        ];
    }

    /**
     * Mark alert message as read
     * 
     * @param array $args
     * @return bool
     */
    public function performAction(array $args)
    {
        $user = Context::user()->get();
        $alertMessage = AlertMessage::findOrFail($args['id']);
        $readUserIds = $alertMessage->readUsers()->pluck('id')->toArray();
        if (!in_array($user->getKey(), $readUserIds)) {
            $alertMessage->readUsers()->attach($user->getKey());
        }
        
        return true;
    }
}
