<?php


namespace App\Services\AnonymousConversationCategory;


use App\Contracts\Validatable;
use App\Models\Message\AnonymousConversationCategory;
use App\Services\BaseService;
use Illuminate\Support\Arr;

/**
 * Class CreateAnonymousConversationCategory
 * @package App\Services\AnonymousConversationCategory
 */
class CreateAnonymousConversationCategory extends BaseService implements Validatable
{
    /**
     * @param  array  $args
     * @return string[]
     */
    public function getRules(array $args): array
    {
        return [
            'name' => 'string|required|max:255',
        ];
    }

    /**
     * @param  array  $args
     * @return mixed
     */
    public function performAction(array $args)
    {
        $category = AnonymousConversationCategory::create(Arr::only($args,'name'));
        return $category;
    }
}