<?php


namespace App\Services\AnonymousConversationCategory;


use App\Contracts\Validatable;
use App\Models\Message\AnonymousConversationCategory;
use App\Services\BaseService;

/**
 * Class DeleteAnonymousConversationCategory
 * @package App\Services\AnonymousConversationCategory
 */
class DeleteAnonymousConversationCategory extends BaseService implements Validatable
{
    /**
     * @param  array  $args
     * @return string[]
     */
    public function getRules(array $args): array
    {
        return [
            'id' => 'required',
        ];
    }

    /**
     * @param  array  $args
     * @return bool
     */
    public function performAction(array $args)
    {
        $category = AnonymousConversationCategory::find($args['id']);
        $category->delete();
        return true;
    }
}