<?php


namespace App\Services\AnonymousConversationCategory;


use App\Facades\Context;
use App\Helpers\SortFluent;
use App\Models\Message\AnonymousConversationCategory;
use App\Services\BaseService;
use App\Traits\Pageable;

/**
 * Class GetAnonymousConversationCategory
 * @package App\Services\AnonymousConversationCategory
 */
class GetAnonymousConversationCategory extends BaseService
{
    use Pageable;
    /**
     * Get all category
     * @param  array  $args
     * @return AnonymousConversationCategory[]|\Illuminate\Database\Eloquent\Collection
     */
    public function performAction(array $args)
    {
        $options = Context::request()->getOptions();
        $query =AnonymousConversationCategory::query();
        SortFluent::init()
            ->setQuery($query)
            ->setSortOptions($options)
            ->setAllowedSorts(['name'])
            ->validate()
            ->applySort();
        return $this->applyPaging($options, $query) ;
    }
}