<?php


namespace App\Services\AnonymousConversationCategory;


use App\Contracts\Validatable;
use App\Models\Message\AnonymousConversationCategory;
use App\Services\BaseService;

/**
 * Class UpdateAnonymousConversationCategory
 * @package App\Services\AnonymousConversationCategory
 */
class UpdateAnonymousConversationCategory extends BaseService implements Validatable
{
    /**
     * @param  array  $args
     * @return string[]
     */
    public function getRules(array $args): array
    {
        return [
            'id'   => 'required',
            'name' => 'required|string|max:255'
        ];
    }

    /**
     * @param  array  $args
     * @return mixed
     */
    public function performAction(array $args)
    {
        $category = AnonymousConversationCategory::find($args['id']);
        $category->name = $args['name'];
        $category->save();
        return $category->fresh();
    }

}