<?php

namespace App\Services\AppRating;

use App\Facades\Context;
use App\Models\AppRating\AppRating;
use App\Services\BaseService;
use App\Traits\Pageable;

class GetRating extends BaseService
{
    use Pageable;

    /**
     * Get rating
     * 
     * @param array $args
     * @return mixed
     */
    public function performAction(array $args)
    {
        $options = Context::request()->getOptions();
        $client = Context::client()->get();

        $query = AppRating::query()->with('user');
        $query->orderBy('created_at', 'desc');
        
        if (!empty($client)) {
            $query->where('client_id', $client->getKey());
        }
        
        return $this->applyPaging($options, $query);
    }
}
