<?php


namespace App\Services\Asset;

use App\Contracts\Validatable;
use App\Helpers\PermissionHelper;
use App\Models\Asset;
use App\Services\Attachment\DeleteAttachment;
use App\Services\BaseService;

class DeleteAsset extends BaseService implements Validatable
{
    /**
     * Get the validation rules that apply to the service.
     *
     * @return array
     */
    public function getRules($args)
    {
        return [
            'id' => 'required',
        ];
    }

    /**
     * Delete asset
     *
     * @param array $data
     * @return bool
     */
    public function performAction(array $data): bool
    {
        $asset = Asset::where('id', $data['id'])->firstOrFail();
        PermissionHelper::hasAccessOn($asset);
        $this->deleteAttachment($asset->attachment);
        $asset->delete();
        return true;
    }

    public function deleteAttachment($attachment)
    {
        app(DeleteAttachment::class)->execute($attachment);
    }
}
