<?php


namespace App\Services\Auth;


use App\Enum\Roles;
use App\Services\BaseService;
use Illuminate\Support\Facades\Auth;

class AuthWebsocket extends BaseService
{
    public function performAction($args)
    {
        $channelName = $args['channelName'];
        $typeChanel = explode(".", $channelName)[0];
        switch ($typeChanel){
            case "channel":
                //Authenticated user
                if(!Auth::check()) {
                    return false;
                }
                $currentUser = Auth::user();
                if ($channelName !== 'channel.' . $currentUser->getBusinessKey()){
                    return false;
                }
                return true;
            case "qrchannel":
                //For scan qr code
                return true;
            default:
                return false;
        }

    }
}