<?php

namespace App\Services\Auth;

use App\Services\BaseService;
use Carbon\Carbon;
use Illuminate\Support\Facades\Auth as Auth;
use Stevebauman\Location\Facades\Location;

class UserLogin extends BaseService
{
    /**
     * Validate user credential and return user info.
     * @param array $args
     */
    public function performAction(array $args)
    {
        $currentUser = Auth::user();
        $lastLoginCountry = null;
        if (isset($args['ip']) && $location = Location::get($args['ip'])) {
            $lastLoginCountry = $location->countryName;
        }
        $currentUser->last_login = Carbon::now();
        $currentUser->last_login_ip = $args['ip'] ?? null;
        $currentUser->last_login_country = $lastLoginCountry;
        $currentUser->save();

        activity()->causedBy($currentUser)->log('Login');
    }
}
