<?php


namespace App\Services\Client\ClientValue;

use App\Contracts\Transactionable;
use App\Models\Client\ClientValue;
use App\Models\Client\ClientValueTranslate;
use App\Services\BaseService;

class DeleteClientValue extends BaseService implements Transactionable
{
    /**
     * Delete client value
     *
     * @param array $data
     * @return boolean
     */
    public function performAction(array $data)
    {
        $clientValue = ClientValue::find($data['id']);
        if (!empty($clientValue)) {
            ClientValueTranslate::where('client_value_id', $clientValue->id)->delete();
            return $clientValue->delete();
        }
        return false;
    }
}
