<?php
namespace App\Services\Client\ClientValue;

use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Models\Client\ClientValue;
use App\Services\BaseService;
use Illuminate\Validation\Rule;

class EditClientValue extends BaseService implements Validatable, Transactionable
{
    /**
     * Get the validation rules that apply to the service.
     *
     * @param array $args
     * @return array
     */
    public function getRules(array $args): array
    {
        return [
            'id' => 'required|exists:client_values',
            'client_id' => 'required',
            'description' => 'required',
            'name' => [
                'required',
                Rule::unique('client_values')->where(function ($query) use($args) {
                    return $query->where('client_id', $args['client_id'])
                        ->where('id', '!=', $args['id'])
                        ->where('name', $args['name']);
                })
            ],

        ];
    }

    /**
     * Create questionnaire
     *
     * @param array $data
     * @return Mix
     */
    public function performAction(array $data)
    {
        $clientValue = ClientValue::find($data['id']);
        $clientValue->update($data);

        return $clientValue;
    }
}
