<?php
namespace App\Services\Client\ClientValueTranslate;

use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Models\Client\ClientValueTranslate;
use App\Services\BaseService;

class CreateClientValueTranslate extends BaseService implements Validatable, Transactionable
{
    /**
     * Get the validation rules that apply to the service.
     *
     * @param array $args
     * @return array
     */
    public function getRules(array $args): array
    {
        return [
            'client_value_id' => 'required|exists:client_values,id',
            'language_id' => 'required|exists:languages,id',
            'description' => 'required',
            'name' => 'required'
        ];
    }

    /**
     * Create questionnaire
     *
     * @param array $data
     * @return ClientValue
     */
    public function performAction(array $data)
    {
        $clientValueTranslate = ClientValueTranslate::where([
            'client_value_id' => $data['client_value_id'],
            'language_id' => $data['language_id'],
        ])->first();

        if (empty($clientValueTranslate)) {
            $clientValueTranslate = ClientValueTranslate::create($data);
        } else {
            $clientValueTranslate->update($data);
        }

        return $clientValueTranslate;
    }
}
