<?php


namespace App\Services\Client;


use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Enum\EmployeeStatus;
use App\Enum\Roles;
use App\Models\User\User;
use App\Services\BaseService;


class GetClientAdminsByClientId extends BaseService implements Validatable, Transactionable
{
    public function getRules(array $args): array
    {
        return [];
    }

    /**
     * @return mixed
     */
    public function performAction(array $data)
    {
        $query = User::whereHas('employee', function($query) use ($data) {
            $query->where('client_id', $data['client_id']);
            $query->where('status', EmployeeStatus::ACTIVE);
        })->with('employee')->role(Roles::ADMIN);

        return $query->get();
    }
}