<?php


namespace App\Services\Client;

use App\Contracts\Validatable;
use App\Models\Client\Client;
use App\Services\BaseService;


class GetClientDetail extends BaseService implements Validatable
{
    /**
     * Get the validation rules that apply to the service.
     *
     * @param array $args
     * @return array
     */
    public function getRules(array $args)
    {
        return [
            'code' => 'required',
        ];
    }

    /**
     * Get client detail
     * 
     * @param array $data
     * @return Client
     */
    public function performAction(array $data): Client
    {
        return Client::findByBusinessKey($data['code']);
    }
}
