<?php


namespace App\Services\Client;

use App\Contracts\Performable;
use App\Facades\Context;
use App\Models\Client\Client;
use App\Services\BaseService;


class GetCompany extends BaseService implements Performable
{
    public function canPerform(): bool
    {
        return Context::client()->check();
    }
    /**
     * Get client detail
     *
     * @param array $data
     * @return Client
     */
    public function performAction(array $data)
    {
        $client = Context::client()->get();
        return $client;
    }
}