<?php
namespace App\Services\Client\Traits;

use App\Helpers\StripeHelper;
use App\Enum\ErrorCode;
use App\Exceptions\InvalidRequestException;

trait CheckStripe
{
    public function checkValidStripeCustomer($id) {
        if ($id) {
            $stripeHelper = new StripeHelper();
            $subscription = $stripeHelper->getCustomerSubscription($id);
            if ($subscription == null) {
                throw new InvalidRequestException('Stripe customer has not any Stripe subscriptions. Please create new one', ErrorCode::CLIENT_HAS_NO_STRIPE_SUBSCRIPTION);
            }
            
            return $subscription;
        }
    }
}