<?php

namespace App\Services\Dashboard;

use App\Services\BaseService;
use Illuminate\Support\Facades\DB;

class GetStatistics extends BaseService
{

    /**
     * Get dashboard statistics
     * 
     * @param array $args
     * @return array
     */
    function performAction(array $args)
    {
        $clientId = $args['client_id'];

        $data = DB::select("SELECT (select count(*) from users where users.id in (
 	                                    select employees.user_id from employees where employees.client_id = " . $clientId . "
                                    )) as employees_count,
                                    (SELECT COUNT(*) FROM journeys WHERE client_id = " . $clientId . ") as journeys_count, 
                                   (SELECT COUNT(*) FROM library_items WHERE client_id = " . $clientId . ") as library_items_count, 
                                   (SELECT COUNT(*) FROM quizzes WHERE client_id = " . $clientId . ") as quizzes_count,
                                   (SELECT COUNT(*) FROM surveys WHERE client_id = " . $clientId . ") as surveys_count");

        return [
            'employee_count' => $data[0]->employees_count,
            'journey_count' => $data[0]->journeys_count,
            'survey_count' => $data[0]->surveys_count,
            'quiz_count' => $data[0]->quizzes_count,
            'library_item_count' => $data[0]->library_items_count,
        ];
    }
}
