<?php
namespace App\Services\DataControl;

use App\Contracts\Transactionable;
use App\Enum\DataControlDefault;
use App\Facades\Context;
use App\Services\BaseService;
use App\Models\DataControl\DataControl;

class GetDataControl extends BaseService implements Transactionable
{
    /**
     * Get data control
     *
     * @param array $data
     * @return mixed
     */
    public function performAction(array $data)
    {
        $client = Context::client()->get();
        $result = DataControl::client($client->id)->first();

        if (empty($result)) {
            $result = new DataControl([
                'segment_identification' => DataControlDefault::SEGMENT_IDENTIFICATION,
                'data_expiry' => DataControlDefault::DATA_EXPIRY,
                'anonymity_difference' => DataControlDefault::ANONYMITY_DIFFERENCE,
                'data_availability' => DataControlDefault::DATA_AVAILABILITY,
                'data_referencing' => DataControlDefault::DATA_REFERENCING,
                'engagement_score_default' => DataControlDefault::ENGAGEMENT_SCORE_DEFAULT
            ]);
        }

        return $result;
    }
}
