<?php
namespace App\Services\DataControl;

use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Facades\Context;
use App\Services\BaseService;
use App\Models\DataControl\DataControl;

class UpdateDataControl extends BaseService implements Transactionable
{
    /**
     * Update data control
     *
     * @param array $optionss
     * @return mixed
     */
    public function performAction(array $data)
    {
        $client = Context::client()->get();

        $clientDataControl = DataControl::client($client->id)->first();
        if (empty($clientDataControl)) {
            $data['client_id'] = $client->id;
            $clientDataControl = DataControl::create($data);
        } else {
            $clientDataControl->update($data);
        }

        return $clientDataControl;
    }
}
