<?php
namespace App\Services\Driver;

use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Models\Driver\Driver;
use App\Services\BaseService;

class CreateDriver extends BaseService implements Validatable, Transactionable
{
    /**
     * Get the validation rules that apply to the service.
     *
     * @return array
     */
    public function getRules(array $args): array
    {
        return [
            'parent_id' =>'required',
            'name' => 'required|unique:drivers'
        ];
    }

    /**
     * Create driver
     *
     * @param array $data
     * @return Driver
     */
    public function performAction(array $data)
    {
        $driver = Driver::create($data);

        return $driver;
    }
}
