<?php
namespace App\Services\Driver;

use App\Contracts\Transactionable;
use App\Models\Driver\Driver;
use App\Services\BaseService;

class DeleteDriver extends BaseService implements Transactionable
{
    /**
     * Delete driver
     *
     * @param array $data
     * @return Driver
     */
    public function performAction(array $data)
    {

        $driver = Driver::findOrFail($data['id']);

        if (empty($driver->parent_id)) {
            Driver::where('parent_id', $driver->id)->delete();
        }

        return $driver->delete();
    }
}
