<?php


namespace App\Services\Driver;

use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Models\Driver\Driver;
use App\Services\BaseService;

class EditDriver extends BaseService implements Validatable, Transactionable
{
    public function getRules(array $args): array
    {
        return [
            'name' => 'required',
        ];
    }

    /**
     * Update driver
     *
     * @param array $data
     * @return Driver
     */
    public function performAction(array $data)
    {
        $driver = Driver::findOrFail($data['id']);
        $driver->update($data);

        return $driver;
    }
}
