<?php
namespace App\Services\Driver;

use App\Contracts\Transactionable;
use App\Models\Driver\Driver;
use App\Services\BaseService;
use App\Traits\Pageable;
use App\Traits\Sortable;

class GetDriver extends BaseService implements Transactionable
{
    use Sortable, Pageable;


    /**
     * Get list driver
     *
     * @param array $data
     * @return mixed
     */
    public function performAction(array $data)
    {
        $query = Driver::query()->active()->primary();

        $this->applySorting($data, $query);

        return $this->applyPaging($data, $query);
    }
}
