<?php


namespace App\Services\Employee;

use App\Facades\Context;
use App\Helpers\ModelHelper;
use App\Models\User\User;
use App\Services\BaseService;
use App\Traits\Pageable;
use Illuminate\Validation\ValidationException;

class GetEmployeeByScheduleId extends BaseService
{
    use Pageable;

    /**
     * @param array $data
     * @return mixed
     * @throws ValidationException
     */

    public function performAction(array $data)
    {
        $options = Context::request()->getOptions();

        $query = User::with([
            'employee.client' => function ($query) {
                ModelHelper::setConditionFindByClientForEmployee($query, 'employees');
            }
        ]);

        $query->join('schedule_round_questionnaires', 'users.id', 'schedule_round_questionnaires.user_id')
            ->where('schedule_round_questionnaires.schedule_survey_id', $data['id'])
            ->select('users.*');

        return $this->applyPaging($options, $query);
    }
}