<?php


namespace App\Services\Employee;

use App\Helpers\ModelHelper;
use App\Models\User\User;
use App\Services\BaseService;
use Carbon\Carbon;

class GetStartingNextEmployees extends BaseService
{

    /**
     * Download employee's activities
     *
     * @param array $data
     */
    public function performAction(array $ags)
    {
        $employees = User::join('employees', 'users.id', '=', 'employees.user_id')
            ->select('users.*')
            ->with('employee')
            ->whereNotNull('employees.start_date')
            ->where('employees.start_date', '>', Carbon::now())
            ->orderBy('employees.start_date', 'asc')
            ->take(4);
        ModelHelper::setConditionFindByClient($employees, 'employees');

        return $employees->get();
    }
}
