<?php


namespace App\Services\Employee;

use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Mail\SystemGeneratedPasswords;
use App\Services\BaseService;
use Illuminate\Support\Facades\Mail;

/**
 * Class SendPasswordsEmail
 * @package App\Services\Employee
 */
class SendPasswordsEmail extends BaseService implements Validatable, Transactionable
{

    /**
     * @param array $args
     * @return string[]
     */
    public function getRules(array $args)
    {
        return [
            'receiver' => 'required'
        ];
    }

    /**
     * @param array $args
     * @return bool
     */
    public function performAction(array $args)
    {
        $users = $args['users'];
        $receiver = $args['receiver'];
        Mail::to($receiver->email)->send(new SystemGeneratedPasswords($receiver, $users));
        return true;
    }
}
