<?php


namespace App\Services\Event;

use App\Contracts\Validatable;
use App\Enum\Roles;
use App\Exceptions\UnauthorizedHttpException;
use App\Facades\Context;
use App\Helpers\ModelHelper;
use App\Models\Event\Event;
use App\Services\BaseService;
use App\Traits\Pageable;
use App\Traits\Sortable;

class GetDetailEvent extends BaseService implements Validatable
{
    use Sortable, Pageable;

    /**
     * Get the validation rules that apply to the service.
     *
     * @param array $data
     * @return array
     */
    public function getRules(array $data)
    {
        return [
            'code' => 'required|string',
        ];
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function performAction(array $data)
    {
        $code = $data['code'];
        $eventQuery = Event::where('code', $code);
        ModelHelper::setConditionFindByClient($eventQuery);
        
        return $eventQuery->firstOrFail();
    }
}
