<?php


namespace App\Services\Initiative;

use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Facades\Context;
use App\Models\Initiative\Initiative;
use App\Models\Segment\Segment;
use App\Models\User\User;
use App\Services\BaseService;
use Illuminate\Validation\Rule;

class SyncInitiativeSegment extends BaseService
{
    /**
     * Create driver
     *
     * @param array $data
     * @return Initiative
     */
    public function performAction(array $data)
    {
        $initiative = $data['initiative'];
        $segmentCode = $data['segment_code'];

        $segmentsPublish = Segment::whereIn('code', $segmentCode)->get();
        $publishToIds = $segmentsPublish->pluck('id')->toArray();

        return $initiative->segments()->sync($publishToIds);
    }
}
