<?php

namespace App\Services\Integration;

use App\Enum\PlanConfigurations;
use App\Facades\Context;
use App\Helpers\IntegrationHelper;
use App\Services\BaseService;
use App\Services\Subscription\CheckRemainPlanAction;


class GetLinkToken extends BaseService
{

    /**
     * Get integration link token
     *
     * @param array $args
     * @return array
     */
    public function performAction(array $args)
    {
        app(CheckRemainPlanAction::class)->execute(PlanConfigurations::PACKAGE_INTEGRATION);

        $user = Context::user()->get();
        $integrationHelper = new IntegrationHelper();
        $linkToken = $integrationHelper->createLinkToken($user);
        if (!$linkToken) {
            return [];
        }

        return $linkToken;
    }
}
