<?php


namespace App\Services\Library;

use App\Helpers\ModelHelper;
use App\Models\Library\DocumentProfile;
use App\Services\BaseService;
use App\Traits\Filterable;
use App\Traits\Pageable;
use App\Traits\Sortable;

class GetDocumentProfiles extends BaseService
{
    use Sortable, Filterable, Pageable;
    /**
     * Get all document profiles
     * @param array $args
     * @return mixed
     */
    public function performAction(array $args)
    {
        $query = DocumentProfile::query()->with(['employees', 'libraryItems']);
        ModelHelper::setConditionFindByClient($query);
        $this->applySorting($args, $query);
        $this->applyFilters($args, $query);
        return $this->applyPaging($args, $query);
    }
}
