<?php

namespace App\Services\Library;

use App\Enum\AccessPermissions;
use App\Facades\Context;
use App\Helpers\UserAccessHelper;
use App\Services\InternalBaseService;

class hasAccessOnContentProfile extends InternalBaseService
{

    /**
     * Check user has access on content profile
     *
     * @param string $contentProfileId
     * @return bool
     */
    public function execute(string $contentProfileId)
    {
        $user = Context::user()->get();

        if (!UserAccessHelper::hasAccess(AccessPermissions::ACCESS_COMPANY_LIBRARY) &&
            UserAccessHelper::hasAccess(AccessPermissions::ACCESS_CONTENT_PROFILE_LIBRARY) &&
            !in_array((int)$contentProfileId, $user->employee->getDocumentProfileIds(), true)) {
            return false;
        }

        return true;
    }
}
