<?php


namespace App\Services\MasterData\Industry;


use App\Contracts\Validatable;
use App\Facades\Context;
use App\Models\MasterData\Industry;
use App\Services\AuthBaseService;

class CreateIndustry extends AuthBaseService implements Validatable
{
    public function getRules(array $args): array
    {
        return [
            'name' => 'required|string'
        ];

    }

    public function performAction(array $args)
    {
        $industry = new Industry();
        $industry->name = $args['name'];
        $industry->added_by = Context::user()->get()->getKey();
        $industry->save();
        return $industry;
    }
}