<?php


namespace App\Services\MasterData\Industry;

use App\Facades\Context;
use App\Helpers\SortFluent;
use App\Models\MasterData\Industry;
use App\Services\BaseService;
use App\Traits\Pageable;

class GetIndustries extends BaseService
{
    use Pageable;

    /**
     * Get list industries
     * @param array $args
     * @return mixed
     */
    public function performAction($args)
    {
        $options = Context::request()->getOptions();
        $query = Industry::query();

        $query = $this->applySorting($options, $query);
        
        return $this->applyPaging($options, $query);
    }
    
    public function applySorting(array $options, $query)
    {
        SortFluent::init()
            ->setQuery($query)
            ->setTable('industries')
            ->setSortOptions($options)
            ->setAllowedSorts(['name'])
            ->validate()
            ->applySort();

        return $query;
    }
}
