<?php


namespace App\Services\MasterData\Industry;


use App\Contracts\Validatable;
use App\Facades\Context;
use App\Models\MasterData\Industry;
use App\Services\BaseService;

class UpdateIndustry extends BaseService implements Validatable
{
    public function getRules(array $args): array
    {
        return [
            'id' => 'required|integer',
            'name' => 'required|string'
        ];

    }

    public function performAction(array $args)
    {
        $industry = Industry::findOrFail($args['id']);
        $industry->name = $args['name'];
        $industry->save();
        return $industry->fresh();
    }
}