<?php

namespace App\Services\Message;

use App\Models\Message\Notification;
use App\Models\User\Employee;
use App\Services\BaseService;
use App\Traits\Pageable;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Http;

class GetNotifications extends BaseService
{
    use Pageable;


    public function __construct()
    {
    }

    /**
     * Get notifications of user
     *
     * @param  array  $data
     * @return mixed
     */
    public function performAction(array $args)
    {
        $pageSize = $args['page']['size'] ?? 10;
        $pageNumber = $args['page']['number'] ?? 1;

        return Notification::join('users', 'sender_id', 'users.id')
            ->select(['notifications.id', 'notifications.content', 'notifications.read', 'notifications.created_at', 'users.name', 'users.surname', 'users.first_name', 'users.email', 'users.profile_pic'])
            ->where('receiver_id', Auth::user()->id)
            ->orderBy('created_at', 'desc')
            ->paginate($pageSize, ['*'], 'page', $pageNumber);
    }
}
