<?php


namespace App\Services\Message;


use App\Enum\ConversationTypes;
use App\Enum\MessageableTypes;
use App\Enum\Roles;
use App\Facades\Context;
use App\Services\BaseService;
use Illuminate\Support\Facades\DB;

class GetNumberUnreadMessage extends BaseService
{
    public function performAction(array $args)
    {
        $currentUser = Context::user()->get();
        $role = $args['role'] ?? Roles::FRONT_USER;
        $conversationTypeExclude = ConversationTypes::NOTIFY_MESSAGE_EMPLOYEE;
        if ($role === Roles::FRONT_USER) {
            $conversationTypeExclude = ConversationTypes::NOTIFY_MESSAGE;
        }
        $countMessageUnreadQuery = DB::table('messageables')->join('messages', function ($join) {
            $join->on('messageables.conversation_id', '=', 'messages.conversation_id');
            //Get message unread yet
            $join->on('messageables.last_read', '<', 'messages.created_at');
            //Only get available message
            $join->on('messageables.last_available', '<', 'messages.created_at');
        })
            ->join('conversations', 'messageables.conversation_id', '=', 'conversations.id')
            ->where('conversations.type', '!=', $conversationTypeExclude)
            ->where('messageables.type', MessageableTypes::USER)
            ->where('messageables.messageable_id', $currentUser->getKey())
            ->where('messages.sender_id', '!=', $currentUser->getKey());
        return $countMessageUnreadQuery->count();
    }
}