<?php


namespace App\Services\Message;

use App\Contracts\Validatable;
use App\Facades\Context;
use App\Jobs\MarkConversationAsRead as MarkConversationAsReadJob;
use App\Models\Message\Message;
use App\Services\BaseService;

class MarkConversationAsRead extends BaseService implements Validatable
{
    /**
     * Get the validation rules that apply to the service.
     *
     * @return array
     */
    public function getRules($args): array
    {
        return [
            'id' => 'required|string',
        ];
    }

    /**
     * Mark conversation as read
     *
     * @param array $data
     * @return Message
     */
    public function performAction(array $data)
    {
        $userId = Context::user()->get()->getKey();
        MarkConversationAsReadJob::dispatch($data['id'], $userId);
    }
}
