<?php

namespace App\Services\Mobile\Action;

use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Enum\SubmissionStatus;
use App\Facades\Context;
use App\Services\BaseService;

class ActionSequenceStepDetails extends BaseService implements Validatable, Transactionable
{
    public function getRules(array $args): array
    {
        return [];
    }

    /**
     * ActionSequencePendingAction
     * @return mixed
     */
    public function performAction(array $data)
    {
        $user = Context::user()->get();

        $actionSequence = $data['actionSequence'];
        $steps = $actionSequence->steps()->with('actionRequest')->get();
        foreach ($steps as $step) {
            $actionRequest = $step->actionRequest()->first();
            $actionRequestSubmission = $actionRequest->submissions()->where('user_id', $user->id)->first();
            $isCompleted = !empty($actionRequestSubmission) ? in_array($actionRequestSubmission->status, SubmissionStatus::COMPLETED_STATUS) : 0;
            $step->isCompleted = $isCompleted;
        }

        return $steps;
    }
}
