<?php

namespace App\Services\Mobile\Action;

use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Http\Resources\Mobile\Journey\JourneyStep;
use App\Models\Action\ActionSequence;
use App\Services\BaseService;

class GetPendingAction extends BaseService implements Validatable, Transactionable
{
    public function getRules(array $args): array
    {
        return [];
    }

    /**
     * Get pending actions
     * @return mixed
     */
    public function performAction(array $data)
    {
        $results = [];
        $actionSequence = ActionSequence::findOrFail($data['id']);
        $actionSteps = $actionSequence->steps;

        foreach ($actionSteps as $step) {
            $results[] = new JourneyStep($step);
        }

        return [
            'code' => $actionSequence->code,
            'name' => $actionSequence->name,
            'is_published' => true, //always true
            'steps' => $results
        ];
    }
}
