<?php

namespace App\Services\Mobile\Action;

use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Enum\ActionTypes;
use App\Helpers\ActionRequestHelper;
use App\Http\Resources\Mobile\Journey\JourneyStep;
use App\Models\Action\Action;
use App\Models\Action\ActionSequenceStep;
use App\Models\ActionRequest\ActionRequest;
use App\Services\BaseService;
use App\Services\Mobile\Journey\GetStepDetail;

class GetPendingActionResults extends BaseService implements Validatable, Transactionable
{
    public function getRules(array $args): array
    {
        return [];
    }

    /**
     * Get pending actions
     * @return mixed
     */
    public function performAction(array $data)
    {
        $actionRequest = ActionRequest::findOrFail($data['id']);
        return ActionRequestHelper::getResultMobileResource($actionRequest);

    }
}
