<?php

namespace App\Services\Mobile\Action;

use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Services\BaseService;
use Auth;

class GetPendingActions extends BaseService implements Validatable, Transactionable
{
    public function getRules(array $args): array
    {
        return [];
    }

    /**
     * Get pending actions
     * @return mixed
     */
    public function performAction(array $data)
    {
        // Get Journey pending action
        $journeyPendingAction = app(JourneyPendingAction::class)->execute($data);

        // Get Action pending
        $actionPendingAction = app(SingleActionPending::class)->execute($data);

        //Get Action sequence pending
        $actionSequentPendingAction = app(ActionSequencePendingAction::class)->execute($data);

        // Get questionnaire pending
        $questionnairePendingAction = app(QuestionnairePendingAction::class)->execute($data);

        $pendingActions = $actionPendingAction
            ->merge($questionnairePendingAction)
            ->sortBy('expire_date')
            ->merge($journeyPendingAction)
            ->merge($actionSequentPendingAction);

        return $pendingActions;
    }
}
