<?php

namespace App\Services\Mobile\ActionRequestSubmission\Submission;

use App\Contracts\Validatable;
use App\Models\Quiz\QuizResult;
use App\Services\BaseService;

class SubmitQuiz extends BaseService implements Validatable
{
    public function getRules(array $args)
    {
        return [
            'id' => 'required',
            'results' => 'required'
        ];
    }

    public function performAction(array $data)
    {
        $submission  = app(SubmitSubmission::class)->execute($data);
        QuizResult::where('submission_id', $submission->id)->delete();
        foreach ($data['results'] as $key => $result) {
            $result['submission_id'] = $submission->id;
            QuizResult::create($result);
        }

        return true;
    }
}
