<?php

namespace App\Services\Mobile\ActionRequestSubmission\Submission;

use App\Enum\SubmissionStatus;
use App\Events\SubmissionUpdated;
use App\Facades\Context;
use App\Models\ActionRequest\ActionRequestSubmission;
use App\Services\BaseService;
use Illuminate\Support\Facades\Auth;

class SubmitSubmission extends BaseService
{

    public function performAction(array $data) {
        $currentUser = Context::user()->get();
        
        $submission = ActionRequestSubmission::updateOrCreate([
            'user_id' => $currentUser->getKey(),
            'action_request_id' => $data['action_request_id']
        ],[
            'user_id' => $currentUser->getKey(),
            'action_request_id' => $data['action_request_id'],
            'status' => $data['status'] ? $data['status'] : SubmissionStatus::COMPLETED,
            'reason' => null
        ]);
        
        event(new SubmissionUpdated($submission));
        
        return $submission;
    }
}
