<?php

namespace App\Services\Mobile\Archive;

use App\Contracts\Transactionable;
use App\Facades\Context;
use App\Models\Action\ActionSequenceUser;
use App\Services\BaseService;

class ActionSequenceArchive extends BaseService
{
    /**
     * ActionSequenceArchive
     * @param array $data
     * @return mixed
     */
    public function performAction(array $data)
    {
        $user = Context::user()->get();

        $actionSequencesUs = ActionSequenceUser::where([
            'user_id' => $user->id,
            'is_completed' => 1,
        ])->get();

        $result = [];

        foreach ($actionSequencesUs as $actionSequenceUsItem) {
            $actionSequence = $actionSequenceUsItem->actionSequence()->first();
            if (empty($actionSequence)) continue;

            $result[] = [
                'id' => $actionSequence->id,
                'title' => 'Completed these actions',
                'completed_date' => $actionSequenceUsItem->updated_at,
                'action_type' => 'action_sequence'
            ];
        }

        return $result;
    }
}
