<?php

namespace App\Services\Mobile\Archive;

use App\Services\BaseService;
use App\Services\Mobile\Journey\GetCompletedJourney;
use Illuminate\Support\Collection;

class JourneyArchive extends BaseService
{
    /**
     * JourneyArchive
     * @return mixed
     */
    public function performAction(array $data)
    {
        // get completed journey
        $completedJourneys = app(GetCompletedJourney::class)->execute();

        $journey = array();
        foreach ($completedJourneys as $completedJourney) {
            $journey[] = [
                'id' => $completedJourney->id,
                'title' => $completedJourney->name.' journey',
                'completed_date' => $completedJourney->updated_at,
                'action_type' => 'journey'
            ];
        }
        return new Collection($journey);
    }
}
