<?php

namespace App\Services\Mobile\Auth;

use App\Contracts\Validatable;
use App\Services\BaseService;
use Illuminate\Support\Facades\Password;

class ForgotPassword extends BaseService implements Validatable
{
    public function getRules(array $args)
    {
        return [
            'email' => 'required|email',
        ];
    }

    /**
     * Forgot password service
     *
     * @param array $data
     * @return bool
     */
    public function performAction(array $data)
    {
        return Password::sendResetLink($data);
    }
}
