<?php


namespace App\Services\Mobile\Auth;


use App\Contracts\Validatable;
use App\Helpers\ModelHelper;
use App\Models\User\User;
use App\Services\BaseService;
use App\Services\Token\CreateMagicLinkToken;

class GetLoginMagicLinkForDemoClient extends BaseService implements Validatable
{
    public function getRules(array $args)
    {
        return [
            "code" => "required|string"
        ];
    }

    public function performAction(array $args)
    {
        $userId = ModelHelper::convertBusinessKeyToId(User::class, $args['code']);
        $magicLinkToken = app(CreateMagicLinkToken::class)->execute([
            "user_id" => $userId
        ]);
        return $magicLinkToken;
    }
}