<?php

namespace App\Services\Mobile\Auth;

use App\Contracts\Validatable;
use App\Facades\Context;
use App\Models\User\Employee;
use App\Services\BaseService;

class SyncSignalId extends BaseService implements Validatable
{
    public function getRules($args)
    {
        return [
            'signal_id' => 'required'
        ];
    }

    /**
     * Synchronize signal id after login
     *
     * @param array $data
     * @return bool
     */
    public function performAction(array $data)
    {
        $user = Context::user()->get();
        if ($user->is_demo) {
            return true;
        }
        $tokenId = $user->token()->id;
        $userId = $user->id;

        $authSerice = new AuthService();
        $authSerice->revokeOldTokens($tokenId);

        Employee::where('user_id', $userId)->update(['signal_id' => $data['signal_id']]);

        return true;
    }
}
