<?php

namespace App\Services\Mobile\Auth;

use App\Contracts\Validatable;
use App\Models\User\Employee;
use App\Services\BaseService;
use Illuminate\Support\Facades\Auth;

class UserLogout extends BaseService implements Validatable
{
    public function getRules(array $args)
    {
        return [];
    }

    /**
     * User logout service
     *
     * @param array $data
     * @return bool
     */
    public function performAction(array $data)
    {
        $this->performValidation($data);

        $user = Auth::user();

        // Expire signal_id and device_id
        $frontUser = Employee::where('user_id', '=', $user->id)->firstOrFail();
        $frontUser->signal_id = 0;
        $frontUser->device_id = 0;
        $frontUser->save();

        $authService = new AuthService();
        $authService->revokeAllToken();

        return true;
    }
}
