<?php

namespace App\Services\Mobile\Employee;

use App\Facades\Context;
use App\Models\User\Employee;
use App\Models\User\User;
use App\Services\BaseService;
use App\Traits\Pageable;
use App\Helpers\ModelHelper;
use App\Enum\AccessPermissions;
class SearchByKeyword extends BaseService
{
    use Pageable;

    /**
     * Get list event
     *
     * @param array $options
     * @return mixed
     */
    public function performAction(array $options)
    {
        //Todo: Need validate
        $client = Context::client()->get();
        $keyword = $options['keyword'] ?? '';

        $query = User::query()->join('employees', 'users.id', '=', 'employees.user_id')
            ->where('client_id', $client->getClientId())
            ->where(function ($subQuery) use ($keyword) {
                $subQuery->where('users.surname', 'like', "%$keyword%");
                $subQuery->orWhere('users.first_name', 'LIKE', "%$keyword%");
                $subQuery->orWhere('users.name', 'LIKE', "%$keyword%");
                $subQuery->orWhere('employees.surname', 'LIKE', "%$keyword%");
                $subQuery->orWhere('employees.preffered_name', 'LIKE', "%$keyword%");
            });

            ModelHelper::setConditionFindByEmployee($query, AccessPermissions::ACCESS_GROUP_EMPLOYEE_MESSAGES);

        return $this->applyPaging($options, $query);
    }
}
