<?php

namespace App\Services\Mobile\Engage;

use App\Services\BaseService;
use App\Services\Mobile\Archive\ActionSequenceArchive;
use App\Services\Mobile\Archive\JourneyArchive;
use App\Services\Mobile\Archive\QuestionnaireArchive;
use App\Services\Mobile\Archive\SingleActionArchive;

class GetArchive extends BaseService
{
    /**
     * GetArchive
     * @return mixed
     */
    public function performAction(array $data)
    {
        $journeyArchive = app(JourneyArchive::class)->execute();
        $singleActionArchive = app(SingleActionArchive::class)->execute();
        $actionSequenceArchive = app(ActionSequenceArchive::class)->execute();
        $questionnaireArchive = app(QuestionnaireArchive::class)->execute();

        $result = $journeyArchive->merge($questionnaireArchive)
            ->merge($singleActionArchive)
            ->merge($actionSequenceArchive);
        $result = $result->sortByDesc('completed_date')->values();
        return $result;
    }
}
