<?php

namespace App\Services\Mobile\Event;

use App\Contracts\Validatable;
use App\Facades\Context;
use App\Http\Resources\Mobile\Event\Event as EventResource;
use App\Models\Event\Event;
use App\Services\BaseService;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;

class CountUsers extends BaseService
{

    /**
     * count users
     *
     * @param array data
     * @return mixed
     */
    public function performAction(array $data)
    {
        $user = Context::user()->get();
        $events = $user
            ->userEvent()
            ->where('is_published', 1)
            ->whereDate('start_date', '>=', Carbon::today())
            ->pluck('id')
            ->toArray();

        if (isset($user->segments) && $user->segments->count() > 0) {
            foreach ($user->segments as $k => $segment) {
                $events = array_merge($events, $segment->events()->where('is_published', 1)->whereDate('start_date', '>=', Carbon::today())->pluck('id')->toArray());
            }
        }
        $eventModel = Event::findMany(array_unique($events));

        return EventResource::collection($eventModel);
    }
}
