<?php

namespace App\Services\Mobile\Journey;

use App\Facades\Context;
use App\Models\Journey\JourneyUser;
use App\Services\BaseService;
use Illuminate\Support\Carbon;

class GetActiveJourney extends BaseService
{


    /**
     * Get active Journeys
     *
     * @param $data
     * @return array
     */
    public function performAction($data)
    {
        $user = Context::user()->get();

        if(isset($data['id'])) {
            //Get journey by id
            $journeyUsers = JourneyUser::where('user_id', $user->id)
                ->where('journey_id', $data['id'])
                ->whereHas('journey',function ($query){
                    $query->where('is_published',true);
//                    $query->whereDate('start_date', '<=', Carbon::today());
                })
                ->orderBy('created_at', 'DESC')
                ->get();
        } else {
            // Get all user's journeys
            $journeyUsers = JourneyUser::where('user_id', $user->id)
                ->where('is_completed', 0)
                ->whereHas('journey',function ($query){
                    $query->where('is_published',true);
//                    $query->whereDate('start_date', '<=', Carbon::today());
                })
                ->orderBy('created_at', 'DESC')
                ->get();
        }

        $journeys = [];
        foreach ($journeyUsers as $journeyUser) {
            $journeys[] = $journeyUser->journey;
        }

        return $journeys;
    }
}
