<?php

namespace App\Services\Mobile\Journey;

use App\Facades\Context;
use App\Models\Journey\JourneyUser;
use App\Services\BaseService;

class GetCompletedJourney extends BaseService
{
    /**
     * Get active Journeys
     *
     * @param $data
     * @return array
     */
    public function performAction(array $data)
    {
        $user = Context::user()->get();

        $journeyUsers = JourneyUser::select('*')
            ->where('user_id', $user->id)
            ->where('is_completed', 1);
        if (!empty($data['id'])) {
            $journeyUsers->where('journey_id', $data['id']);
        }
        $journeyUsers = $journeyUsers->orderBy('created_at', 'DESC')->get();

        $journeys = [];

        foreach ($journeyUsers as $user) {
            $journeys[] = $user->journey;
        }

        return array_filter($journeys);
    }
}
