<?php


namespace App\Services\Mobile\Journey;


use App\Facades\Context;
use App\Models\Journey\JourneyStep;
use App\Services\ActionRequest\GetUserSubmission;
use App\Services\InternalBaseService;

class GetPrevStepSubmission extends InternalBaseService
{
    public function execute(JourneyStep $step)
    {
        $currentUser = Context::user()->get();
        $prevStep = JourneyStep::query()
            ->where('journey_id', $step->journey_id)
            ->where('step_order', '<' ,$step->step_order)
            ->orderByDesc('step_order')
            ->first();

        if (!isset($prevStep->actionRequest)) {
            return false;
        }

        return app(GetUserSubmission::class)->execute($prevStep->actionRequest, $currentUser->id);
    }
}