<?php

namespace App\Services\Mobile\Journey;

use App\Helpers\ActionRequestHelper;
use App\Helpers\PermissionHelper;
use App\Models\ActionRequest\ActionRequest;
use App\Services\BaseService;

class GetStepDetail extends BaseService
{
    
    /**
     * Get step detail by step id
     *
     * @param array $data
     * @return mixed
     */
    public function performAction(array $data)
    {
        $actionRequest = ActionRequest::findOrFail($data['id']);
        PermissionHelper::hasAccessOn($actionRequest);

        return ActionRequestHelper::getContentableMobileResource($actionRequest);
    }
}
