<?php

namespace App\Services\Mobile\Journey;

use App\Models\User\Employee;
use App\Services\BaseService;
use Illuminate\Support\Facades\Auth;

class GetSteps extends BaseService
{


    /**
     * Get Journey Step
     *
     * @param array $data
     * @return array
     */
    public function performAction(array $data)
    {

        $activeJourneys = app(GetActiveJourney::class)->execute($data);

        $journey = array();
        foreach ($activeJourneys as $activeJourney) {
            if(is_null($activeJourney)) continue;
            $journey[] = [
                'id' => $activeJourney->id,
                'name' => $activeJourney->name,
                'is_published' => boolval($activeJourney->is_published),
                'steps' => array(
                    'data' => app(GetStepDetails::class)->execute(['journey' => $activeJourney])
                )
            ];
        }

        return $journey;
    }
}
