<?php

namespace App\Services\Mobile\Journey;

use App\Contracts\Validatable;
use App\Helpers\ObjectHelper;
use App\Models\Journey\JourneyStep;
use App\Services\BaseService;

class IsFirstStep extends BaseService implements Validatable
{
    public function getRules(array $args)
    {
        return [
            'step' => 'required'
        ];
    }

    public function performAction(array $args)
    {
        ObjectHelper::instanceOfClass($args['step'], JourneyStep::class);
        $step = $args['step'];
        return $step->step_order === JourneyStep::where('journey_id', $step->journey_id)->min('step_order');
    }
}