<?php


namespace App\Services\Mobile\Journey;


use App\Enum\SubmissionStatus;
use App\Facades\Context;
use App\Models\Journey\JourneyStep;
use App\Services\ActionRequest\GetUserSubmission;
use App\Services\InternalBaseService;

class IsPrevStepHasValidSubmission extends InternalBaseService
{
    /**
     * @param JourneyStep $step
     * @return bool
     */
    public function execute(JourneyStep $step): bool
    {
        $prevStepSubmission = $this->getPrevStepSubmission($step);

        if ($this->isPrevStepSetRejected($prevStepSubmission))
            return false;

        if ($prevStepSubmission)
            return true;

        return false;
    }

    /**
     * @param $step
     * @return bool
     */
    public function getPrevStepSubmission($step)
    {
       return app(GetPrevStepSubmission::class)->execute($step);
    }


    /**
     * @param $stepSubmission
     * @return bool
     */
    private function isPrevStepSetRejected($stepSubmission): bool
    {
        if ($stepSubmission && $stepSubmission->status == SubmissionStatus::REJECTED)
            return true;

        return false;
    }
}