<?php


namespace App\Services\Mobile\Journey;


use App\Enum\ErrorCode;
use App\Exceptions\InvalidRequestException;
use App\Facades\Context;
use App\Models\Journey\JourneyUser;
use App\Services\InternalBaseService;

/**
 * Class IsUserBelongsToJourney
 * @package App\Services\Mobile\Journey
 */
class IsUserBelongsToJourney extends InternalBaseService
{
    /**
     * @param  bool  $isThrowError
     */
    public function execute( int $journeyId, bool $isThrowError = true)
    {
        $currentUser = Context::user()->get();
        $isUserBelongToJourney = JourneyUser::query()->where('journey_id', $journeyId)
            ->where('user_id', $currentUser->id)->exists();

        if($isThrowError && !$isUserBelongToJourney){
            throw new InvalidRequestException('User is not belong to journey', ErrorCode::INVALID_REQUEST);
        }
        return $isUserBelongToJourney;

    }
}