<?php

namespace App\Services\Mobile\Journey;

use App\Contracts\Performable;
use App\Facades\Context;
use App\Helpers\PermissionHelper;
use App\Models\ActionRequest\ActionRequest;
use App\Services\BaseService;
use App\Services\Mobile\ActionRequestSubmission\SkipActionRequestSubmission;

class SkipStepDetails extends BaseService implements Performable
{

    function performAction(array $data)
    {
        $actionRequestId = $data['id'];
        $actionRequest = ActionRequest::findOrFail($actionRequestId);
        PermissionHelper::hasAccessOn($actionRequest);
        return $this->createActionRequestSubmission($data, $actionRequest);
    }

    public function createActionRequestSubmission($content, $actionRequest)
    {
        return app(SkipActionRequestSubmission::class)->execute($content, $actionRequest);
    }

    /**
     * @inheritDoc
     */
    public function canPerform(): bool
    {
        return Context::client()->check() && !Context::client()->get()->is_demo;
    }
}