<?php

namespace App\Services\Mobile\Journey;

use App\Contracts\Performable;
use App\Enum\ActionRequestTypes;
use App\Enum\QuestionTypes;
use App\Facades\Context;
use App\Helpers\PermissionHelper;
use App\Models\ActionRequest\ActionRequest;
use App\Services\BaseService;
use App\Services\Mobile\ActionRequestSubmission\CreateActionRequestSubmission;

class SubmitStepDetails extends BaseService implements Performable
{
    /**
     * @inheritDoc
     */
    public function canPerform(): bool
    {
        return Context::client()->check() && !Context::client()->get()->is_demo;
    }


    public function performAction($data)
    {
        $actionRequestId = $data['id'];
        $actionRequest = ActionRequest::findOrFail($actionRequestId);
        PermissionHelper::hasAccessOn($actionRequest);
        return $this->createActionRequestSubmission($data, $actionRequest);
    }

    public function createActionRequestSubmission($content, $actionRequest)
    {
        return app(CreateActionRequestSubmission::class)->execute($content, $actionRequest);
    }


}
