<?php

namespace App\Services\Mobile\Library;

use App\Facades\Context;
use App\Models\Library\LibraryItem;
use App\Services\BaseService;
use Illuminate\Support\Facades\Auth;
use App\Traits\Pageable;

class GetLibraryItems extends BaseService
{
    use Pageable;

    /**
     * Get library items of specific user
     *
     * @param $options
     * @return mixed
     */
    public function performAction($options)
    {
        $user =  Context::user()->get();
        $query = LibraryItem::query();
        $query->select('library_items.*');
        $query->join('employees', 'library_items.client_id','=', 'employees.client_id');
        $query->where('employees.user_id', $user->id);
        $query->whereIn('library_items.document_profile_id', $user->employee->getDocumentProfileIds());
        $query->latest();

        return $this->applyPaging($options, $query);
    }
}
