<?php

namespace App\Services\Mobile\Library;

use App\Facades\Context;
use App\Models\Form\FormSignedDocument;
use App\Services\BaseService;
use App\Traits\Pageable;

class GetSignedDocuments extends BaseService
{
    use Pageable;

    /**
     * @param array $options
     * @return mixed
     */
    public function performAction(array $options)
    {
        $user = Context::user()->get();
        
        $query = FormSignedDocument::query()->select('form_signed_documents.*');
        $query->join('form_documents', 'form_signed_documents.document_id', 'form_documents.id');
        $query->where('form_documents.user_id', $user->getKey());

        return $this->applyPaging($options, $query);
    }
}
