<?php

namespace App\Services\Mobile\Questionnaire;

use App\Contracts\Performable;
use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Facades\Context;
use App\Services\BaseService;

class AnswerQuestions extends BaseService implements Validatable, Transactionable, Performable
{
    public function getRules(array $args): array
    {
        return [
            'answers*.questionnaire_id' => 'required|exists:questionnaires,id',
            'answers.*.point' => 'nullable|numeric|min:0|max:10',
        ];
    }

    public function canPerform(): bool
    {
        return Context::client()->check() && !Context::client()->get()->is_demo;
    }

    /**
     * Store answer
     *
     * @param array $data
     * @return array
     */
    public function performAction(array $data)
    {
        return app(HandleAnswerQuestions::class)->execute($data);
    }
}
