<?php

namespace App\Services\Mobile\Questionnaire;

use App\Services\BaseService;

class CompareAnsweredAndRequestAnswerQuestion extends BaseService
{
    /**
     * CompareAnsweredAndRequestAnswerQuestion
     *
     * @param array $data
     * @return mixed
     */
    public function performAction(array $data)
    {
        $answered = $data['answered'];
        $questionsSetting = $data['questionsSetting'];
        $valuesSetting = $data['valuesSetting'];

        $status = true;
        if (empty($answered) || count($questionsSetting) > count($answered)) return false;

        foreach ($questionsSetting as $index => $questionnaireId) {
            $valueId = !empty($valuesSetting[$index]) ? $valuesSetting[$index] : null;

            $searchAnswered = $answered->filter(function($answer) use ($questionnaireId, $valueId) {
                return $answer->questionnaire_id == $questionnaireId && $answer->client_value_id == $valueId;
            })->first();
            if (empty($searchAnswered)) {
                $status = false;
                break;
            }
        }

        return $status;
    }
}
