<?php

namespace App\Services\Mobile\Questionnaire;

use App\Facades\Context;
use App\Models\Schedule\ScheduleSurvey;
use App\Services\BaseService;
use App\Models\Schedule\ScheduleRoundQuestionnaire;
use App\Models\Schedule\ScheduleFrequencyRound;
use App\Models\Schedule\ScheduleFrequency;

class SummaryQuestions extends BaseService
{
    /**
     * Get summary questionnaire
     * @param array $data
     * @return mixed
     */
    public function performAction(array $data)
    {
        $roundId = $data['round_id'];
        $user = Context::user()->get();

        $scheduleFrequencyRound = ScheduleFrequencyRound::findOrFail($roundId);
        $roundQuestion = ScheduleRoundQuestionnaire::where([
            'schedule_survey_id' => $scheduleFrequencyRound->schedule_survey_id,
            'user_id' => $user->id
        ])->first();

        $questions = !empty($roundQuestion->questionnaire_id) && !empty($roundQuestion->questionnaire_id[$roundId]) ? $roundQuestion->questionnaire_id[$roundId] : [];

        $survey = ScheduleSurvey::findOrFail($scheduleFrequencyRound->schedule_survey_id);
        $frequency = ScheduleFrequency::findOrFail($survey->schedule_frequency_id);

        $totalTime = !empty($frequency) ? $frequency->timing_response : 0;

        return ['total_time' => $totalTime, 'total_question' => count($questions)];
    }
}
