<?php

namespace App\Services\Mobile\QuestionnaireSkipQuestion;

use App\Models\Language\Language;
use App\Models\Questionnaire\QuestionnaireSkipQuestionTranslate;
use App\Services\BaseService;
use App\Models\Questionnaire\QuestionnaireSkipQuestion;

class GetQuestionnaireSkipQuestion extends BaseService
{
    /**
     * Get Questionnaire Skip Question
     *
     * @param array $data
     * @return mixed
     */
    public function performAction(array $data)
    {
        $langCode = $data['language'];
        $language = Language::where('code', $langCode)->first();
        $skipQuestions = QuestionnaireSkipQuestion::query()->active()->get();

        if (!empty($language)) {
            $translates = QuestionnaireSkipQuestionTranslate::where('language_id', $language->id)->get();
            $translatesMapWithSkipQuestionId = $translates->mapWithKeys(function($item) {
                return [$item['questionnaire_skip_question_id'] => $item];
            });

            $skipQuestions->each(function ($item, $key) use ($translatesMapWithSkipQuestionId) {
                $title = !empty($translatesMapWithSkipQuestionId[$item['id']])
                    ? $translatesMapWithSkipQuestionId[$item['id']]['title']
                    : $item->title;
                $item->title = $title;
            });
        }

        return $skipQuestions;
    }
}
