<?php

namespace App\Services\Mobile\Segment;

use App\Enum\SegmentTypes;
use App\Facades\Context;
use App\Models\Segment\Segment;
use App\Models\User\User;
use App\Services\BaseService;
use App\Traits\Pageable;
use Illuminate\Support\Facades\Auth;

class Segments extends BaseService
{
    use Pageable;

    /**
     * Get list event
     *
     * @param array $options
     * @return mixed
     */
    public function performAction(array $options)
    {
        $user =  Context::user()->get();

        $query = Segment::query();
        $query->where('client_id', User::find($user->id)->getClient()->id);
        $query->where('segment_type_id', SegmentTypes::DEPARTMENT);

        return $this->applyPaging($options, $query);
    }
}
