<?php

namespace App\Services\Mobile\Setting;

use App\Facades\Context;
use App\Http\Resources\Mobile\Attachment\Attachment;
use App\Services\BaseService;

class GetProfile extends BaseService
{
    
    /**
     * Update profile information
     *
     * @param array $args
     * @return array
     */
    public function performAction(array $args): array
    {
        $user = Context::user()->get();

        $avatar = null;
        if($user->avatar) {
            $avatar= new Attachment($user->avatar);
        }

        return [
            'code' => $user->getBusinessKey(),
            'first_name' => $user->first_name,
            'surname' => $user->surname,
            'bio' => $user->employee->bio,
            'avatar' => $avatar,
            'location_id' => is_null($user->employee->location_id) ? null : $user->employee->location_id,
            'team_id' => is_null($user->employee->team_id) ? null : $user->employee->team_id,
            'department_id' => is_null($user->employee->department_id) ? null : $user->employee->department_id,
        ];
    }
}
