<?php

namespace App\Services\Mobile\Setting;

use App\Contracts\Validatable;
use App\Facades\Context;
use App\Notifications\UserReportBug;
use App\Services\BaseService;
use Illuminate\Support\Facades\Auth;

class ReportBug extends BaseService implements Validatable
{
    /**
     * Get the validation rules that apply to the service.
     *
     * @param array $args
     * @return array
     */
    public function getRules(array $args)
    {
        return [
            'device_name' => 'required',
            'device_os' => 'required',
            'app_version' => 'required',
            'user_text' => 'required'
        ];
    }


    /**
     * Update profile information
     *
     * @param $data
     * @return array
     */
    public function performAction($data): array
    {
        $user = Context::user()->get();
        $user->notify(new UserReportBug($data, $user));

        return [];
    }
}
