<?php


namespace App\Services\Mobile\Survey;


use App\Enum\QuestionTypes as QuestionTypesEnum;
use App\Services\BaseService;

class GetSurveyResults extends BaseService
{
    
    /**
     * Get step detail by step id
     *
     * @param array $data
     * @return mixed
     */
    public function performAction(array $data)
    {

        $submission = $data['submission'];
        $surveyResults = $submission->surveyResults;
        $ans = array();
        foreach ($surveyResults as $surveyResult) {
            if($surveyResult->question->type == QuestionTypesEnum::TYPE_MULTI) {
                $ans[] = [
                    'question_id' => $surveyResult->question_id,
                    'type' => $surveyResult->question->type,
                    'answer' => $surveyResult->surveyChoiceResults->pluck('option_id')->toArray()
                ];
                continue;
            }
            if($surveyResult->question->type == QuestionTypesEnum::TYPE_RATING) {
                $ans[] = [
                    'question_id' => $surveyResult->question_id,
                    'type' => $surveyResult->question->type,
                    'answer' => $surveyResult->surveyRatingResult->rating
                ];
                continue;
            }
            if($surveyResult->question->type == QuestionTypesEnum::TYPE_TEXT) {
                $ans[] = [
                    'question_id' => $surveyResult->question_id,
                    'type' => $surveyResult->question->type,
                    'answer' => $surveyResult->surveyTextResult->text
                ];
                continue;
            }
        }
        return $ans;
    }
}