<?php


namespace App\Services\PowerSearch;

use App\Enum\AccessPermissions;
use App\Facades\Context;
use App\Models\PowerSearch\SearchableObject;
use App\Services\BaseService;

class SearchObject extends BaseService
{

    /**
     * Search objects
     *
     * @param  array  $args
     * @return mixed
     */
    function performAction(array $args)
    {
        $currentUser = Context::user()->get();
        $search = $args['search'] ?? '';
        if ($currentUser->can(AccessPermissions::ACCESS_POWER_SEARCH) && Context::client()->check()) {
            $client = Context::client()->get();
            return SearchableObject::where('client_id', $client->getClientId())->where(
                'object_content',
                'LIKE',
                "%$search%"
            )->take(100)->get();
        }
        return collect([]);
    }
}
