<?php


namespace App\Services\QR;


use App\Models\QR\ActionToken;
use App\Services\BaseService;
use Illuminate\Support\Facades\DB;

/**
 * Class CreateNewToken
 * @package App\Services\QR
 */
class CreateNewToken extends BaseService
{
    /**
     * @param  array  $args
     * @return mixed
     * @throws \Exception
     */
    public function performAction(array $args)
    {
        $time = 0;
        do {
            $time++;
            $token = bin2hex(random_bytes(64));
            $isExistBusinessKey = !!ActionToken::where(DB::raw('BINARY `token`'), $token)->exists();
            $token = $isExistBusinessKey ? '' : $token;
        } while ($isExistBusinessKey && $time <= 10);
        if ($token === '') {
            throw new \Exception("Failed on create magic token");
        }
        $actionToken = ActionToken::create(
            [
                'token' => $token,
                'expires_at' => now()->addMinute(1)
            ]
        );
        return $actionToken;
    }
}