<?php


namespace App\Services\Questionnaire;

use App\Helpers\AwsComprehendHelper;
use App\Models\Questionnaire\Questionnaire;
use App\Models\Questionnaire\QuestionnaireAnswer;
use App\Models\Questionnaire\QuestionnaireTopic;
use App\Services\BaseService;

class AnalyzeCommentEngagement extends BaseService
{
    /**
     * Create questionnaire
     *
     * @param array $data
     * @return Questionnaire
     */
    public function performAction(array $data)
    {
        $answer = QuestionnaireAnswer::findOrFail($data['id']);
        // analyze comment
        $awsComprehendHelper = new AwsComprehendHelper();
        $detectEntities = $awsComprehendHelper->detectEntities($answer->comment);

        foreach ($detectEntities as $entity) {
            $topic = QuestionnaireTopic::where('client_id', $answer->client_id)->where('topic', 'LIKE', $entity['Text'])->first();
            if (!$topic) {
                $topic = QuestionnaireTopic::create([
                    'topic' => $entity['Text'],
                    'client_id' => $answer->client_id
                ]);
            }
            $topic->questionnaireAnswers()->attach($answer->getKey());
        }

        // Mark the questionnaire answer is analyzed
        $answer->update(['analyzed' => 1]);

        return $answer;
    }
}
