<?php


namespace App\Services\Questionnaire;

use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Facades\Context;
use App\Models\Questionnaire\Questionnaire;
use App\Services\BaseService;

class CreateQuestionnaire extends BaseService implements Validatable, Transactionable
{
    /**
     * Get the validation rules that apply to the service.
     *
     * @param array $args
     * @return array
     */
    public function getRules(array $args): array
    {
        return [
            'driver_id' =>'required|exists:drivers,id',
            'question' =>'required',
        ];
    }

    /**
     * Create questionnaire
     *
     * @param array $data
     * @return Questionnaire
     */
    public function performAction(array $data)
    {
        $user = Context::user()->check() ? Context::user()->get() : null;

        $data['created_by'] = !empty($data['created_by']) ? $data['created_by'] : $user->id;

        // Create a question
        return Questionnaire::create($data);
    }
}
