<?php


namespace App\Services\Questionnaire;

use App\Contracts\Transactionable;
use App\Models\Attachment;
use App\Models\Questionnaire\Questionnaire;
use App\Services\Attachment\DeleteAttachment;
use App\Services\BaseService;

class DeleteQuestionnaire extends BaseService implements Transactionable
{
    /**
     * delete question
     *
     * @param array $data
     * @return Questionnaire
     */
    public function performAction(array $data)
    {
        $questionnaire = Questionnaire::findOrFail($data['id']);

        $status = $questionnaire->delete();
        if ($status) {
            $attachment = Attachment::find($questionnaire->illustration_id);
            if (!empty($attachment)) {
                app(DeleteAttachment::class)->execute($attachment);
            }
        }

        return $status;
    }
}
