<?php

namespace App\Services\Questionnaire;

use App\Facades\Context;
use App\Models\Questionnaire\Questionnaire;
use App\Services\BaseService;

class GetPublishedQuestionnaire extends BaseService
{
    /**
     * TODO: Get published questionnaires
     *
     * @param array $options
     * @return mixed
     */
    public function performAction(array $data = [])
    {
        $client = Context::client()->get();

        return Questionnaire::select('questionnaires.*')
            ->join('questionnaire_client_settings', 'questionnaires.id', '=' ,'questionnaire_client_settings.questionnaire_id')
            ->whereNull('questionnaire_client_settings.questionnaire_id')
            ->orWhere(function($q) use ($client) {
                return $q->where('questionnaire_client_settings.status', 1)
                    ->where('questionnaire_client_settings.client_id', $client->id);
            })->distinct()->get();
    }
}
