<?php


namespace App\Services\QuestionnaireAnswer;


use App\Facades\Context;
use App\Services\BaseService;
use App\Services\DataControl\GetDataControl;
use App\Services\Report\GetReportComment;
use Carbon\Carbon;

class CheckExistSensitiveComment extends BaseService
{
    /**
     * Create questionnaire
     *
     * @param array $data
     * @return Questionnaire
     */
    public function performAction(array $data)
    {
        $dataControl = app(GetDataControl::class)->execute();
        $fromDate = Carbon::now()->subMonths($dataControl->data_referencing);
        $toDate = Carbon::now();

        $sensitiveComment = app(GetReportComment::class)->execute([
            'from_date' => $fromDate,
            'to_date' => $toDate,
            'comment_type' => 'sensitive'
        ]);

        return !empty($sensitiveComment);
    }
}
