<?php
namespace App\Services\QuestionnaireOption;

use App\Helpers\ModelHelper;
use App\Http\Resources\Questionnaire\QuestionnaireOption as QuestionnaireOptionResource;
use App\Services\BaseService;
use App\Models\Questionnaire\Questionnaire;
use App\Enum\QuestionnaireOptionType;

class GetQuestionnaireOption extends BaseService
{
    /**
     * Get questionnaire option
     *
     * @param array $options
     * @return mixed
     */
    public function performAction($data)
    {
        $questionnaire = Questionnaire::findOrFail($data['questionnaire_id']);

        $optionsQuery = $questionnaire->options();
        ModelHelper::setConditionFindByClient($optionsQuery);
        $options = $optionsQuery->get()->groupBy('is_allow');

        $allow = !empty($options[QuestionnaireOptionType::ALLOW]) ? $options[QuestionnaireOptionType::ALLOW] : [];
        $exclude = !empty($options[QuestionnaireOptionType::EXCLUDE]) ? $options[QuestionnaireOptionType::EXCLUDE] : [];

        return [
            'allow' => QuestionnaireOptionResource::collection($allow),
            'exclude' => QuestionnaireOptionResource::collection($exclude)
        ];
    }
}
