<?php
namespace App\Services\QuestionnaireTranslate;

use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Models\Questionnaire\Questionnaire;
use App\Services\BaseService;
use App\Models\Questionnaire\QuestionnaireTranslate;

class CreateQuestionnaireTranslate extends BaseService implements Validatable, Transactionable
{
    protected $rules;

    /**
     * Get the validation rules that apply to the service.
     *
     * @return array
     */
    public function getRules(array $args): array
    {
        return [
            'language_id' => 'required|exists:languages,id',
            'questionnaire_id' =>'required|exists:questionnaires,id',
            'question' => 'required'
        ];
    }

    /**
     * Create translate
     *
     * @param array $data
     * @return Array
     */
    public function performAction(array $data)
    {
        $questionnaireId = $data['questionnaire_id'];
        $questionnaire = Questionnaire::findOrFail($questionnaireId);
        $data['driver_id'] = $questionnaire->driver_id;

        $translate = QuestionnaireTranslate::where([
            'questionnaire_id' => $data['questionnaire_id'],
            'language_id' => $data['language_id']
        ])->first();

        if (empty($translate)) {
            $translate =  QuestionnaireTranslate::create($data);
        } else {
            $translate->update($data);
        }

        return $translate;
    }
}
