<?php
namespace App\Services\Report;

use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Enum\FilterTypes;
use App\Models\Driver\Driver;
use App\Models\Questionnaire\Questionnaire;
use App\Models\Questionnaire\QuestionnaireAnswer;
use App\Models\Questionnaire\QuestionnaireSensitiveComment;
use App\Models\Segment\SegmentUser;
use App\Models\User\Employee;
use App\Models\User\User;
use App\Services\BaseService;
use App\Services\DataControl\GetDataControl;
use Carbon\Carbon;
use App\Traits\Pageable;
use App\Traits\Sortable;
use App\Traits\Filterable;
use App\Facades\Context;
use Illuminate\Database\Eloquent\Builder;

class AcknowledgeSensitiveComment extends BaseService implements Transactionable
{
    /**
     * get report comments
     *
     * @param array $data
     * @return Mix
     */
    public function performAction(array $data)
    {
        $user = Context::user()->get();
        $questionAnswer = QuestionnaireAnswer::findOrFail($data['id']);

        $distributeSensitiveComment = $questionAnswer->questionnaireSensitiveComments()->where('user_id', $user->id)->first();

        if (!empty($distributeSensitiveComment)) {
            $distributeSensitiveComment->is_read = 1;
            $distributeSensitiveComment->save();
        }
        return $questionAnswer;
    }
}
