<?php


namespace App\Services\SSO;


use App\Facades\Context;
use App\Services\BaseService;
use Illuminate\Support\Facades\URL;

/**
 * Class GetConfigUrl
 * @package App\Services\SSO
 */
class GetConfigUrl extends BaseService
{
    /**
     * Get config url by client for SSO login
     * @param  array  $args
     * @return array
     */
    public function performAction(array $args)
    {
        $currentClient = Context::client()->get();
        return [
            'entity_id_url' => URL::route('saml2_metadata', ['clientCode' => $currentClient->code]),
            'reply_url_acs' => URL::route('saml2_acs', ['clientCode' => $currentClient->code]),
            'logout_url'    => URL::route('saml2_sls', ['clientCode' => $currentClient->code]),
        ];
    }
}