<?php


namespace App\Services\Schedule;

use App\Contracts\Validatable;
use App\Facades\Context;
use App\Helpers\PermissionHelper;
use App\Services\BaseService;
use App\Models\Schedule\ScheduleSurvey;
use App\Exceptions\InvalidRequestException;

class DeleteSchedule extends BaseService implements Validatable
{
    /**
     * Get the validation rules that apply to the service.
     *
     * @return array
     */
    public function getRules(array $args): array
    {
        return [
            'id' => 'required|string',
        ];
    }
    
    /**
     * Delete event
     *
     * @param array $data
     * @return bool
     */
    public function performAction(array $args)
    {
        $survey = ScheduleSurvey::find($args['id']);
        if(!empty($survey)){
            PermissionHelper::hasAccessOn($survey);
            $survey->delete();
            return ['successful' => true];
        } else {
            throw new InvalidRequestException('The schedule not found');
        }
    }
}
