<?php


namespace App\Services\Schedule;

use App\Contracts\Validatable;
use App\Helpers\PermissionHelper;
use App\Models\Schedule\ScheduleFrequencyRound;
use App\Models\Schedule\ScheduleRoundQuestionnaire;
use App\Services\BaseService;
use App\Models\Schedule\ScheduleSurvey;
use App\Exceptions\InvalidRequestException;

class ForceDeleteSchedule extends BaseService implements Validatable
{
    /**
     * Get the validation rules that apply to the service.
     *
     * @return array
     */
    public function getRules(array $args): array
    {
        return [
            'id' => 'required',
        ];
    }

    /**
     * Delete event
     *
     * @param array $data
     * @return bool
     */
    public function performAction(array $args)
    {
        $survey = ScheduleSurvey::where('id', $args['id'])->withTrashed()->first();

        if (!empty($survey)) {
            //Delete schedule_frequency_rounds
            ScheduleFrequencyRound::where('schedule_survey_id', $survey->id)->delete();

            //schedule_round_questionnaires
            ScheduleRoundQuestionnaire::where('schedule_survey_id', $survey->id)->delete();

            //schedule_survey_segments
            ScheduleRoundQuestionnaire::where('schedule_survey_id', $survey->id)->delete();

            //Force Delete schedule_survey
            return $survey->forceDelete();
        }
        return false;
    }
}