<?php

namespace App\Services\Schedule;

use App\Contracts\Validatable;
use App\Facades\Context;
use App\Helpers\PermissionHelper;
use App\Services\BaseService;
use App\Models\Schedule\ScheduleSurvey;
use App\Traits\Pageable;
use App\Traits\Sortable;
use App\Enum\ScheduleEnum;

class GetSchedule extends BaseService implements Validatable
{
    use Sortable, Pageable;
    /**
     * Get the validation rules that apply to the service.
     *
     * @return array
     */
    public function getRules(array $args): array
    {
        return [];
    }
    /**
     * get list schedules
     *
     * @param array $data
     * @return ScheduleSurvey
     */
    public function performAction(array $data)
    {
        $client = Context::client()->get();
        $query = ScheduleSurvey::query();
        $query->where('client_id', $client->id)->with('frequencyRounds');
        $this->applySorting($data, $query);
        return $this->applyPaging($data, $query);
    }
}