<?php


namespace App\Services\Schedule;


use App\Facades\Context;
use App\Models\Client\ClientValue;
use App\Models\Questionnaire\Questionnaire;
use App\Models\Questionnaire\QuestionnaireClientSetting;
use App\Models\Schedule\ScheduleFrequencySetting;
use App\Services\BaseService;
use Carbon\Carbon;

class GetValidExpireDate extends BaseService
{
    /**
     * Get vali
     * @param  array  $args
     * @return Carbon
     */
    public function performAction(array $args): Carbon
    {
        // auto generate renewal date
        $frequencySetting = ScheduleFrequencySetting::where('schedule_frequency_id',
            $args['schedule_frequency_id'])->first();
        //Get num of days to complete
        $daysToComplete = app(GetDayNumberToCompleteSchedule::class)->execute(['frequency_setting' => $frequencySetting]);
        return Carbon::parse($args['start_date'])->addDays($daysToComplete);
    }



}