<?php


namespace App\Services\Schedule;

use App\Models\Segment\Segment;
use App\Services\BaseService;
use App\Models\Schedule\ScheduleSegmentUser as ScheduleSegmentUserModel;

class ScheduleSegmentUser extends BaseService
{
    /**
     * Create schedule item
     *
     * @param array $data
     * @return bool
     */
    public function performAction(array $data)
    {
        $segments = $data['segments'];
        $scheduleId = $data['scheduleId'];

        foreach ($segments as $segmentCode) {
            $segment = Segment::where('code', $segmentCode)->first();
            if(empty($segment)) continue;

            $segmentUsers = $segment->includedCustomSegmentTypeUsers()->pluck('users.id')->toArray();

            // Save schedule segment user
            ScheduleSegmentUserModel::updateOrCreate([
                'schedule_id' => $scheduleId,
                'segment_id' => $segment->id,
            ],[
                'user_id' => json_encode($segmentUsers)
            ]);
        }

        return true;
    }
}
