<?php


namespace App\Services\Segment;


use App\Contracts\Validatable;
use App\Enum\SegmentGenderDefault;
use App\Enum\SegmentTypes;
use App\Models\Segment\Segment;
use App\Services\BaseService;

/**
 * Class CreateDefaultGenderSegment
 * @package App\Services\Segment
 */
class CreateDefaultGenderSegment extends BaseService implements Validatable
{
    /**
     * @param  array  $args
     * @return string[]
     */
    public function getRules(array $args): array
    {
        return [
            'client_id' => 'required'
        ];
    }

    /**
     * @param  array  $args
     */
    public function performAction(array $args): void
    {
        foreach(SegmentGenderDefault::GENDERS as $gender){
            Segment::create([
                'segment_type_id' => SegmentTypes::GENDER,
                'name' => $gender,
                'client_id' => $args['client_id']
            ]);
        }
    }
}