<?php

namespace App\Services\Segment;

use App\Contracts\Validatable;
use App\Helpers\ModelHelper;
use App\Models\Segment\Segment;
use App\Models\Segment\SegmentType;

class DeleteSegment extends SegmentService implements Validatable
{
    /**
     * @return array
     */
    public function getRules($data)
    {
        return [
            'segment_type_id' => 'required|string',
        ];
    }

    /**
     * @return array
     */


    /**
     * Get list quiz
     *
     * @param array $options
     * @return mixed
     */
    public function performAction(array $data)
    {
        $data['segment_type_id'] = ModelHelper::convertBusinessKeyToId(SegmentType::class, $data['segment_type_id']);
        $this->ensureSegmentBasic($data['segment_type_id']);
        $segment = Segment::findByBusinessKey($data['segment_code']);
        $segment->users()->detach();
        $segment->delete();

        return $segment;
    }
}
