<?php
namespace App\Services\Segment;

use App\Contracts\Validatable;
use App\Helpers\PermissionHelper;
use App\Models\Segment\Segment;
use App\Services\BaseService;

class GetBasicSegmentUser extends BaseService implements Validatable
{
    
    public function getRules(array $args)
    {
        return [
            'code' => 'required'
        ];
    }



    /**
     * Get users of basic segment
     *
     * @param $data
     * @return mixed
     */
    public function performAction($data)
    {
        $segment = Segment::findByBusinessKey($data['code']);
        PermissionHelper::hasAccessOn($segment);
        
        return $segment->users;
    }
}
