<?php

namespace App\Services\Segment;

use App\Contracts\Validatable;
use App\Helpers\ModelHelper;
use App\Models\Segment\Segment;
use App\Models\Segment\SegmentType;

class UpdateSegment extends SegmentService implements Validatable
{
    /**
     * @return array
     */
    public function getRules($data)
    {
        return [
            'segment_code' => 'required|string',
            'segment_type_id' => 'required|string',
            'name' => 'required|string',
        ];
    }


    /**
     * Get list quiz
     *
     * @param array $options
     * @return mixed
     */
    public function performAction(array $data)
    {
        $data['segment_type_id'] = ModelHelper::convertBusinessKeyToId(SegmentType::class, $data['segment_type_id']);
        $this->ensureSegmentBasic($data['segment_type_id']);
        $data = collect($data);

        $segment = Segment::findByBusinessKey($data['segment_code']);
        $segment->update($data->only(['name'])->toArray());

        return $segment;
    }
}
