<?php
namespace App\Services\SensitiveWord;

use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Models\SensitiveWord\SensitiveWord;
use App\Services\BaseService;

class CreateSensitiveWord extends BaseService implements Validatable, Transactionable
{
    /**
     * Get the validation rules that apply to the service.
     *
     * @return array
     */
    public function getRules(array $args): array
    {
        return [
            'theme' => 'required|unique:sensitive_words,theme',
            'words' => 'required'
        ];
    }

    /**
     * Create sensitiveWord
     *
     * @param array $data
     * @return SensitiveWord
     */
    public function performAction(array $data)
    {
        return SensitiveWord::create($data);
    }
}
