<?php

namespace App\Services\SensitiveWord;

use App\Contracts\Transactionable;
use App\Helpers\StringHelper;
use App\Services\BaseService;
use Illuminate\Support\Str;

class DetectSensitiveWord_Solution2 extends BaseService implements Transactionable
{

    /**
     * Get list quiz
     *
     * @param array $data
     * @return mixed
     */
    public function performAction(array $data)
    {
        $comment = $data['comment'];
        if (empty($comment)) {
            return [];
        }
        $sensitiveWords = $data['sensitiveWords'];
        $words = $sensitiveWords->map(function ($item, $key) {
            return $item->words = explode(",", $item->words);
        })->flatten()->filter();

        $result = [];
        foreach ($words as $item) {
            $item = trim(Str::lower($item));
            $sensitiveWordsNeed = [$item, Str::plural($item)];
            $comment = Str::lower($comment);
            if (StringHelper::findExactlyCharacter($sensitiveWordsNeed, $comment) && !in_array($item, $result)) {
                $result[] = $item;
            }
        }
        return $result;
    }
}