<?php


namespace App\Services\SensitiveWord;

use App\Contracts\Transactionable;
use App\Contracts\Validatable;
use App\Models\SensitiveWord\SensitiveWord;
use App\Services\BaseService;

class EditSensitiveWord extends BaseService implements Validatable, Transactionable
{
    public function getRules(array $args): array
    {
        return [
            'theme' => 'required|unique:sensitive_words,theme,'.$args['id'],
            'words' => 'required'
        ];
    }

    /**
     * Update sensitive word
     *
     * @param array $data
     * @return SensitiveWord
     */
    public function performAction(array $data)
    {
        $sensitiveWord = SensitiveWord::findOrFail($data['id']);
        $sensitiveWord->update($data);

        return $sensitiveWord;
    }
}
