<?php

namespace App\Services\Subscription;

use App\Contracts\Performable;
use App\Facades\Context;
use App\Helpers\StripeHelper;
use App\Services\BaseService;
use Stripe\Exception\ApiErrorException;

class GetCard extends BaseService implements Performable
{
    public function canPerform(): bool
    {
        return Context::client()->check();
    }

    /**
     * Get card
     * 
     * @return \Stripe\StripeObject|null
     * @throws ApiErrorException
     */
    public function performAction(array $data)
    {

        $currentClient = Context::client()->get();

        return (new StripeHelper())->getCustomerDefaultCard($currentClient->stripe_cus_id);
    }
}
