<?php


namespace App\Services\Subscription;


use App\Enum\ConfigurationTypes;
use App\Enum\PlanConfigurations;
use App\Enum\Roles;
use App\Helpers\ConfigurationHelper;
use App\Models\Journey\Journey;
use App\Models\Library\LibraryItem;
use App\Models\Quiz\Quiz;
use App\Models\Survey\Survey;
use App\Models\User\Employee;
use App\Services\BaseService;
use App\Services\Client\GetCompany;
use stdClass;

/**
 * Class GetAdminCurrentCompany
 * @package App\Services\Client
 */
class GetCompanyRemainPlan extends BaseService
{
    /**
     * @return mixed
     */
    public function performAction($options = [])
    {
        $currentPlan = $this->getCurrentCompany()->subscriptionPlan;
        $currentPlan->config = app(GetRemainPlan::class)->execute();
        return $currentPlan;
    }

    /**
     * @return mixed
     */
    public function getCurrentCompany()
    {
        return app(GetCompany::class)->execute();
    }
}