<?php

namespace App\Services\Subscription;

use App\Contracts\Performable;
use App\Facades\Context;
use App\Services\BaseService;

class GetCurrentPlan extends BaseService implements Performable
{
    public function canPerform(): bool
    {
        return Context::client()->check();
    }

    /**
     * Get current plan
     * 
     * @return mixed
     */
    public function performAction(array $data)
    {
        $currentClient = Context::client()->get();

        return $currentClient->subscriptionPlan;
    }
}
