<?php

namespace App\Services\Subscription;

use App\Contracts\Performable;
use App\Facades\Context;
use App\Helpers\StripeHelper;
use App\Services\BaseService;
use Stripe\Exception\ApiErrorException;

class GetUpcomingInvoice extends BaseService implements Performable
{

    public function canPerform(): bool
    {
        return Context::client()->check();
    }

    /**
     * Get upcoming invoice
     * 
     * @param array $data
     * @return \Stripe\Invoice
     * @throws ApiErrorException
     */
    public function performAction(array $data)
    {
        $currentClient = Context::client()->get();

        return (new StripeHelper())->getCustomerUpcomingInvoice($currentClient->stripe_cus_id);
    }
}
