<?php


namespace App\Services\Timezone;


use App\Contracts\Validatable;
use App\Models\User\Employee;
use App\Services\BaseService;
use Illuminate\Support\Carbon;

class GetTimezoneByHour extends BaseService implements Validatable
{
    public function getRules(array $args): array
    {
        return [
            'hour' => 'required|integer'
        ];
    }

    public function performAction(array $args)
    {
        return Employee::pluck('timezone')->unique()->filter(function($value) use ($args){
            return Carbon::now()->setTimezone($value)->hour === $args['hour'];
        });
    }
}