<?php


namespace App\Services\Token;


use App\Enum\ErrorCode;
use App\Exceptions\UnauthenticatedHttpException;
use App\Models\Token\MagicLinkToken;
use App\Services\BaseService;
use Illuminate\Support\Facades\DB;

class CheckMagicLinkTokenValid extends BaseService
{
    public function performAction(array $args)
    {
        $request = request();
        $token = $request->get("token");
        $magicToken = MagicLinkToken::where(DB::raw('BINARY `token`'), $token)
            ->where("revoked", 0)
            ->where("expires_at", ">", now()->toDateTimeString())
            ->first();
        if(!$magicToken){
            throw new UnauthenticatedHttpException("Token expired", ErrorCode::TOKEN_EXPIRED);
        }
        //Revoke current token
        app(RevokeMagicLinkToken::class)->execute();
        return $magicToken;
    }
}