<?php


namespace App\Services\Token;
use App\Contracts\Validatable;
use App\Models\Token\MagicLinkToken;
use App\Services\BaseService;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\DB;

class CreateMagicLinkToken extends BaseService implements Validatable
{
    public function getRules(array $args)
    {
        return [
            "user_id" => "required|int"
        ];
    }

    public function performAction(array $args)
    {
        $time = 0;
        if (!isset($args['expires_at']) || !$args['expires_at'] instanceof Carbon) {
            $args['expires_at'] = Carbon::now()->addMinute(5);
        }
        do {
            $time++;
            $token = bin2hex(random_bytes(32));
            $isExistBusinessKey = !!MagicLinkToken::where(DB::raw('BINARY `token`'), $token)->first();
            $token = $isExistBusinessKey ? '' : $token;
        } while ($isExistBusinessKey && $time <= 10);
        if($token === '')
        {
            throw new \Exception("Failed on create magic token");
        }
        return MagicLinkToken::create([
            "token" => $token,
            "expires_at" => $args['expires_at']->toDateTimeString(),
            "user_id" => $args['user_id']
        ]);

    }
}