<?php

namespace App\Services\Tool\Form;

use App\Contracts\Validatable;
use App\Models\Form\FormDocument;
use App\Services\BaseService;

class CreateDocument extends BaseService implements Validatable
{

    public function getRules(array $data)
    {
        return [
            'form_template_id' => 'required',
            'user_id' => 'required|integer',
            'document_id' => 'required',
            'name' => 'required',
            'is_sent' => 'required|boolean',
            'action_request_id' => 'required|integer'
        ];
    }

    public function performAction(array $data)
    {
        return FormDocument::create($data);
    }
}
