<?php

namespace App\Services\Tool\Form;

use App\Helpers\ModelHelper;
use App\Models\Form\FormTemplate;
use App\Services\BaseService;
use App\Traits\Pageable;
use App\Traits\Sortable;

class GetTemplates extends BaseService
{
    use Sortable, Pageable;


    /**
     * Get form templates
     * 
     * @param $options
     * @return mixed
     */
    public function performAction(array $options)
    {
        app(SyncTemplates::class)->execute();

        $query = FormTemplate::query()->where('is_active', true);

        ModelHelper::setConditionFindByClient($query);

        $this->applySorting($options, $query);

        return $this->applyPaging($options, $query);
    }
}
