<?php

namespace App\Services\Tool\Form;

use App\Contracts\Validatable;
use App\Models\Form\FormDocument;
use App\Services\BaseService;

class GetUserDocument extends BaseService implements Validatable
{

    public function getRules(array $args)
    {
        return [
            'form_template_id' => 'required|integer',
            'user_id' => 'required|integer',
            'action_request_id' => 'required|integer'
        ];
    }

    /**
     * Get user document by template and action request
     *
     * @param array $data
     * @return FormDocument
     */
    public function performAction(array $data)
    {
        $document = FormDocument::where('form_template_id', $data['form_template_id'])
            ->where('user_id', $data['user_id'])
            ->where('action_request_id', $data['action_request_id'])
            ->latest()
            ->first();
        
        return $document;
    }
}
