<?php

namespace App\Services\Tool\Journey;

use App\Contracts\Validatable;
use App\Helpers\PermissionHelper;
use App\Models\Journey\Journey;
use App\Services\BaseService;

class GetJourneyDetail extends BaseService implements Validatable
{
    /**
     * Get the validation rules that apply to the service.
     *
     * @param array $args
     * @return array
     */
    public function getRules(array $args)
    {
        return [
            'code' => 'required',
        ];
    }

    /**
     * Get journey detail
     * 
     * @param array $data
     * @return Journey
     */
    public function performAction(array $data): Journey
    {
        $journey = Journey::findByBusinessKey($data['code']);
        PermissionHelper::hasAccessOn($journey);

        return $journey;
    }

}