<?php

namespace App\Services\Tool\Journey;

use App\Contracts\Validatable;
use App\Models\Journey\JourneyUser;
use App\Services\BaseService;


class MarkJourneyUserAsInCompleted extends BaseService implements Validatable
{
    /**
     * Get the validation rules that apply to the service.
     *
     * @param array $args
     * @return array
     */
    public function getRules(array $args)
    {
        return [
            'journey_id' => 'required'
        ];
    }
    

    /**
     * Mark journey user as in-completed
     * 
     * @param array $data
     * @return bool
     */
    public function performAction(array $data)
    {
        $query = JourneyUser::where('journey_id', $data['journey_id']);
        
        if (isset($data['user_id'])) {
            $query->where('user_id', $data['user_id']);
        }

        return $query->update(['is_completed' => false]);
    }
}
