<?php

namespace App\Services\Tool\Quiz;

use App\Helpers\ModelHelper;
use App\Models\Quiz\Quiz;
use App\Services\BaseService;
use App\Traits\Pageable;
use App\Traits\Sortable;

class GetQuiz extends BaseService
{
    use Sortable, Pageable;

    /**
     * Get list quiz
     * 
     * @param array $options
     * @return mixed
     */
    public function performAction(array $options)
    {
        $query = Quiz::query()->with('client');

        ModelHelper::setConditionFindByClient($query);

        $this->applySorting($options, $query);

        return $this->applyPaging($options, $query);
    }
}
