<?php

namespace App\Services\Tool\Quiz;

use App\Contracts\Validatable;
use App\Helpers\PermissionHelper;
use App\Models\Quiz\Quiz;
use App\Services\BaseService;

class GetQuizDetail extends BaseService implements Validatable
{
    /**
     * Get the validation rules that apply to the service.
     *
     * @param array $args
     * @return array
     */
    public function getRules(array $args)
    {
        return [
            'code' => 'required',
        ];
    }
    
    /**
     * Get quiz detail
     * 
     * @param array $data
     * @return Quiz
     */
    public function performAction(array $data) : Quiz
    {
        $quiz = Quiz::findByBusinessKey($data['code']);
        PermissionHelper::hasAccessOn($quiz);

        return $quiz;
    }
    
}
