<?php


namespace App\Services\Tool\Survey;

use App\Contracts\Validatable;
use App\Helpers\PermissionHelper;
use App\Models\Survey\Survey;
use App\Services\BaseService;

class GetDetailSurvey extends BaseService implements Validatable
{
    /**
     * Get the validation rules that apply to the service.
     *
     * @return array
     */
    public function getRules($args)
    {
        return [
            'code' => 'required|string',
        ];
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function performAction(array $data)
    {
        $survey = Survey::findByBusinessKey($data['code']);

        PermissionHelper::hasAccessOn($survey);

        return $survey;

    }
}
