<?php

namespace App\Services\TwoFactorAuthentication;

use App\Events\TwoFactorEnabled;
use App\Models\User\User;
use App\Services\InternalBaseService;

class Enable2FA extends InternalBaseService
{

    /**
     * Enable user 2FA
     * 
     * @param User $user
     * @param string $secret
     * @return User
     */
    public function execute(User $user, string $secret) : User
    {
        $user->google2fa_enable = true;
        $user->google2fa_secret = $secret;
        $user->save();
        
        event(new TwoFactorEnabled($user));

        return $user;
    }
}
