<?php

namespace App\Services\TwoFactorAuthentication;

use App\Models\User\User;
use App\Services\InternalBaseService;

class Reset2FA extends InternalBaseService
{

    /**
     * Enable 2FA code
     * 
     * @param User $user
     * @return array
     */
    public function execute(User $user)
    {
        $google2FA = app('pragmarx.google2fa');
        $secret =  $google2FA->generateSecretKey();

        // Enable user's two factor authentication
        app(Enable2FA::class)->execute($user, $secret);

        $base64QR = $google2FA->getQRCodeInline(config('app.name'), $user->email, $secret);
        
        return [$secret, $base64QR];
    }
}
