<?php

namespace App\Services\User;

use App\Contracts\Validatable;
use App\Http\Resources\User\AuthUser as AuthUserResource;
use App\Models\QR\ActionToken;
use App\Services\BaseService;

class GetUserDetailByQRToken extends BaseService  implements Validatable
{

    function performAction(array $args)
    {
        $token = ActionToken::where('token', $args['token'])->firstOrFail();
        return new AuthUserResource($token->user);
    }

    public function getRules(array $args)
    {
        return [
            'token' => 'required|string',
        ];
    }
}