<?php


namespace App\Services\User\Profile;


use App\Contracts\Validatable;
use App\Facades\Context;
use App\Jobs\AuditLog\LogAccountAudit;
use App\Models\Account\Company;
use App\Models\User\User;
use App\Services\BaseService;

class SetProfileData extends BaseService implements Validatable
{
    /**
     * Get the validation rules that apply to the service.
     *
     * @return array
     */
    public function getRules($args)
    {
        return [
            'first_name' => 'string',
            'last_name' => 'string',
            'profile_pic' => 'string',

        ];
    }

    /**
     * Create a company.
     *
     * @param array $data
     * @return Company
     */
    public function performAction(array $data): User
    {
        $user = Context::user()->get();
        $user->employee()->update($data);
        return $user;
    }

}
