<?php

namespace App\Services\User;

use App\Models\User\User;
use App\Services\InternalBaseService;

class RevokeUserToken extends InternalBaseService
{

    /**
     * Revoke user tokens
     * 
     * @param User $user
     * @return bool
     */
    public function execute(User $user)
    {
        $tokens = $user->tokens;
        
        foreach ($tokens as $token) {
            $token->revoke();
        }
        
        return true;
    }
}
