<?php


namespace App\Services\UserAccess;


use App\Enum\AccessPermissions;
use App\Facades\Context;
use App\Services\BaseService;

class GetAllAccessPermissions extends BaseService
{
    /**
     * Get all access permissions
     *
     * @param array $args
     * @return array
     */
    public function performAction(array $args)
    {
        $permissions = app(GetAllPermissions::class)->execute();
        $permissionsName = $permissions->pluck('name')->toArray();
        $userAccess = [];
        foreach (AccessPermissions::ALL_ACCESS_GROUP_PERMISSIONS as $group => $groupPermission) {
            foreach ($groupPermission as $permission) {
                $userAccess[$group][$permission] = in_array($permission, $permissionsName, true);
            }
        }

        return $userAccess;
    }
}