<?php


namespace App\Services\UserAccess;


use App\Enum\AccessPermissions;
use App\Enum\Roles;
use App\Facades\Context;
use App\Services\BaseService;
use Spatie\Permission\Models\Permission;

class GetAllPermissions extends BaseService
{

    /**
     * Get manager access permissions
     *
     * @param array $args
     * @return array
     */
    public function performAction(array $args)
    {
        $user = Context::user()->get();
        $permissions = $user->getAllPermissions();
        if(!$user->hasRole(Roles::WHISTLEBLOWER_ADMIN)){
            $createWBPermission = Permission::where('name', AccessPermissions::ACCESS_WB_CREATE)->first();
            $permissions->push($createWBPermission);
        }
        return $permissions;
    }
}