<?php

namespace App\Services\UserAccess;

use App\Contracts\Validatable;
use App\Models\Message\Message;
use App\Models\User\User;
use App\Models\User\UserPermission;
use App\Models\UserAccess\Permission;
use App\Services\BaseService;
use App\Services\Message\CreateMessage;
use Illuminate\Support\Facades\DB;

class UpdateUserAccess extends BaseService implements Validatable
{

    function performAction(array $args)
    {
        $permission = Permission::query()->where('name', $args['name'])->get()->first();
        $user = User::findByBusinessKey($args['user_id']);;

        if (!$permission || !$user) {
            return null;
        }

        $userPermission = UserPermission::query()
            ->where('permission_id', $permission['id'])
            ->where('model_id', $user['id'])
            ->where('model_type', User::class)
            ->first();

        if (!$args['is_enabled']) {
            if (isset($userPermission)) {
                DB::delete('DELETE FROM model_has_permissions WHERE permission_id = ? and model_id = ? and model_type = ?', [$permission['id'], $user['id'], User::class]);
            }
        } else {
            if (!isset($userPermission)) {
                $userPermission = new UserPermission();
                $userPermission->timestamps = false;
                $userPermission->permission_id = $permission['id'];
                $userPermission->model_type = User::class;
                $userPermission->model_id = $user['id'];
                $userPermission->save();
            }
        }

        return $userPermission;
    }

    public function getRules(array $args)
    {
        return [];
    }
}