<?php

namespace App\Traits;

use Illuminate\Http\JsonResponse;

trait MobileJsonResponseController
{
    /**
     * @param $message
     * @param null $data
     * @param $statusCode
     * @param bool $isSuccess
     * @return JsonResponse
     */
    public function coreResponse($message, $data = null, $statusCode, $isSuccess = true): JsonResponse
    {
        if(!$message)
            return response()->json(['message' => 'Message is required'], 500);

        if($isSuccess) {
            return response()->json([
                'message' => $message,
                'data' => $data
            ], $statusCode);
        }

        return response()->json(['message' => $message], $statusCode);
    }

    /**
     * @param $message
     * @param null $data
     * @param int $statusCode
     * @return JsonResponse
     */
    public function successResponse($message, $data = null, $statusCode = 200): JsonResponse
    {
        return $this->coreResponse($message, $data, $statusCode);
    }

    /**
     * @param $message
     * @param int $statusCode
     * @return JsonResponse
     */
    public function errorResponse($message, $statusCode = 500): JsonResponse
    {
        return $this->coreResponse($message, null, $statusCode, false);
    }
}
