<?php


namespace App\Traits;


trait Pageable
{
    /**
     * Apply paging into models
     * @param $options
     * @param $query
     * @param bool $filters
     * @return mixed
     */
    public function applyPaging($options, $query, $filters = false)
    {

        if(isset($options['page']))
        {
            $size = $options['page']['size'] ?? 10;
            $pageNumber = $options['page']['number'] ?? 1;
            $data = $query->paginate($size, $columns = ['*'], $pageName = "page['number']", $pageNumber);


            $data->appends($this->getDataQuery($options,$filters))->links() ;
        }else{
            $data = $query->get();
        }
        return $data;
    }

    /**
     * Get data for extends into url paging
     * @param $options
     * @param bool $filters
     * @return array
     */
    public function getDataQuery($options, $filters = false)
    {
        $dataQuery = [];
        if(isset($options['page']['size']))
            $dataQuery['page[size]'] =$options['page']['size'];
        if($filters)
        {
            //TODO Add filters for url
        }
        return $dataQuery;
    }
}