<?php

/** @var \Illuminate\Database\Eloquent\Factory $factory */

use App\Models\User\User;
use Faker\Generator as Faker;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Hash;
/*
|--------------------------------------------------------------------------
| Model Factories
|--------------------------------------------------------------------------
|
| This directory should contain each of the model factory definitions for
| your application. Factories provide a convenient way to generate new
| model instances for testing / seeding your application's database.
|
*/

$factory->define(User::class, function (Faker $faker) {
    return [
        'email' => $faker->unique()->safeEmail,
        'first_name'=>$faker->firstName,
        'last_name'=>$faker->lastName,
        'name'=>$faker->firstName . " " . $faker->lastName,
        'password' => Hash::make('test'), // password
        'remember_token' => Str::random(10),
        'status' => 1, // password
        'last_login' => now(), // password
        'created_at'=>now(),
        'updated_at'=>now(),
        'last_address'=>$faker->address
    ];
});
