<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function(Blueprint $table)
        {
            $table->increments('id');
            $table->string('name')->nullable();
            $table->string('last_name')->nullable();
            $table->string('first_name')->nullable();
            $table->string('last_address')->nullable();
            $table->string('email', 155)->nullable();
            $table->string('email_change')->nullable();
            $table->string('password');
            $table->rememberToken();
            $table->timestamps();
            $table->boolean('status')->nullable();
            $table->boolean('is_subscription')->default(0);
            $table->dateTime('last_login')->nullable();
            $table->unsignedInteger('added_by')->nullable();
            $table->softDeletes();
            $table->integer('city')->nullable();
            $table->string('phone', 20)->nullable();
            $table->string('profile_pic')->nullable();
            $table->boolean('is_default')->default(0);
            $table->string('stripe_id')->nullable();
            $table->string('card_brand')->nullable();
            $table->string('card_last_four')->nullable();
            $table->boolean('remaining')->default(0);
            $table->string('google2fa_secret')->nullable();
            $table->dateTime('trial_ends_at')->nullable();
            $table->boolean('complete')->default(1);
            $table->unique(['email','deleted_at'], 'users_email_unique');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
