<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateClientActionsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('client_actions', function(Blueprint $table)
		{
			$table->integer('id', true);
			$table->unsignedInteger('action_profile_id')->nullable();
			$table->integer('content_type');
			$table->integer('actions');
			$table->integer('step_after')->nullable();
			$table->integer('step_due_by')->nullable();
			$table->boolean('notify')->nullable();
			$table->timestamps();
			$table->softDeletes();
			$table->unsignedInteger('approver_id')->nullable();
			$table->text('approve_routing')->nullable();
			$table->integer('is_send_emails_routing')->default(0);
			$table->boolean('send')->nullable()->default(0);
			$table->string('user', 250)->nullable();
			$table->dateTime('date_due_by')->nullable();
			$table->boolean('action_type')->nullable()->default(0);
			$table->dateTime('date_send')->nullable();
			$table->integer('due_by')->default(0);
			$table->text('arr_user')->nullable();
			$table->unsignedInteger('client_id')->nullable();
			$table->integer('is_demo')->default(0);
			$table->integer('send_noti_action')->nullable()->default(0);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('client_actions');
	}

}
