<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateConfigureClientContentStepsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('configure_client_content_steps', function(Blueprint $table)
		{
			$table->increments('id');
			$table->unsignedInteger('configure_client_id')->nullable();
			$table->unsignedInteger('configure_client_step_id');
			$table->string('content_type', 155);
			$table->integer('content_type_id')->nullable();
			$table->string('available_from');
			$table->longText('background_image_one')->nullable();
			$table->text('step_text')->nullable();
			$table->string('type_and_time_to_complete');
			$table->text('add_file')->nullable();
			$table->longText('background_image_two')->nullable();
			$table->text('pre_release_image')->nullable();
			$table->string('completion_message', 100);
			$table->string('subtext_message', 100);
			$table->string('pre_release_message', 100);
			$table->string('pre_release_sub_text', 100);
			$table->timestamps();
			$table->boolean('is_complete')->default(0);
			$table->unsignedInteger('id_configure_client')->nullable();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('configure_client_content_steps');
	}

}
