<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateConfigureClientsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('configure_clients', function(Blueprint $table)
		{
			$table->increments('id');
			$table->unsignedInteger('client_id');
			$table->string('progress_bar_color', 20)->nullable();
			$table->string('menu_color_pre', 20)->nullable();
			$table->string('menu_color_post', 20)->nullable();
			$table->timestamps();
			$table->boolean('status')->nullable();
			$table->integer('added_by')->nullable();
			$table->string('name_journey', 250)->nullable();
			$table->softDeletes();
			$table->boolean('type_journey')->default(0);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('configure_clients');
	}

}
