<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateDocumentsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('documents', function(Blueprint $table)
		{
			$table->increments('id');
			$table->unsignedInteger('client_id');
			$table->unsignedInteger('document_profile_id');
			$table->smallInteger('document_type')->nullable();
			$table->string('file_type', 50);
			$table->string('name');
			$table->string('file_name');
			$table->decimal('file_size', 12)->nullable();
			$table->timestamps();
			$table->dateTime('upload_time')->nullable();
			$table->boolean('status')->nullable();
			$table->unsignedInteger('added_by')->nullable();
			$table->softDeletes();
			$table->boolean('is_demo')->nullable()->default(0);
			$table->string('real_file_name')->nullable();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('documents');
	}

}
