<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateEventsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('events', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('name', 150);
			$table->text('description')->nullable();
			$table->string('level', 50)->nullable();
			$table->string('boardroom', 50)->nullable();
			$table->dateTime('start_date')->nullable();
			$table->dateTime('end_date')->nullable();
			$table->boolean('only_owned')->default(0);
			$table->boolean('status')->nullable();
			$table->timestamps();
			$table->unsignedInteger('added_by')->nullable();
			$table->string('venue', 200)->nullable();
			$table->string('city', 200)->nullable();
			$table->unsignedInteger('client_id')->nullable();
			$table->softDeletes();
			$table->string('color', 100)->nullable();
			$table->integer('reminder_24h')->default(0);
			$table->integer('reminder_30min')->default(0);
			$table->boolean('is_demo')->nullable()->default(0);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('events');
	}

}
