<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateFrontUserDetailsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('front_user_details', function(Blueprint $table)
		{
			$table->increments('id');
			$table->unsignedInteger('user_id');
			$table->unsignedInteger('department_id');
			$table->unsignedInteger('document_profile_heading_id');
			$table->unsignedInteger('city_id');
			$table->string('employee_id')->nullable();
			$table->unsignedInteger('action_profile_id')->nullable();
			$table->string('surname');
			$table->string('preffered_name')->nullable();
			$table->date('start_date')->nullable();
			$table->date('end_date')->nullable();
			$table->string('job_title', 155);
			$table->timestamps();
			$table->boolean('status')->nullable();
			$table->boolean('is_photoid_req')->nullable();
			$table->boolean('is_headshot_req')->nullable();
			$table->integer('client_id')->nullable();
			$table->boolean('is_tnc_appcepted')->default(0);
			$table->string('profile_pic')->nullable();
			$table->text('front_image')->nullable();
			$table->text('back_image')->nullable();
			$table->text('pdf_image')->nullable();
			$table->string('linkedin_url')->nullable();
			$table->unsignedInteger('next_step_id')->nullable()->default(0)->comment('next step id');
			$table->unsignedInteger('id_config_step')->nullable();
			$table->integer('is_before')->default(0);
			$table->integer('is_day')->default(0);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('front_user_details');
	}

}
