<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateMessagesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('messages', function(Blueprint $table)
		{
			$table->increments('id');
			$table->unsignedInteger('user_id');
			$table->unsignedInteger('step_id');
			$table->unsignedInteger('replied_by')->nullable();
			$table->dateTime('recieved_date')->nullable();
			$table->text('content')->nullable();
			$table->string('code', 10);
			$table->timestamps();
			$table->boolean('status')->nullable();
			$table->dateTime('reply_date')->nullable();
			$table->boolean('message_status')->default(0);
			$table->text('reply_text')->nullable();
			$table->text('new_message')->nullable();
			$table->boolean('new_message_status')->nullable()->default(0);
			$table->boolean('isAnonymous')->default(0);
			$table->unsignedInteger('journey_id')->nullable();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('messages');
	}

}
