<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateNotifyLogsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('notify_logs', function(Blueprint $table)
		{
			$table->integer('id', true);
			$table->unsignedInteger('client_id')->nullable();
			$table->unsignedInteger('user_id')->nullable();
			$table->integer('source_type')->nullable();
			$table->unsignedInteger('source_id')->nullable();
			$table->integer('read')->nullable();
			$table->unique(['client_id','user_id','source_type','source_id'], 'unique');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('notify_logs');
	}

}
