<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreatePackagesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('packages', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('name', 150);
			$table->text('description')->nullable();
			$table->boolean('status')->default(0);
			$table->timestamps();
			$table->string('subscription_volume')->nullable();
			$table->unsignedInteger('package_user');
			$table->unsignedInteger('package_customisable');
			$table->unsignedInteger('package_document');
			$table->unsignedInteger('package_quizzes');
			$table->unsignedInteger('package_survey');
			$table->unsignedInteger('package_administrater');
			$table->string('package_support_type', 50)->comment('email, livechat');
			$table->boolean('package_dedicated_engagement_specialist')->default(0);
			$table->boolean('package_ad_free')->default(0);
			$table->boolean('package_custom_logo')->default(0);
			$table->boolean('package_custom_colours')->default(0);
			$table->boolean('package_message')->nullable()->default(0);
			$table->integer('package_form')->nullable();
			$table->integer('package_doc_profile')->nullable();
			$table->string('stripe_plan')->nullable();
			$table->string('stripe_prod')->nullable();
			$table->float('cost', 10, 0)->nullable();
			$table->boolean('isDefault')->nullable();
			$table->unsignedInteger('adminID')->nullable();
			$table->softDeletes();
			$table->integer('package_order')->default(0);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('packages');
	}

}
