<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSurveyAnswersTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('survey_answers', function(Blueprint $table)
		{
			$table->increments('id');
			$table->unsignedInteger('survey_question_id');
			$table->string('option_one')->nullable();
			$table->string('option_two')->nullable();
			$table->string('option_three')->nullable();
			$table->string('option_four')->nullable();
			$table->string('correct_answer')->nullable();
			$table->timestamps();
			$table->unsignedInteger('added_by')->nullable();
			$table->softDeletes();
			$table->boolean('is_demo')->default(0);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('survey_answers');
	}

}
