<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSurveyQuestionsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('survey_questions', function(Blueprint $table)
		{
			$table->increments('id');
			$table->unsignedInteger('client_id');
			$table->unsignedInteger('survey_question_type_id');
			$table->unsignedInteger('survey_name_id');
			$table->text('title');
			$table->boolean('status')->nullable();
			$table->timestamps();
			$table->unsignedInteger('added_by')->nullable();
			$table->softDeletes();
			$table->boolean('is_demo')->default(0);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('survey_questions');
	}

}
