<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUserActionStatusesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('user_action_statuses', function(Blueprint $table)
		{
			$table->integer('id', true);
			$table->unsignedInteger('user_id');
			$table->unsignedInteger('client_action_id');
			$table->string('action_name', 20);
			$table->enum('status', array('approved','rejected','pending','overdue','declined'))->default('pending');
			$table->timestamps();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('user_action_statuses');
	}

}
