<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUserAdminDetailsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('user_admin_details', function(Blueprint $table)
		{
			$table->increments('id');
			$table->unsignedInteger('user_id');
			$table->unsignedInteger('department_id');
			$table->unsignedInteger('city_id');
			$table->unsignedInteger('client_id');
			$table->string('preffered_name')->nullable();
			$table->string('business_phone')->nullable();
			$table->string('job_title')->nullable();
			$table->string('profile_url')->nullable();
			$table->boolean('two_step_login');
			$table->timestamps();
			$table->string('linkedinprofilepic')->nullable();
			$table->string('profile_pic')->nullable();
			$table->softDeletes();
			$table->boolean('is_access_setup_enabled')->nullable()->default(0);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('user_admin_details');
	}

}
