<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUserDetailsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('user_details', function(Blueprint $table)
		{
			$table->increments('id');
			$table->unsignedInteger('user_id');
			$table->unsignedInteger('package_id')->nullable();
			$table->unsignedInteger('industry_id')->nullable();
			$table->unsignedInteger('document_heading_id')->nullable();
			$table->unsignedInteger('document_profile_heading_id')->nullable();
			$table->unsignedInteger('form_heading_id')->nullable();
			$table->unsignedInteger('quiz_heading_id')->nullable();
			$table->unsignedInteger('survey_heading_id')->nullable();
			$table->string('company_logo')->nullable();
			$table->string('background_image')->nullable();
			$table->string('background_color', 10)->nullable();
			$table->string('menu_font_color', 10)->nullable();
			$table->string('message_image')->nullable();
			$table->string('document_image')->nullable();
			$table->string('my_team_image')->nullable();
			$table->string('profile_background_top')->nullable();
			$table->string('subscription_volume')->nullable();
			$table->string('profile_background_bottom')->nullable();
			$table->string('renewal_date', 155)->nullable();
			$table->timestamps();
			$table->boolean('is_photo_id_enabled');
			$table->boolean('is_profile_photo_enabled');
			$table->string('password_strength', 50)->nullable();
			$table->string('change_password_after', 50)->nullable();
			$table->string('purge_content_after', 50)->nullable();
			$table->string('login_timeout', 10)->nullable();
			$table->boolean('app_document_download');
			$table->boolean('app_document_printing')->nullable()->default(0);
			$table->boolean('google_2FA')->default(0);
			$table->boolean('two_step_login_verification');
			$table->string('support_type', 50)->nullable();
			$table->string('linkedin_profile_url')->nullable();
			$table->string('linkedin_first_name')->nullable();
			$table->string('linkedin_last_name')->nullable();
			$table->string('linkedin_location', 155)->nullable();
			$table->string('linkedin_position', 155)->nullable();
			$table->string('linkedin_profile_id', 155)->nullable();
			$table->string('action_image')->nullable();
			$table->string('profile_pic')->nullable();
			$table->softDeletes();
			$table->boolean('is_demo')->default(0);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('user_details');
	}

}
