<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUserFeedbacksTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('user_feedbacks', function(Blueprint $table)
		{
			$table->increments('id');
			$table->unsignedInteger('user_id');
			$table->text('comment')->nullable();
			$table->decimal('rating', 10, 1)->nullable();
			$table->integer('added_by')->default(0);
			$table->timestamps();
			$table->boolean('status')->default(0);
			$table->unsignedInteger('client_id')->nullable()->default(0);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('user_feedbacks');
	}

}
