<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUserQuizAndSurveyResultsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('user_quiz_and_survey_results', function(Blueprint $table)
		{
			$table->integer('id', true);
			$table->unsignedInteger('user_id');
			$table->enum('type', array('quiz','survey'));
			$table->integer('content_type_id');
			$table->string('question');
			$table->enum('question_type', array('multi-choice','star-rating','text'));
			$table->string('option_one');
			$table->string('option_two');
			$table->string('option_three');
			$table->string('option_four');
			$table->string('correct_answer');
			$table->text('user_answer');
			$table->timestamps();
			$table->softDeletes();
			$table->boolean('is_action')->nullable()->default(0);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('user_quiz_and_survey_results');
	}

}
