<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateWelcomeEmailSettingsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('welcome_email_settings', function(Blueprint $table)
		{
			$table->increments('id');
			$table->unsignedInteger('client_id')->nullable();
			$table->string('sent_from');
			$table->string('subject');
			$table->text('body');
			$table->timestamps();
			$table->unsignedInteger('added_by')->nullable();
			$table->boolean('status')->nullable()->default(0);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('welcome_email_settings');
	}

}
