<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateColumnInUserQuizAndSurveyResults extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::statement("ALTER TABLE user_quiz_and_survey_results CHANGE COLUMN question_type question_type ENUM('multi-choice','star-rating','text')");

        Schema::table('user_quiz_and_survey_results', function (Blueprint $table) {
            $table->string('question')->nullable()->change();
            $table->string('option_one')->nullable()->change();
            $table->string('option_two')->nullable()->change();
            $table->string('option_three')->nullable()->change();
            $table->string('option_four')->nullable()->change();
            $table->string('correct_answer')->nullable()->change();
            $table->text('user_answer')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::statement("ALTER TABLE user_quiz_and_survey_results CHANGE COLUMN question_type question_type ENUM('multi-choice','star-rating','text') NOT NULL");

        Schema::table('user_quiz_and_survey_results', function (Blueprint $table) {
            $table->string('question')->change();
            $table->string('option_one')->change();
            $table->string('option_two')->change();
            $table->string('option_three')->change();
            $table->string('option_four')->change();
            $table->string('correct_answer')->change();
            $table->text('user_answer')->change();
        });
    }
}
