<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnIsSentToSignatureDocument extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('signature_document', function (Blueprint $table) {
            if (!Schema::hasColumn('signature_document', 'is_sent')) {
                $table->boolean('is_sent')->default(false)->after('document_name');
            }
           
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('signature_document', function (Blueprint $table) {
            $table->dropColumn('is_sent');
        });
    }
}
