<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsToUserProfilePictureAndPhotoIdResult extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('user_profile_picture_and_photo_id_result', function (Blueprint $table) {
            $table->string('front_image')->nullable()->after('type');
            $table->string('back_image')->nullable()->after('front_image');
            $table->string('pdf_image')->nullable()->after('back_image');
            $table->string('profile_pic')->nullable()->after('pdf_image');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('user_profile_picture_and_photo_id_result', function (Blueprint $table) {
            $table->dropColumn('front_image');
            $table->dropColumn('back_image');
            $table->dropColumn('pdf_image');
            $table->dropColumn('profile_pic');
        });
    }
}
