<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class MigrateClientStructure extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('clients', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name',self::MEDIUM_TEXT);
            $table->unsignedTinyInteger('status');
            $table->boolean('is_subscription');
            $table->unsignedInteger('added_by')->nullable();
            $table->dateTime('email_verified_at')->nullable();
            $table->unsignedInteger('package_id')->nullable();
            $table->unsignedInteger('industry_id')->nullable();
            $table->integer('document_heading_id')->nullable();
            $table->integer('document_profile_heading_id')->nullable();
            $table->integer('form_heading_id')->nullable();
            $table->integer('quiz_heading_id')->nullable();
            $table->integer('survey_heading_id')->nullable();
            $table->string('subscription_volume',self::MEDIUM_TEXT)->nullable();
            $table->dateTime('renewal_date')->nullable();
            $table->boolean('is_photo_id_enabled');
            $table->boolean('is_profile_photo_enabled');
            $table->string('support_type',self::SHORT_TEXT);
            $table->softDeletes();
            $table->timestamps();
        });

        Schema::create('client_configurations', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name',self::MEDIUM_TEXT);
            $table->string('type',self::SHORT_TEXT);
            $table->timestamps();
            $table->softDeletes();
        });

        Schema::create('client_configuration_detail', function (Blueprint $table) {
            $table->unsignedInteger('client_id');
            $table->unsignedInteger('configuration_id');
            $table->string('value',self::LONG_TEXT)->nullable();
            $table->primary(['client_id','configuration_id']);
        });
    }
}
