<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;
use App\Enum\Roles as RolesEnum;
use Spatie\Permission\Models\Role;


class AddPermissionDefault extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $roles = [
            RolesEnum::ADMIN,RolesEnum::SUPER_ADMIN,RolesEnum::FRONT_USER
        ];
        foreach ($roles as $role)
        {
            if(!Role::where('name',$role)->first())
                Role::create(['name'=>$role]);
        }

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {

    }
}
