<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateSegmentsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('segments', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('segment_type_id');
            $table->string('name',self::MEDIUM_TEXT);
            $table->text('description')->nullable();
            $table->unsignedInteger('client_id');
            $table->softDeletes();
            $table->timestamps();
        });

        Schema::create('segment_user', function (Blueprint $table) {
            $table->unsignedInteger('user_id');
            $table->unsignedInteger('segment_id');
            $table->primary(['user_id','segment_id']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('segment');
    }
}
