<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;
use App\Enum\Roles as RolesEnum;


class AddPermissionForEvents extends AppMigration
{
    const ADMIN_PERMISSIONS = ['edit', 'delete', 'read'];
    const FRONT_USER_PERMISSIONS = ['read'];

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $this->givePermissionTo(RolesEnum::ADMIN, 'events', self::ADMIN_PERMISSIONS);
        $this->givePermissionTo(RolesEnum::FRONT_USER, 'events', self::FRONT_USER_PERMISSIONS);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        $this->revokePermissionTo(RolesEnum::ADMIN, 'events', self::ADMIN_PERMISSIONS);
        $this->revokePermissionTo(RolesEnum::FRONT_USER, 'events', self::FRONT_USER_PERMISSIONS);

    }
}
