<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateLibraryItemsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('library_items', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name', self::MEDIUM_TEXT);
			$table->unsignedInteger('client_id');
            $table->unsignedInteger('document_profile_id');
            $table->string('type', self::SHORT_TEXT);
            $table->morphs('linkable');
            $table->unsignedInteger('created_by');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('library_items');
    }
}
