<?php

use App\Database\Migrations\AppMigration;
use App\Enum\Roles as RolesEnum;


class AddPermissionForSearchUserSegment extends AppMigration
{
    const ADMIN_PERMISSIONS = ['read'];
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $this->givePermissionTo(RolesEnum::ADMIN,'user',self::ADMIN_PERMISSIONS);
        $this->givePermissionTo(RolesEnum::ADMIN,'segment',self::ADMIN_PERMISSIONS);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        $this->revokePermissionTo(RolesEnum::ADMIN,'user',self::ADMIN_PERMISSIONS);
        $this->revokePermissionTo(RolesEnum::ADMIN,'segment',self::ADMIN_PERMISSIONS);
    }
}
