<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateConversationsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('conversations', function (Blueprint $table) {
                $table->uuid('id')->primary();
                $table->bigInteger('sender_id')->unsigned();
                $table->bigInteger('receiver_id')->unsigned();
                $table->string('status', self::SHORT_TEXT)->default('active');
                $table->boolean('is_anonymous')->default(0);
                $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('conversations');
    }
}
