<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateQuestionnairesTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('questionnaires', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('driver_id')->unsigned()->index();
            $table->string('name')->nullable();
            $table->text('question');
            $table->boolean('type')->default(0)->comment('0: default, 1: do not show point range');
            $table->boolean('status')->default(0);
            $table->integer('created_by')->nullable()->unsigned()->index();
            $table->timestamps();
            $table->softDeletes('deleted_at', 0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('questionnaires');
    }
}
