<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;
use App\Enum\QuestionnaireOptionType;
class CreateQuestionnaireOptionsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {

        Schema::create('questionnaire_options', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('questionnaire_id')->unsigned()->index();
            $table->integer('segment_id')->unsigned()->index();
            $table->enum('option_type', [QuestionnaireOptionType::ALLOW, QuestionnaireOptionType::EXCLUDE]);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('questionnaire_options');
    }
}
