<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateUserSubmissionStructure extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('action_request_submissions', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('user_id');
            $table->unsignedInteger('action_request_id');
            $table->string('status', self::SHORT_TEXT)->nullable();
            $table->timestamps();
            $table->softDeletes();
        });

        Schema::create('quiz_results', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('submission_id');
            $table->unsignedInteger('question_id');
            $table->unsignedInteger('option_id');
            $table->timestamps();
        });

        Schema::create('survey_results', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('submission_id');
            $table->unsignedInteger('question_id');
            $table->timestamps();
        });

        Schema::create('survey_rating_results', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('survey_result_id');
            $table->tinyInteger('rating');
            $table->timestamps();
        });

        Schema::create('survey_choice_results', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('survey_result_id');
            $table->unsignedInteger('option_id');
            $table->timestamps();
        });

        Schema::create('survey_text_results', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('survey_result_id');
            $table->text('text');
            $table->timestamps();
        });

        Schema::create('id_verification_results', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('submission_id');
            $table->unsignedInteger('attachment_id');
            $table->text('verify_data')->nullable();
            $table->string('status', self::SHORT_TEXT)->nullable();
            $table->timestamps();
        });

        Schema::create('content_photo_results', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('submission_id');
            $table->unsignedInteger('front_attachment_id');
            $table->unsignedInteger('back_attachment_id');
            $table->text('verify_data')->nullable();
            $table->string('status', self::SHORT_TEXT)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('action_request_submissions');
        Schema::dropIfExists('quiz_results');
        Schema::dropIfExists('survey_results');
        Schema::dropIfExists('survey_rating_results');
        Schema::dropIfExists('survey_choice_results');
        Schema::dropIfExists('survey_text_results');
        Schema::dropIfExists('id_verification_results');
        Schema::dropIfExists('content_photo_results');
    }
}
