<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;
use Illuminate\Database\Migrations\Migration;

class CreateScheduleSurveyTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('schedule_survey', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name');
            $table->text('description');
            $table->integer('schedule_frequency_id')->unsigned()->index();
            $table->integer('client_id')->unsigned()->index();
            $table->dateTime('start_date');
            $table->dateTime('renewal_date');
            $table->integer('created_by')->unsigned()->index();
            $table->integer('status');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('schedule_survey');
    }
}
