<?php
// update...

use App\Models\User\Employee;
use App\Models\User\User;
use App\Models\User\UserAdminDetail;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class MigrateDataUserAdminDetailsToEmployees extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {

        Schema::table('employees', function(Blueprint $table) {
            $table->string('surname')->nullable()->change();
        });

        Schema::table('users', function(Blueprint $table) {
            $table->string('two_step_login', self::SHORT_TEXT)->default(0);
            $table->renameColumn('last_name', 'surname');
        });

        UserAdminDetail::all()->each(function($item) {
            Employee::create([
                "user_id" => $item->user_id,
                "department_id" => $item->department_id,
                "city_id" => $item->city_id,
                "client_id" => $item->client_id,
                "preffered_name" => $item->preffered_name,
                "job_title" => $item->job_title ?? "",
                "created_at" => $item->created_at,
                "updated_at" => $item->updated_at,
                "profile_pic" => $item->profile_pic,
                "document_profile_heading_id" => 0
            ]);
            $user = User::find($item->user_id);
            if ($user) {
                $user->update(['two_step_login' => $item->two_step_login]);
            }
        });


    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('employees', function(Blueprint $table) {
            //
        });
    }
}
