<?php
// create...

use App\Enum\SegmentTypes;
use App\Models\Segment\SegmentType;
use Illuminate\Support\Facades\Schema;
use App\Database\Migrations\AppMigration;

class CreateSegmentTypeDefault extends AppMigration
{
    const TABLE_BACKUP = "segment_types_20201202";

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $this->cloneTable('segment_types', self::TABLE_BACKUP, true);
        SegmentType::truncate();
        foreach (SegmentTypes::SEGMENT_TYPES as $type) {
            SegmentType::create(["name" => $type]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('segment_types');
        Schema::rename(self::TABLE_BACKUP, 'segment_types');

    }
}
