<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class RefactorClientTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('clients', function (Blueprint $table) {
            $table->dropColumn('is_subscription');
            $table->dropColumn('email_verified_at');
            $table->renameColumn('package_id', 'plan_id');
            $table->dropColumn('document_heading_id');
            $table->dropColumn('document_profile_heading_id');
            $table->dropColumn('quiz_heading_id');
            $table->dropColumn('survey_heading_id');
            $table->dropColumn('subscription_volume');
            $table->dropColumn('renewal_date');
            $table->dropColumn('is_photo_id_enabled');
            $table->dropColumn('is_profile_photo_enabled');
            $table->dropColumn('form_heading_id');
            $table->dropColumn('support_type');
            $table->dropColumn('created_by');
            $table->string('status', self::SHORT_TEXT)->default('active')->change();
            $table->integer('phone_id' )->unsigned()->nullable();
            $table->integer('logo_id' )->unsigned()->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
