<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateDataControlTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('data_control', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('client_id')->unsigned()->index();
            $table->integer('segment_identification')->default(5);
            $table->integer('data_expiry')->default(0);
            $table->integer('anonymity_difference')->default(5);
            $table->integer('data_availability')->default(5);
            $table->integer('data_referencing')->default(12);
            $table->boolean('engagement_score_default')->default(0)->comment('0: eNPS, 1: Average');
            $table->boolean('driver_score_default')->default(0)->comment('0: Aggregated, 1: Average');
            $table->boolean('driver_sorting')->default(0)->comment('0: Priority, 1: Score');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('data_control');
    }
}
