<?php
// update...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class AddAdditionalColumnsToEmployeesTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('employees', function (Blueprint $table) {
            $table->dateTime('date_of_birth')->nullable();
            $table->string('employment_type', self::SHORT_TEXT)->nullable();
            $table->string('role_level', self::SHORT_TEXT)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('employees', function (Blueprint $table) {
            $table->dropColumn('date_of_birth');
            $table->dropColumn('employment_type');
            $table->dropColumn('role_level');
        });
    }
}
