<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class UpdateToNullableColumnsForEmployeesTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('employees', function (Blueprint $table) {
            $table->unsignedInteger('department_id')->nullable()->change();
            $table->unsignedInteger('document_profile_heading_id')->nullable()->change();
            $table->unsignedInteger('city_id')->nullable()->change();
            $table->string('job_title')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('employees', function (Blueprint $table) {
            $table->unsignedInteger('department_id')->nullable(false)->change();
            $table->unsignedInteger('document_profile_heading_id')->nullable(false)->change();
            $table->unsignedInteger('city_id')->nullable(false)->change();
            $table->string('job_title')->nullable(false)->change();
        });
    }
}
