<?php
// create...

use App\Models\Segment\AgeSegment;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateAgeSegmentsTable extends AppMigration
{
    CONST AGE_SEGMENTS_DATA =[
        ["name" => "Under 18", "min" => 0, "max" => 18],
        ["name" => "18-25", "min" => 18, "max" => 25],
        ["name" => "25-30", "min" => 25, "max" => 30],
        ["name" => "30-35", "min" => 30, "max" => 35],
        ["name" => "35-40", "min" => 35, "max" => 40],
        ["name" => "40-45", "min" => 40, "max" => 45],
        ["name" => "45-50", "min" => 45, "max" => 50],
        ["name" => "50-55", "min" => 50, "max" => 55],
        ["name" => "55-60", "min" => 55, "max" => 60],
        ["name" => "60-65", "min" => 60, "max" => 65],
        ["name" => "Over 65", "min" => 65, "max" => 999],
    ];
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('age_segments', function (Blueprint $table) {
            $table->increments('id');
            $table->hasBusinessKey();
            $table->string('name',self::MEDIUM_TEXT);
            $table->integer('min');
            $table->integer('max');
            $table->timestamps();
        });
        foreach(self::AGE_SEGMENTS_DATA as $ageSegment)
        {
            AgeSegment::create($ageSegment);
        }

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('age_segments');
    }
}
