<?php
// update...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class AddColumnsToJourneyUserTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('journey_user', function (Blueprint $table) {
            $table->boolean('is_completed')->nullable()->default(0);
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('journey_user', function (Blueprint $table) {
            $table->dropColumn('is_completed');
            $table->dropColumn('created_at');
            $table->dropColumn('updated_at');
        });
    }
}
