<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class ChangeColumnEmployeeTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('employees', function (Blueprint $table) {
            if(Schema::hasColumn('employees', 'department_id'))
            {
                $table->dropColumn('department_id');
            }
            $table->renameColumn('location', 'location_id');
            $table->renameColumn('team', 'team_id');
            $table->renameColumn('department', 'department_id');
            $table->renameColumn('gender', 'gender_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('employees', function (Blueprint $table) {
            $table->renameColumn('location_id', 'location');
            $table->renameColumn('team_id', 'team');
            $table->renameColumn('department_id', 'department');
            $table->renameColumn('gender_id', 'gender');
        });
    }
}
