<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateInitiativesTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('initiatives', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('client_id')->unsigned()->index();
            $table->integer('driver_id')->unsigned()->index();
            $table->integer('responsible_id')->unsigned()->index();
            $table->integer('created_by')->unsigned()->index();
            $table->string('title');
            $table->text('description')->nullable();
            $table->date('due_by');
            $table->boolean('status')->default(0)->comment('0: not completed, 1: completed');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('initiatives');
    }
}
