<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateActionSequenceStructure extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('action_sequences', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('client_id');
            $table->string('name', self::MEDIUM_TEXT)->nullable();
            $table->unsignedInteger('created_by')->nullable();
            $table->timestamps();
            $table->hasBusinessKey();
        });

        Schema::create('action_sequence_steps', function(Blueprint $table)
        {
            $table->increments('id');
            $table->unsignedInteger('action_sequence_id');
            $table->text('message')->nullable();
            $table->unsignedInteger('order')->nullable();
            $table->timestamps();
        });

        Schema::create('action_sequence_user', function (Blueprint $table) {
            $table->unsignedInteger('action_sequence_id');
            $table->unsignedInteger('user_id');
            $table->boolean('is_completed')->nullable()->default(0);
            $table->timestamps();
            $table->primary(['action_sequence_id','user_id']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('action_sequences');
        Schema::dropIfExists('action_sequence_steps');
        Schema::dropIfExists('action_sequence_user');
    }
}
