<?php

use App\Enum\SegmentTypes;
use App\Models\Segment\SegmentType;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;


class AddOrderForSegmentType extends AppMigration
{
    const SEGMENT_TYPES_ORDERED = [
        SegmentTypes::LOCATION,
        SegmentTypes::DEPARTMENT,
        SegmentTypes::TEAM,
        SegmentTypes::MANAGER,
        SegmentTypes::GENDER,
        SegmentTypes::AGE,
        SegmentTypes::EMPLOYMENT,
    ];

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('segment_types', function(Blueprint $table) {
            $table->unsignedTinyInteger('order');
        });
        foreach (self::SEGMENT_TYPES_ORDERED as $key => $segmentType) {
            SegmentType::where('id', $segmentType)->update(['order' => $key]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('segment_types', function(Blueprint $table) {
            $table->dropColumn('order');
        });
    }
}
