<?php

use App\Enum\ClientConfigurations;
use App\Enum\ConfigurationTypes;
use App\Models\Client\Client;
use App\Models\Client\ClientConfiguration;
use App\Database\Migrations\AppMigration;



class AddConfigurationClient extends AppMigration
{
    const COLUMN_CONFIGURATIONS = [
        ["name" => ClientConfigurations::CONFIG_PRIMARY_COLOUR, "type" => ConfigurationTypes::COLOR, "default_value" => ""],
        ["name" => ClientConfigurations::CONFIG_SECONDARY_COLOUR, "type" => ConfigurationTypes::COLOR, "default_value" => ""],
    ];

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        foreach (self::COLUMN_CONFIGURATIONS as $column_configuration) {
            $clientConfigurations[]  = ClientConfiguration::create($column_configuration);
        }

        $clients = Client::all();
        foreach ($clients as $client) {
            $this->updateClientConfigurations($client, $clientConfigurations);
        }

    }

    public function updateClientConfigurations($client, $clientConfigurations)
    {
        foreach ($clientConfigurations as $clientConfiguration) {
            $client->clientConfigurations()->attach($clientConfiguration->getKey(), ['value' => $clientConfiguration->default_value]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
