<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class AddColumnDemoForClientAndUser extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('clients', function(Blueprint $table){
            $table->boolean('is_demo')->default(false);
        });
        Schema::table('users', function(Blueprint $table){
            $table->boolean('is_demo')->default(false);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('clients', function(Blueprint $table){
            $table->dropColumn('is_demo');
        });
        Schema::table('users', function(Blueprint $table){
            $table->dropColumn('is_demo');
        });
    }
}
