<?php

use App\Enum\ClientConfigurations;
use App\Enum\ConfigurationTypes;
use App\Models\Client\Client;
use App\Models\Client\ClientConfiguration;
use App\Database\Migrations\AppMigration;


class UpdateConfigurationClient2 extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if(!$clientConfiguration = ClientConfiguration::where("name",ClientConfigurations::IS_DEFAULT_COLOUR)->first()){
            $clientConfiguration = ClientConfiguration::create(["name" => ClientConfigurations::IS_DEFAULT_COLOUR,
                "type" => ConfigurationTypes::BOOLEAN,
                "default_value" => "1"]);
        }
        $clients = Client::all();
        foreach ($clients as $client) {
            $client->clientConfigurations()->attach($clientConfiguration->getKey(), ['value' => $clientConfiguration->default_value]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
