<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class AddNameAndHeaderImageIdColumnsForActionSequenceStepsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('action_sequence_steps', function (Blueprint $table) {
            $table->string('name', self::MEDIUM_TEXT);
            $table->unsignedInteger('header_image_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('action_sequence_steps', function (Blueprint $table) {
            $table->dropColumn('name');
            $table->dropColumn('header_image_id');
        });
    }
}
