<?php

use App\Models\Action\Action;
use App\Models\Action\ActionSequenceStep;
use App\Models\ActionRequest\ActionRequest;
use App\Models\Journey\JourneyStep;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class AddClientIdActionRequestsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('action_requests',function (Blueprint $table){
            $table->integer('client_id');
        });
        //Update all action request
        $actionRequests = ActionRequest::where('client_id', 0)
            ->whereHasMorph('actionable',[
                Action::class,
                ActionSequenceStep::class,
                JourneyStep::class
            ])
            ->get();
        foreach($actionRequests as $actionRequest)
        {
            switch ($actionRequest->actionable_type){
                case Action::class:
                    $actionRequest->client_id = $actionRequest->actionable->client_id;
                    $actionRequest->save();
                    break;
                case ActionSequenceStep::class:
                    $actionRequest->client_id = $actionRequest->actionable->actionSequence->client_id;
                    $actionRequest->save();
                    break;
                case JourneyStep::class:
                    $actionRequest->client_id = $actionRequest->actionable->journey->client_id;
                    $actionRequest->save();
                    break;
            }
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
