<?php

use App\Enum\ClientConfigurations;
use App\Models\Client\ClientConfiguration;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;


class UpdateClientConfigurationDefaultValue extends AppMigration
{
    const CLIENT_CONFIGURATIONS = [
        ['name' => ClientConfigurations::CONFIG_ADMIN_PASSWORD_RESET, 'old_value' => 'Every 6 months', 'new_value'=> 6 ],
        ['name' => ClientConfigurations::CONFIG_DELETE_FORMER_EMPLOYEES_AFTER, 'old_value' => '90 days', 'new_value'=> 90 ],
        ['name' => ClientConfigurations::CONFIG_CONSOLE_LOGIN_TIMEOUT, 'old_value' => '30 days', 'new_value'=> 30 ],
    ];
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {

        foreach (self::CLIENT_CONFIGURATIONS as $clientConfigurationData) {
            $clientConfiguration = ClientConfiguration::where('name', $clientConfigurationData['name'])->first();
            if($clientConfiguration){
                DB::table('client_configuration_detail')
                    ->where('configuration_id', $clientConfiguration->id)
                    ->where('value', $clientConfigurationData['old_value'])
                    ->update(['value'=>$clientConfigurationData['new_value']]);
            }
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
