<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;
use App\Enum\AlertMessage;
use Carbon\Carbon;

class CreateSensitiveCommentAlertMessage extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $maxPriority = DB::table('alert_messages')->max('priority');
        $now = Carbon::now();

        DB::table('alert_messages')->insert(
            [
                'message' => AlertMessage::SENSITIVE_COMMENT,
                'type' => AlertMessage::AUTOMATIC_TYPE,
                'priority' => ++$maxPriority,
                'created_at' => $now,
                'updated_at' => $now
            ]
        );
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::table('alert_messages')->where(['message' => AlertMessage::SENSITIVE_COMMENT])->delete();
    }
}
