<?php

use App\Models\Event\Event;
use App\Models\Segment\Segment;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class MigrateAllEmployeeSegmentEvent extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $events = Event::all();
        foreach ($events as $event) {
            if ($event->is_all_employees_invited) {
                $eventSegmentIds = $event->segments()->pluck('id')->toArray();
                $allEmployeeSegment = Segment::allSegmentType()->byClient($event->client_id)->first();
                
                if (!in_array($allEmployeeSegment->getKey(), $eventSegmentIds)) {
                    $event->segments()->attach($allEmployeeSegment->getKey());
                }
            }
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
