<?php
// update...

use App\Models\User\User;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class ConvertUserConversationToMessageable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {

        Schema::table('user_conversation', function (Blueprint $table) {
            $table->renameColumn('user_id', 'messageable_id');
            $table->string('messageable_type', self::MEDIUM_TEXT)->default(addslashes(User::class));
            $table->dateTime('last_available')->useCurrent();
        });

        Schema::rename('user_conversation','messageables');
        DB::statement('alter table messageables alter column last_read set default current_timestamp();');

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::rename('messageables','user_conversation');
        Schema::table('user_conversation', function (Blueprint $table) {
            $table->renameColumn('messageable_id', 'user_id');
            $table->dropColumn('messageable_type');
            $table->dropColumn('last_available');
        });
    }
}
