<?php

use App\Enum\ConversationTypes;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class ConversationAddTypeColumn extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('conversations', function(Blueprint $table){
            $table->string('type',self::MEDIUM_TEXT)->default(ConversationTypes::DIRECT_MESSAGE);
            $table->dropColumn('is_anonymous');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('conversations', function(Blueprint $table){
            $table->dropColumn('type');
            $table->boolean('is_anonymous')->default(0);
        });;
    }
}
