<?php

use App\Enum\MessageableTypes;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class AddTypeMessageable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('messageables', function(Blueprint $table){
            $table->string('type',self::SHORT_TEXT)->default(MessageableTypes::USER);
        });
        DB::statement("ALTER TABLE messageables DROP PRIMARY KEY,
                add primary key(`messageable_id`, `conversation_id`, `messageable_type`, `type`)");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('messageables', function(Blueprint $table){
            $table->dropColumn('type');
        });
        DB::statement("ALTER TABLE messageables DROP PRIMARY KEY,
                add primary key(`messageable_id`, `conversation_id`)");
    }
}
