<?php
// create...

use App\Enum\Roles;
use App\Facades\Context;
use App\Models\Client\Client;
use App\Models\Library\DocumentProfile;
use App\Models\User\User;
use App\Services\Library\CreateDocumentProfile;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateDefaultDocumentProfile extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $clients = Client::whereNotIn('id',DocumentProfile::select('client_id')->distinct()->get())->get();
        $superAdmin = User::role(Roles::SUPER_ADMIN)->first();
        Context::user()->set($superAdmin);
        foreach($clients as $client){
            Context::client()->set($client);
            app(CreateDocumentProfile::class)->execute(['name'=>'Default']);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('default_document_profile');
    }
}
