<?php

use App\Models\Questionnaire\Questionnaire;
use App\Models\Schedule\ScheduleRoundQuestionnaire;
use App\Models\Schedule\ScheduleSurvey;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class AddColumnQuestionnaireCountScheduleSurvey extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('schedule_survey', function (Blueprint $table){
            $table->integer('total_questionnaire')->default(0);
        });
        $scheduleSurveys = ScheduleSurvey::all();
        foreach($scheduleSurveys as $scheduleSurvey){
            $scheduleRoundQuestionnaire = ScheduleRoundQuestionnaire::query()
                ->where('schedule_survey_id', $scheduleSurvey->getKey())->first();
            $totalQuestionnaire = 0;
            if ($scheduleRoundQuestionnaire) {
                $totalQuestionnaire = collect($scheduleRoundQuestionnaire->questionnaire_id)->flatten()->count();
            }
            $scheduleSurvey->total_questionnaire = $totalQuestionnaire;
            $scheduleSurvey->save();
        }

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('schedule_survey', function (Blueprint $table){
            $table->dropColumn('total_questionnaire');
        });
    }
}
