<?php
// create...

use App\Database\Migrations\AppMigration;
use App\Enum\SegmentTypes;
use App\Models\Client\Client;
use App\Services\Segment\CreateDefaultGenderSegment;

class CreateDefaultDataGenderSegment extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up(): void
    {
        //Get client which don't have any gender segments
        $clients = Client::query()->whereDoesntHave('segments', function ($query) {
            $query->where('segment_type_id', SegmentTypes::GENDER);
        })->get();
        //Generate default gender segments
        foreach ($clients as $client) {
            app(CreateDefaultGenderSegment::class)->execute(['client_id' => $client->getKey()]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down(): void
    {

    }
}
