<?php

use App\Models\Schedule\ScheduleFrequencySetting;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class UpdateScheduleSettingsPeriodDay extends AppMigration
{
    const ROUNDS = [
            [
                'name' => 'Rounds for weekly',
                'description' => '1st round is 8 and next round is 4 so on by calculate total',
                'schedule_frequency_id' => 1,
                'round_first' => 8,
                'next_round' => 4,
                'week_complete' => 10.5,
                'is_publish' => 1,
                'period_day' => 7
            ],
            [
                'name' => 'Rounds for Bi-Weekly',
                'description' => '1st round is 12 and next round is 8 so on by calculate total',
                'schedule_frequency_id' => 2,
                'round_first' => 12,
                'next_round' => 8,
                'week_complete' => 10.5,
                'is_publish' => 1,
                'period_day' => 14
            ],
            [
                'name' => 'Rounds for Monthly',
                'description' => '1st round is 20 and next round is 16 so on by calculate total',
                'schedule_frequency_id' => 3,
                'round_first' => 20,
                'next_round' => 16,
                'week_complete' => 10.5,
                'is_publish' => 1,
                'period_day' => 30
            ],
            [
                'name' => 'Rounds for Quarterly',
                'description' => '1st round is 46 and next round is 46 so on by calculate total',
                'schedule_frequency_id' => 4,
                'round_first' => 46,
                'next_round' => 46,
                'week_complete' => 2,
                'is_publish' => 1,
                'period_day' => 90
            ]
        ];
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $scheduleFrequencyRoundModel = new ScheduleFrequencySetting();
        foreach(self::ROUNDS as $round) {
            $scheduleFrequencyRoundModel->updateOrCreate(['name' => $round['name']],$round);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
