<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;
use Spatie\Permission\Models\Permission;
use App\Enum\AccessPermissions;


class AddManagerAccessPermissions extends AppMigration
{
    const ACCESS_PERMISSIONS = [
        AccessPermissions::ACCESS_JOURNEY_STATISTICS,
        AccessPermissions::ACCESS_ENGAGEMENT_TEAM_STATISTICS,
        AccessPermissions::ACCESS_ENGAGEMENT_COMPANY_STATISTICS,
        AccessPermissions::READ_COMMENT_TEAM_STATISTICS,
        AccessPermissions::READ_COMMENT_COMPANY_STATISTICS,
        AccessPermissions::CREATE_EDIT_JOURNEY,
        AccessPermissions::CREATE_EDIT_SURVEY,
        AccessPermissions::CREATE_EDIT_QUIZ,
        AccessPermissions::CREATE_EDIT_CHECKLIST,
        AccessPermissions::CREATE_EDIT_FORM,
        AccessPermissions::ACCESS_COMPANY_LIBRARY,
        AccessPermissions::ACCESS_CONTENT_PROFILE_LIBRARY,
        AccessPermissions::CREATE_EDIT_DELETE_LIBRARY,
        AccessPermissions::ACCESS_COMPANY_EVENT,
        AccessPermissions::ACCESS_OWNER_EVENT,
        AccessPermissions::CREATE_EDIT_DELETE_EVENT,
        AccessPermissions::SYNC_THIRD_PARTY_EVENT,
        AccessPermissions::CREATE_EDIT_DELETE_ACTION,
        AccessPermissions::READ_ACTION,
        AccessPermissions::ACCESS_COMPANY_COMMENT,
        AccessPermissions::ACCESS_TEAM_COMMENT,
        AccessPermissions::ACCESS_TOPICS,
        AccessPermissions::ACCESS_HEATMAPS,
        AccessPermissions::ACCESS_BOARDS,
        AccessPermissions::ACCESS_COMPANY_QUIZ_SURVEY_REPORT,
        AccessPermissions::ACCESS_OWNER_QUIZ_SURVEY_REPORT,
        AccessPermissions::CREATE_EMPLOYEE,
        AccessPermissions::EDIT_EMPLOYEE,
        AccessPermissions::DELETE_EMPLOYEE,
        AccessPermissions::CREATE_EDIT_SEGMENT,
        AccessPermissions::ACCESS_THIRD_PARTY_INTEGRATION,
        AccessPermissions::EDIT_COMPANY_DETAIL,
        AccessPermissions::EDIT_APP_DESIGN,
        AccessPermissions::CREATE_EDIT_INITIATIVES,
        AccessPermissions::SEND_SEGMENT_NOTIFICATION,
    ];

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        foreach (self::ACCESS_PERMISSIONS as $permission) {
            Permission::create(['name' => $permission]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::table('permissions')->whereIn('name', self::ACCESS_PERMISSIONS)->delete();
    }
}
