<?php
// create...

use App\Enum\ActionRequestTypes;
use Carbon\Carbon;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateContentFilesTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('content_files', function (Blueprint $table) {
            $table->increments('id');
            $table->hasBusinessKey();
            $table->string('name', self::MEDIUM_TEXT);
            $table->string('status', self::SHORT_TEXT)->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
        $businessKey = config('app.bussiness_key_name') ?? 'code';
        DB::table('content_files')->insert(
            [
                $businessKey => ActionRequestTypes::UPLOAD_CONTENT,
                'name' => ActionRequestTypes::UPLOAD_CONTENT_NAME,
                'status' => null,
                'created_at' => Carbon::now()
            ]
        );
        Schema::create('content_file_results', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('submission_id');
            $table->unsignedInteger('attachment_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('content_files');
    }
}
