<?php

use App\Enum\ConfigurationTypes;
use App\Models\Subscription\PlanConfiguration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;
use App\Enum\PlanConfigurations;
use App\Models\Subscription\SubscriptionPlan;


class AddSsoAndIntegrationPlanConfigurations extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
       $sso = PlanConfiguration::create(['name' => PlanConfigurations::PACKAGE_SSO, 'type' => ConfigurationTypes::BOOLEAN]);
       $integration = PlanConfiguration::create(['name' => PlanConfigurations::PACKAGE_INTEGRATION, 'type' => ConfigurationTypes::BOOLEAN]);

       $allPlans = SubscriptionPlan::all();
       foreach ($allPlans as $plan) {
           $plan->planConfigurations()->attach($sso->getKey(), ['value' => false]);
           $plan->planConfigurations()->attach($integration->getKey(), ['value' => false]);
       }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        PlanConfiguration::where('name', PlanConfigurations::PACKAGE_SSO)->delete();
        PlanConfiguration::where('name', PlanConfigurations::PACKAGE_INTEGRATION)->delete();
    }
}
