<?php

use App\Enum\ConfigurationTypes;
use App\Enum\PlanConfigurations;
use App\Models\Subscription\PlanConfiguration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class RemoveAddFreeAndStockSurveyPlanConfigurations extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        PlanConfiguration::where('name', PlanConfigurations::PACKAGE_AD_FREE)->delete();
        PlanConfiguration::where('name', PlanConfigurations::PACKAGE_STOCK_SURVEYS)->delete();
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        PlanConfiguration::create(['name' => PlanConfigurations::PACKAGE_AD_FREE, 'type' => ConfigurationTypes::BOOLEAN]);
        PlanConfiguration::create(['name' => PlanConfigurations::PACKAGE_STOCK_SURVEYS, 'type' => ConfigurationTypes::BOOLEAN]);
    }
}
