<?php
// create...

use App\Enum\ClientConfigurations;
use App\Enum\ConfigurationTypes;
use App\Models\Client\Client;
use App\Models\Client\ClientConfiguration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateConfigurationForSso extends AppMigration
{
    const COLUMN_CONFIGURATIONS = [
        ["name" => ClientConfigurations::IS_ENABLE_SSO, "type" => ConfigurationTypes::BOOLEAN, "default_value" => "0"],
        ["name" => ClientConfigurations::SSO_LOG_IN_URL, "type" => ConfigurationTypes::TEXT, "default_value" => ""],
        ["name" => ClientConfigurations::SSO_LOG_OUT_URL, "type" => ConfigurationTypes::TEXT, "default_value" => ""],
        ["name" => ClientConfigurations::REQUIRE_SINGLE_SIGN_ON, "type" => ConfigurationTypes::TEXT, "default_value" => ""],
        ["name" => ClientConfigurations::SSO_CERTIFICATE, "type" => ConfigurationTypes::TEXT, "default_value" => ""],
        ["name" => ClientConfigurations::SSO_ENTITYID_URL, "type" => ConfigurationTypes::TEXT, "default_value" => ""],
    ];

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $clientConfigurations = collect([]);
        foreach (self::COLUMN_CONFIGURATIONS as $column_configuration) {
            $clientConfigurations->push(ClientConfiguration::create($column_configuration));
        }

        $clients = Client::all();
        foreach ($clients as $client) {
            $this->updateClientConfigurations($client, $clientConfigurations);
        }

    }
    public function updateClientConfigurations($client, $clientConfigurations)
    {
        foreach ($clientConfigurations as $clientConfiguration) {
            $client->clientConfigurations()->attach($clientConfiguration->getKey(), ['value' => $clientConfiguration->default_value]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {

    }
}
