<?php

use App\Enum\ConversationTypes;
use App\Models\Message\Conversation;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class DeleteOldAnonnymousConversations extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $anoymousConversations = Conversation::where('type', ConversationTypes::ANONYMOUS_MESSAGE)->get();
        foreach($anoymousConversations as $anoymousConversation){
            $messages = $anoymousConversation->rawMessages()->get();
            foreach($messages as $message){
                $message->attachment()->delete();
                $message->delete();
            }
            $anoymousConversation->users()->sync([]);
            $anoymousConversation->basicSegments()->sync([]);
            $anoymousConversation->ageSegments()->sync([]);
            $anoymousConversation->employmentPhaseSegments()->sync([]);
            $anoymousConversation->managerSegments()->sync([]);
            $anoymousConversation->delete();
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
