<?php

use App\Models\User\Employee;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class AddEmployeeMultipleContentProfilesStructure extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('document_profile_employee', function (Blueprint $table) {
            $table->unsignedInteger('document_profile_id');
            $table->unsignedInteger('employee_id');
            $table->primary(['document_profile_id', 'employee_id'], 'document_profile_employee_primary');
        });

        $documentProfileEmployee = [];
        $allEmployees = Employee::all();
        foreach ($allEmployees as $employee) {
            if (!empty($employee->document_profile_id)) {
                $documentProfileEmployee[] = [
                    'document_profile_id' => $employee->document_profile_id,
                    'employee_id' => $employee->getKey()
                ];
            }
        }

        DB::table('document_profile_employee')->insert($documentProfileEmployee);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('document_profile_employee');
    }
}
