<?php
// update...

use App\Enum\AccessPermissions;
use App\Enum\Roles;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;
use Spatie\Permission\Models\Permission;

class AddPermissionToPowersearch extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if(!Permission::where('name', AccessPermissions::ACCESS_POWER_SEARCH)->exists()) {
            Permission::create(['name' => AccessPermissions::ACCESS_POWER_SEARCH]);
        }
        $this->givePermissionToRole(Roles::ADMIN, [AccessPermissions::ACCESS_POWER_SEARCH]);
        $this->givePermissionToRole(Roles::MANAGER, [AccessPermissions::ACCESS_POWER_SEARCH]);
    }

}
