<?php

use App\Database\Migrations\AppMigration;
use App\Enum\ConfigurationTypes;
use App\Enum\PlanConfigurations;
use App\Models\Subscription\PlanConfiguration;
use App\Models\Subscription\SubscriptionPlan;


class AddTranslateMessagePlanConfigurations extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $messageTranslate = PlanConfiguration::firstOrCreate(
            ['name' => PlanConfigurations::PACKAGE_MESSAGE_TRANSLATION],
            ['type' => ConfigurationTypes::BOOLEAN]
        );
        $allPlans = SubscriptionPlan::all();
        foreach ($allPlans as $plan) {
            $plan->planConfigurations()->attach($messageTranslate->getKey(), ['value' => false]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        PlanConfiguration::where('name', PlanConfigurations::PACKAGE_MESSAGE_TRANSLATION)->delete();
    }
}
