<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class AddIndexesForQuestionnaireAnswersTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('questionnaire_answers', function (Blueprint $table) {
            $sm = Schema::getConnection()->getDoctrineSchemaManager();
            $doctrineTable = $sm->listTableDetails('questionnaire_answers');

            if (!$doctrineTable->hasIndex('questionnaire_answers_user_id_index')) {
                $table->index('user_id');
            }

            if (!$doctrineTable->hasIndex('questionnaire_answers_driver_id_index')) {
                $table->index('driver_id');
            }

            if (!$doctrineTable->hasIndex('questionnaire_answers_questionnaire_id_index')) {
                $table->index('questionnaire_id');
            }
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('questionnaire_answers', function (Blueprint $table) {
            $sm = Schema::getConnection()->getDoctrineSchemaManager();
            $doctrineTable = $sm->listTableDetails('questionnaire_answers');

            if ($doctrineTable->hasIndex('questionnaire_answers_user_id_index')) {
                $table->dropIndex('questionnaire_answers_user_id_index');
            }

            if ($doctrineTable->hasIndex('questionnaire_answers_driver_id_index')) {
                $table->dropIndex('questionnaire_answers_driver_id_index');
            }

            if ($doctrineTable->hasIndex('questionnaire_answers_questionnaire_id_index')) {
                $table->dropIndex('questionnaire_answers_questionnaire_id_index');
            }
        });
    }
}
