<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class AddActionTokensTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('action_tokens', function (Blueprint $table) {
            $table->increments('id');
            $table->hasBusinessKey();
            $table->string('token', 128);
            $table->unsignedInteger('user_id')->nullable();
            $table->nullableMorphs('actionable');
            $table->string('type', 20)->nullable();
            $table->dateTime('expires_at');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('action_tokens');
    }
}
