<?php

use App\Enum\AccessPermissions;
use App\Enum\Roles;
use App\Database\Migrations\AppMigration;
use Spatie\Permission\Models\Permission;


class AddEditDeleteEntireCompanyEventsPermission extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if(!Permission::where('name', AccessPermissions::EDIT_DELETE_COMPANY_EVENT)->exists()){
            Permission::create(['name' => AccessPermissions::EDIT_DELETE_COMPANY_EVENT]);
        }

        $this->givePermissionToRole(Roles::ADMIN, [AccessPermissions::EDIT_DELETE_COMPANY_EVENT]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        $this->revokePermissionToRole(Roles::ADMIN, [AccessPermissions::EDIT_DELETE_COMPANY_EVENT]);

        Permission::where('name', AccessPermissions::EDIT_DELETE_COMPANY_EVENT)->delete();
    }
}
