<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class AddIsNotifyColumnToJourneyStepTable extends AppMigration{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('journey_steps', static function (Blueprint $table) {
            $table->boolean('is_notify')->nullable();
            $table->longText('emails_notify')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('journey_steps', static function (Blueprint $table) {
            $table->dropColumn('is_notify');
            $table->dropColumn('emails_notify');
        });
    }
}