<?php

use App\Database\Migrations\AppMigration;
use App\Enum\LanguageStatus;
use App\Models\Language\Language;

class AddArabicLanguage extends AppMigration {
    const LANGUAGES = [
        [
            "name"       => "Arabic",
            "code"       => "ar",
            "status"     => LanguageStatus::ACTIVE,
            "is_default" => false
        ]];
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        foreach(self::LANGUAGES as $item) {
            Language::updateOrCreate(['code' => $item['code']], $item);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}