<?php

use App\Database\Migrations\AppMigration;
use Spatie\Permission\Models\Permission;
use App\Enum\AccessPermissions;
use Illuminate\Support\Facades\DB;



class AddAdminAccessPermission extends AppMigration
{
    const ACCESS_PERMISSIONS = [
        AccessPermissions::SEND_WORK_ANNIVERSARY_EMAIL,
        AccessPermissions::SEND_BIRTHDAY_EMAIL,
    ];

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        foreach (self::ACCESS_PERMISSIONS as $permission) {
            Permission::create(['name' => $permission]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::table('permissions')->whereIn('name', self::ACCESS_PERMISSIONS)->delete();
    }
}
