<?php

use App\Enum\AccessPermissions;
use App\Enum\Roles;
use App\Database\Migrations\AppMigration;
use Spatie\Permission\Models\Permission;



class AddReactPermission extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if(!Permission::where('name', AccessPermissions::ACCESS_COMMENT_REACT)->exists()){
            Permission::create(['name' => AccessPermissions::ACCESS_COMMENT_REACT]);
        }

        $this->givePermissionToRole(Roles::ADMIN, [AccessPermissions::ACCESS_COMMENT_REACT]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        $this->revokePermissionToRole(Roles::ADMIN, [AccessPermissions::ACCESS_COMMENT_REACT]);

        Permission::destroy(['name' => AccessPermissions::ACCESS_COMMENT_REACT]);
    }
}
