<?php

use Carbon\Carbon;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;
use App\Models\Segment\SegmentType;
use App\Models\Segment\Segment;
use App\Enum\SegmentTypes;
use App\Models\Client\Client;
use App\Services\Segment\CreateAllEmployeeSegment;

class AddClientConfigurations extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $now = Carbon::now();

        DB::table('client_configurations')->insert(
            [
                'name' => 'show_enps_chart_for_managers',
                'type' => 'boolean',
                'created_at' => $now,
                'updated_at' => $now,
                'default_value' => false
            ]
        );

        DB::table('client_configurations')->insert(
            [
                'name' => 'show_enps_chart_for_employees',
                'type' => 'boolean',
                'created_at' => $now,
                'updated_at' => $now,
                'default_value' => false
            ]
        );
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::table('client_configurations')->where(['name' => 'show_enps_chart_for_managers'])->delete();
        DB::table('client_configurations')->where(['name' => 'show_enps_chart_for_employees'])->delete();
    }
}

