<?php

use Carbon\Carbon;
use Illuminate\Support\Facades\DB;
use App\Database\Migrations\AppMigration;



class AddClientConfigurationsPeriodCaseVisibility extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $now = Carbon::now();

        DB::table('client_configurations')->insert(
            [
                'name' => 'period_case_visibility',
                'type' => 'text',
                'created_at' => $now,
                'updated_at' => $now,
                'default_value' => '14'
            ]
        );
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::table('client_configurations')->where(['name' => 'period_case_visibility'])->delete();
    }
}
