<?php

use App\Enum\AccessPermissions;
use Illuminate\Support\Facades\DB;
use App\Database\Migrations\AppMigration;
use Spatie\Permission\Models\Permission;


class AddAccessPermissionsForWBMasterAccess extends AppMigration
{
    const ACCESS_PERMISSIONS = [
        AccessPermissions::ACCESS_WB_MASTER
    ];
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        foreach (self::ACCESS_PERMISSIONS as $permission) {
            Permission::create(['name' => $permission]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::table('permissions')->whereIn('name', self::ACCESS_PERMISSIONS)->delete();
    }
}
