<?php

use App\Enum\LanguageStatus;
use App\Models\Language\Language;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class AddPolishLanguage extends AppMigration
{
    const LANGUAGES = [
        [
            "name"       => "Polish",
            "code"       => "pl",
            "status"     => LanguageStatus::ACTIVE,
            "is_default" => false
        ]];
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        foreach(self::LANGUAGES as $item) {
            Language::updateOrCreate(['code' => $item['code']], $item);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
