<?php

use App\Database\Migrations\AppMigration;
use App\Enum\AccessPermissions;
use Illuminate\Support\Facades\DB;
use Spatie\Permission\Models\Permission;



class AddPermissionsForEmployeesNotification extends AppMigration
{
    const ACCESS_PERMISSIONS = [
        AccessPermissions::NOTIFICATION_EMAIL_EMPLOYEE_FILE,
        AccessPermissions::NOTIFICATION_EMAIL_EMPLOYEE_INIT,
        AccessPermissions::NOTIFICATION_EMAIL_EMPLOYEE_ENPS,
        AccessPermissions::NOTIFICATION_EMAIL_EMPLOYEE_ENPS_COMMENT,
        AccessPermissions::NOTIFICATION_EMAIL_UPCOMING,
    ];
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        foreach (self::ACCESS_PERMISSIONS as $permission) {
            Permission::create(['name' => $permission]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        DB::table('permissions')->whereIn('name', self::ACCESS_PERMISSIONS)->delete();
    }
}