<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class AddColumnsForSurveyTextResultsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('survey_text_results', function (Blueprint $table) {
            $table->double('mixed_score')->nullable();
            $table->double('positive_score')->nullable();
            $table->double('neutral_score')->nullable();
            $table->double('negative_score')->nullable();
            $table->string('sentiment')->nullable();
            $table->string('language')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('survey_text_results', function (Blueprint $table) {
            $table->dropColumn('mixed_score');
            $table->dropColumn('positive_score');
            $table->dropColumn('neutral_score');
            $table->dropColumn('negative_score');
            $table->dropColumn('sentiment');
            $table->dropColumn('language');
        });
    }
}
