<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class AlterConsoleNotifications extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        Schema::dropIfExists('notification_receiver');

        Schema::table('notifications', function (Blueprint $table) {
            $table->dropColumn('onesignal_id');

            $table->integer('receiver_id');
            $table->boolean('read')->default(0);
            $table->text('content')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::table('notifications', function (Blueprint $table) {
            $table->string('onesignal_id');
            $table->dropColumn('receiver_id');
            $table->dropColumn('read');
            $table->dropColumn('content');
        });
    }
}
