<?php

use Illuminate\Database\Seeder;
use App\Models\Language\Language;
use App\Enum\LanguageStatus;

class LanguageSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $languages = [
            [
                "name" => "English",
                "code" => "en",
                "status" => LanguageStatus::ACTIVE,
                "is_default" => TRUE
            ],
            [
                "name" => "Bahasa",
                "code" => "id",
                "status" => LanguageStatus::ACTIVE,
                "is_default" => FALSE
            ],
            [
                "name" => "Korean",
                "code" => "ko",
                "status" => LanguageStatus::ACTIVE,
                "is_default" => FALSE
            ],
            [
                "name" => "Chinese Simplified",
                "code" => "zh-CN",
                "status" => LanguageStatus::ACTIVE,
                "is_default" => FALSE
            ],
            [
                "name" => "Chinese Traditional",
                "code" => "zh-TW",
                "status" => LanguageStatus::ACTIVE,
                "is_default" => FALSE
            ],
            [
                "name" => "Dutch",
                "code" => "nl",
                "status" => LanguageStatus::ACTIVE,
                "is_default" => FALSE
            ],
            [
                "name" => "Filipino",
                "code" => "tl",
                "status" => LanguageStatus::ACTIVE,
                "is_default" => FALSE
            ],
            [
                "name" => "French",
                "code" => "fr",
                "status" => LanguageStatus::ACTIVE,
                "is_default" => FALSE
            ],
            [
                "name" => "German",
                "code" => "de",
                "status" => LanguageStatus::ACTIVE,
                "is_default" => FALSE
            ],
            [
                "name" => "Hindi",
                "code" => "hi",
                "status" => LanguageStatus::ACTIVE,
                "is_default" => FALSE
            ],
            [
                "name" => "Japanese",
                "code" => "ja",
                "status" => LanguageStatus::ACTIVE,
                "is_default" => FALSE
            ],
            [
                "name" => "Malaysian",
                "code" => "ms",
                "status" => LanguageStatus::ACTIVE,
                "is_default" => FALSE
            ],
            [
                "name" => "Spanish",
                "code" => "es",
                "status" => LanguageStatus::ACTIVE,
                "is_default" => FALSE
            ],
            [
                "name" => "Vietnamese",
                "code" => "vi",
                "status" => LanguageStatus::ACTIVE,
                "is_default" => FALSE
            ],
            [
                "name" => "Tamil",
                "code" => "ta",
                "status" => LanguageStatus::ACTIVE,
                "is_default" => FALSE
            ],
            [
                "name" => "Thai",
                "code" => "th",
                "status" => LanguageStatus::ACTIVE,
                "is_default" => FALSE
            ]
        ];

        $languageModel = new Language();

        foreach($languages as $item) {
            $languageModel->updateOrCreate(['code' => $item['code']], $item);
        }

        return true;
    }
}
