<?php

use Illuminate\Database\Seeder;
use App\Models\Schedule\ScheduleFrequency;
use App\Models\Schedule\ScheduleFrequencySetting;

class ScheduleFrequencySeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $rounds = [
            [
                'name' => 'Rounds for weekly',
                'description' => '1st round is 8 and next round is 4 so on by calculate total',
                'schedule_frequency_id' => 1,
                'round_first' => 8,
                'next_round' => 4,
                'week_complete' => 10.5,
                'is_publish' => 1,
                'period_day' => 7
            ],
            [
                'name' => 'Rounds for Bi-Weekly',
                'description' => '1st round is 12 and next round is 8 so on by calculate total',
                'schedule_frequency_id' => 2,
                'round_first' => 12,
                'next_round' => 8,
                'week_complete' => 10.5,
                'is_publish' => 1,
                'period_day' => 14
            ],
            [
                'name' => 'Rounds for Monthly',
                'description' => '1st round is 20 and next round is 16 so on by calculate total',
                'schedule_frequency_id' => 3,
                'round_first' => 20,
                'next_round' => 16,
                'week_complete' => 10.5,
                'is_publish' => 1,
                'period_day' => 30
            ],
            [
                'name' => 'Rounds for Quarterly',
                'description' => '1st round is 46 and next round is 46 so on by calculate total',
                'schedule_frequency_id' => 4,
                'round_first' => 46,
                'next_round' => 46,
                'week_complete' => 2,
                'is_publish' => 1,
                'period_day' => 90
            ]
        ];
        $frequencies = [
            [
                "name" => "Weekly",
                "description" => "1st round is 8 and next round is 4",
                "status" => 1,
                "is_default" => 1,
                "timing_response" => 2
            ],
            [
                "name" => "Bi-Weekly",
                "description" => "1st round is 12 and next round is 8",
                "status" => 1,
                "is_default" => 0,
                "timing_response" => 4
            ],
            [
                "name" => "Monthly",
                "description" => "1st round is 20 and next round is 16",
                "status" => 1,
                "is_default" => 0,
                "timing_response" => 8
            ],
            [
                "name" => "Quarterly",
                "description" => "1st round is 46",
                "status" => 1,
                "is_default" => 0,
                "timing_response" => 23
            ],
        ];

        $scheduleFrequencyModel = new ScheduleFrequency();
        $scheduleFrequencyRoundModel = new ScheduleFrequencySetting();

        foreach($frequencies as $frequency) {
            $scheduleFrequencyModel->updateOrCreate(['name' => $frequency['name']], $frequency);
        }
        foreach($rounds as $round) {
            $scheduleFrequencyRoundModel->updateOrCreate(['name' => $round['name']],$round);
        }
        return true;
    }
}
