<?php

namespace Qualee\AiDocSearch\Http\Controllers;

use App\Http\Controllers\Api\ApiController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth as Auth;
use Illuminate\Support\Facades\Validator;
use Qualee\AiDocSearch\Services\SearchService;

class SearchController extends ApiController
{
    protected $searchService;

    public function __construct(SearchService $searchService)
    {
        $this->searchService = $searchService;
    }

    public function searchDocumentByProfile(Request $request)
    {
        $user = Auth::guard('api')->user();

        $validator = Validator::make($request->all(), [
            'term' => 'required|max:100',
        ]);

        if ($validator->fails()) {
            return response()->json(['status' => false, "message" => "The term field is required."], 422);
        }

        return $this->searchService->search($request, $user);
    }
}
