# app.py

from fast_autocomplete import AutoComplete
import decimal
import random
from flask import Flask
from boto3.dynamodb.conditions import Attr
from botocore.exceptions import ClientError
from config_es import *

app = Flask(__name__)

# FULFILL WITH OWNER IAM (OR ROOT USER) CREDENTIALS:
tableName = "textract_results"  # DYNAMO DB'S TABLE NAME TO STORE ALL DATA TO
accessKey = "AKIAX4H5FR6D7D6M3K7J"
secretKey = "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"
s3BucketName = "docs-search-repository"  # DYNAMO DB'S TABLE NAME TO STORE ALL DATA TO
region = "ap-southeast-1"  # THE REGION IN WHICH THE AWS SERVICE IS REGISTERED

s3 = boto3.client(
    "s3",
    aws_access_key_id=accessKey,
    aws_secret_access_key=secretKey,
)

headers = {
    "Access-Control-Allow-Origin": "*",
    "Access-Control-Allow-Credentials": True,
}

textract = boto3.client(
    "textract",
    aws_access_key_id=accessKey,
    aws_secret_access_key=secretKey,
)
dynamodb = boto3.resource(
    "dynamodb",
    aws_access_key_id=accessKey,
    aws_secret_access_key=secretKey,
)
table = dynamodb.Table(tableName)
comprehender = boto3.client(
    "comprehend",
    aws_access_key_id=accessKey,
    aws_secret_access_key=secretKey,
)


class SetEncoder(json.JSONEncoder):
    def default(self, obj):
        if isinstance(obj, set):
            return list(obj)
        return json.JSONEncoder.default(self, obj)


# Helper class to convert a DynamoDB item to JSON.
class DecimalEncoder(json.JSONEncoder):
    def default(self, o):
        if isinstance(o, decimal.Decimal):
            if o % 1 > 0:
                return float(o)
            else:
                return int(o)
        return super(DecimalEncoder, self).default(o)


def deletedoc(event, context):
    query = json.loads(event["body"])
    documentname = query.get("docname")
    clientId = query.get("client_id")
    profileId = query.get("profile_id")
    uid = query.get("uid")
    env = query.get("env")
    # datecreated = query.get("datecreated")
    list_of_deletiong = []

    ## DELETE FROM S3:
    try:
        response_deleteS3 = s3.delete_object(Bucket=s3BucketName, Key=documentname)
        print(response_deleteS3)
        list_of_deletiong.append("Done deleting from S3")
    except ClientError as e:
        print(e)

    ## DELETE FROM DYNAMO DB:
    try:
        response_delete_db = table.delete_item(
            Key={"datecreated": searchInDynamoDB(documentname)},
            ConditionExpression="docname = :val",
            ExpressionAttributeValues={":val": documentname},
        )
        print(response_delete_db)
        list_of_deletiong.append("Done deleting DYNAMO DB")
    except ClientError as e:
        print(e)

    ## DELETE FROM ES :
    try:
        response_delete_es = deleteFromElastics(clientId, profileId, uid, env)
        print(response_delete_es)
        list_of_deletiong.append("Done deleting ES")
    except ClientError as e:
        print(e)

    ## FINAL RETURN
    return {
        "statusCode": 200,
        "body": json.dumps(list_of_deletiong),
        "headers": headers,
    }


def updateesdoc(event, context):
    query = json.loads(event["body"])
    title = query.get("title")
    uid = query.get("uid")
    clientid = query.get("client_id")
    env = query.get("env")
    
    response_update_es = updateDocTitleElastics(clientid, uid, title, env)
    print(response_update_es)

    ## FINAL RETURN
    return {
        "statusCode": 200,
        "headers": headers,
    }    


def deleterelatedinfo(event, context):
    query = json.loads(event["body"])
    documentname = query.get("docname")
    clientId = query.get("client_id")
    profileId = query.get("profile_id")
    env = query.get("env")
    datecreated = query.get("datecreated")

    list_of_deletiong = []

    ## DELETE FROM DYNAMO DB:
    try:
        response_delete_db = table.delete_item(
            Key={"datecreated": searchInDynamoDB(documentname)},
            ConditionExpression="docname = :val",
            ExpressionAttributeValues={":val": documentname},
        )
        print(response_delete_db)
        list_of_deletiong.append("Done deleting DYNAMO DB")
    except ClientError as e:
        print(e)

    ## DELETE FROM ES :
    try:
        response_delete_es = deleteFromElastics(documentname, clientId, profileId, env)
        print(response_delete_es)
        list_of_deletiong.append("Done deleting ES")
    except ClientError as e:
        print(e)

    ## FINAL RETURN
    return {
        "statusCode": 200,
        "body": json.dumps(list_of_deletiong),
        "headers": headers,
    }


def querytexttract(event, context):
    print("begin querytexttract")
    timestamp = int(time.time() * 1000)
    query = json.loads(event["body"])
    documentName = query.get("docname")
    keyIds = {}
    job_search = table.scan(FilterExpression=Attr("docname").eq(documentName))

    textList = []
    if job_search["Count"] != 0:  ## IF THE RECORD IS FOUND:
        print("The record is found!")
        jobitem = job_search["Items"][0]
        if "PENDING" in jobitem["data"]:
            response = textract.get_document_text_detection(JobId=jobitem["jobid"])
            if response["JobStatus"] == "SUCCEEDED":
                for item in response["Blocks"]:
                    if item["BlockType"] == "LINE":
                        textList.append(item["Text"])
                if response.get('NextToken'):
                    global nextToken
                    global nextResponse
                    nextToken = response['NextToken']
                    while nextToken:
                        nextResponse = textract.get_document_text_detection(JobId=jobitem["jobid"], NextToken=nextToken)
                        if nextResponse["JobStatus"] == "SUCCEEDED" or nextResponse["JobStatus"] == "PARTIAL_SUCCESS":
                            for item in nextResponse["Blocks"]:
                                if item["BlockType"] == "LINE":
                                    textList.append(item["Text"])
                            if nextResponse.get('NextToken'):
                                nextToken = nextResponse['NextToken']
                            else:
                                nextToken = None
                        else:
                            nextToken = None

                textList.append(documentName)
                comprehend_res = comprehend(" ".join(textList), jobitem["datecreated"])
                resp = table.update_item(
                    Key={"datecreated": jobitem["datecreated"]},
                    UpdateExpression="SET #datum = :newdata, #comprehend = :newcomprend",
                    ExpressionAttributeValues={
                        ":newdata": textList,
                        ":newcomprend": comprehend_res,
                    },
                    ExpressionAttributeNames={
                        "#datum": "data",
                        "#comprehend": "comprend",
                    },
                )

                # clientid = jobitem["clientid"]
                # profileid = jobitem["profileid"]
                # uploadToElastics(
                #     textList, comprehend_res, documentName, clientid, profileid
                # )
                # print("----uploadToElastics----")
                #
                # keyIds['clientid'] = jobitem["clientid"]
                # keyIds['profileid'] = jobitem["profileid"]
                # for item in comprehend_res:
                #     uploadKeywordToElastics(
                #         item.get("text"),
                #         item.get("type"),
                #         documentName,
                #         keyIds)

        return {
            "statusCode": 200,
            "body": json.dumps(
                jobitem,
                indent=4,
                cls=DecimalEncoder,
            ),
            "headers": headers,
        }
    else:  ## IF THE RECORD NOT IS FOUND, THEN ADDING TO THE DB
        print("The record is NOT found, coming to create the record...")
        responseJobJD = textract.start_document_text_detection(
            DocumentLocation={
                "S3Object": {"Bucket": s3BucketName, "Name": documentName}
            },
            ClientRequestToken=str(random.randint(1, 1e10)),
        )

        item = {
            "docname": documentName,
            "jobid": responseJobJD["JobId"],
            "datecreated": str(timestamp),
            "datemodified": timestamp,
            "data": ["PENDING"],
            "comprend": [],
        }
        table.put_item(Item=item)
        return {
            "statusCode": 200,
            "body": json.dumps(item),
            "headers": headers,
        }


def startdetecttexract(event, context):
    query = json.loads(event["body"])
    document_name = query.get("docname")
    client_id = query.get("client_id")
    profile_id = query.get("profile_id")
    document_title = query.get("title")
    u_id = query.get("uid")
    env = query.get("env")
    print("startdetecttexract: The record is NOT found, coming to create the record...")
    timestamp = int(time.time() * 1000)
    responseJobJD = textract.start_document_text_detection(
        DocumentLocation={"S3Object": {"Bucket": s3BucketName, "Name": document_name}},
        ClientRequestToken=str(random.randint(1, 1e10)),
    )
    item = {
        "docname": document_name,
        "jobid": responseJobJD["JobId"],
        "datecreated": str(timestamp),
        "datemodified": timestamp,
        "data": ["PENDING"],
        "clientid": client_id,
        "profileid": profile_id,
        "uid": u_id,
        "env": env,
        "title": document_title,
        "comprend": []
    }

    try:
        table.put_item(
            Item=item,
            ConditionExpression="attribute_not_exists(docname)",
        )
    except Exception as e:  # work on python 3.x
        print('Failed: ' + str(e))
        return {
            "statusCode": 200,
            "body": "Item is already existing, no need to put item.",
            "headers": headers,
        }
    return {
        "statusCode": 200,
        "body": json.dumps(item),
        "headers": headers,
    }


def searchInDynamoDB(docname):
    print("Coming to searchInDynamoDB")
    filter_expression = Attr("docname").eq(docname)
    response = table.scan(
        FilterExpression=filter_expression,
    )
    data = response["Items"]
    print(data)
    while 'LastEvaluatedKey' in response:
        response = table.scan(FilterExpression=filter_expression, ExclusiveStartKey=response['LastEvaluatedKey'])
        data.extend(response['Items'])
    if len(data) > 0:
        return data[0]["datecreated"]
    else:
        return 0


def listalldocs(event, context):
    tableName = "textract_results"
    accessKey = "AKIAX4H5FR6DX5ZUEE5P"
    secretKey = "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"

    # Document
    # s3 = boto3.resource("s3")
    s3 = boto3.client(
        "s3",
        aws_access_key_id=accessKey,
        aws_secret_access_key=secretKey,
    )
    # try:
    my_bucket = s3.list_objects(Bucket=s3BucketName)["Contents"]
    keyList = []
    for my_bucket_object in my_bucket:
        print(my_bucket_object)
        key = my_bucket_object["Key"]

        keyList.append(
            {
                "docname": key,
                "owner": my_bucket_object["Owner"]["DisplayName"],
                "uploaddate": int(my_bucket_object["LastModified"].timestamp()),
                "filesize": my_bucket_object["Size"],
                "link": f"https://{s3BucketName}.s3-{region}.amazonaws.com/{key}",
            }
        )

    keyList.sort(key=lambda x: x["uploaddate"], reverse=True)
    return {
        "statusCode": 200,
        "body": json.dumps(keyList),
        "headers": {
            "Access-Control-Allow-Origin": "*",
            "Access-Control-Allow-Credentials": True,
        },
    }
    # except Exception:
    #     return {
    #         "statusCode": 500,
    #         "body": "Something went wrong",
    #         "headers": headers,
    #     }


def listallsearchdata(event, context):
    print("Coming to listallsearchdata(event, context)")
    query = json.loads(event["body"])
    nodename = query.get("nodename")
    data = listAllInElasticsearch(nodename)
    print(data)
    return {
        "statusCode": 200,
        # "body": json.dumps(data),
        "body": data,
        "headers": headers,
    }


def search(event, context):
    query = json.loads(event["body"])
    term = query.get("term")
    clientid = query.get("clientid")
    profileid = query.get("profileid")
    env = query.get("env")
    data = startsearch(term, clientid, profileid, env)
    return {
        "statusCode": 200,
        "body": data,
        "headers": headers,
    }


def suggest(event, context):
    print("Coming to suggest(event, context)")
    query = json.loads(event["body"])
    query_string = query.get("term")
    clientid = query.get("clientid")
    profileid = query.get("profileid")
    resp = startsuggest(query_string[0], clientid, profileid)
    dict = json.loads(resp)
    words = {}

    for each in dict.get("hits").get("hits"):
        print('--------1---------')
        print(each)
        print('--------1---------')
        term = each.get("_source").get("body").lower()
        words[term] = {}
    autocomplete = AutoComplete(words=words)
    results = autocomplete.search(word=query_string, max_cost=3, size=3)

    if len(results) == 0:
        results = list(words.keys())
    else:
        results = list(flatten(results))
    print(results)

    return {
        "statusCode": 200,
        "body": json.dumps(results),
        # "body": str(results),
        "headers": headers,
    }


def hung(event, context):
    print("Hung is here")
    response = {
        "statusCode": 200,
        "body": "Hung is here.",
        "headers": {
            "Access-Control-Allow-Origin": "*",
            "Access-Control-Allow-Credentials": True,
        },
    }
    return response


def comprehend(text, datecreated):
    if utf8len(text) >= 5000:
        print("This text is larger than 5000 bytes --> truncating it...")
        text = truncate_unicode_to_byte_limit(text, 4999)
    results = comprehender.detect_entities(Text=text, LanguageCode="en")
    listItems = []
    for result in results["Entities"]:
        print(result["Text"])
        print(result["Type"])
        print(result["Score"])
        listItems.append(
            {
                "score": str(result["Score"]),
                "text": result["Text"],
                "type": result["Type"],
            }
        )
    return listItems


def flatten(something):
    if isinstance(something, (list, tuple, set, range)):
        for sub in something:
            yield from flatten(sub)
    else:
        yield something


def utf8len(text):
    return len(text.encode("utf-8"))


def truncate_unicode_to_byte_limit(src, byte_limit, encoding="utf-8"):
    return src.encode(encoding)[:byte_limit].decode(encoding, "ignore")


def start_document_ocr(event, context):
    query = json.loads(event["body"])
    bucket_name = query.get("bucket_name")
    document_name = query.get("document_name")
    output_bucket_name = query.get("output_bucket_name")
    output_prefix = query.get("output_prefix")

    print("Start document OCR ...")

    timestamp = int(time.time() * 1000)
    responseJob = textract.start_document_text_detection(
        DocumentLocation={"S3Object": {"Bucket": bucket_name, "Name": document_name}},
        ClientRequestToken=str(random.randint(1, 1e10)),
        OutputConfig={
            "S3Bucket": output_bucket_name,
            "S3Prefix": output_prefix
        },
    )

    return {
        "statusCode": 200,
        "body": json.dumps(responseJob),
        "headers": headers,
    }
