# app.py

import decimal
from flask import Flask

from app import comprehend
from config_es import *
from app import utf8len
from boto3.dynamodb.conditions import Attr

app = Flask(__name__)

tableName = "textract_results"  # DYNAMO DB'S TABLE NAME TO STORE ALL DATA TO
accessKey = "AKIAX4H5FR6D7D6M3K7J"
secretKey = "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"
s3BucketName = "docs-search-repository"  # DYNAMO DB'S TABLE NAME TO STORE ALL DATA TO
region = "ap-southeast-1"  # THE REGION IN WHICH THE AWS SERVICE IS REGISTERED

s3 = boto3.client(
    "s3",
    aws_access_key_id=accessKey,
    aws_secret_access_key=secretKey,
)

headers = {
    "Access-Control-Allow-Origin": "*",
    "Access-Control-Allow-Credentials": True,
    "Access-Control-Allow-Methods": "*",
}

textract = boto3.client(
    "textract",
    aws_access_key_id=accessKey,
    aws_secret_access_key=secretKey,
)
dynamodb = boto3.resource(
    "dynamodb",
    aws_access_key_id=accessKey,
    aws_secret_access_key=secretKey,
)
table = dynamodb.Table(tableName)


class SetEncoder(json.JSONEncoder):
    def default(self, obj):
        if isinstance(obj, set):
            return list(obj)
        return json.JSONEncoder.default(self, obj)


# Helper class to convert a DynamoDB item to JSON.
class DecimalEncoder(json.JSONEncoder):
    def default(self, o):
        if isinstance(o, decimal.Decimal):
            if o % 1 > 0:
                return float(o)
            else:
                return int(o)
        return super(DecimalEncoder, self).default(o)

# Update failed textract job in DynamoDB
def updateFailedTextractJob(datecreated, message):
    table.update_item(
        Key={"datecreated": datecreated},
        UpdateExpression="SET #datum = :newdata",
        ExpressionAttributeValues={
            ":newdata": ["FAILED", message],
        },
        ExpressionAttributeNames={
            "#datum": "data",
        }
    )
    


def runtextract(event, context):
    print("querytexttract")
    filter_expression = Attr('data').contains('PENDING') & Attr('size').not_exists()
    job_search = table.scan(FilterExpression=filter_expression)
    jobitems = job_search["Items"]
    while 'LastEvaluatedKey' in job_search:
        job_search = table.scan(FilterExpression=filter_expression, ExclusiveStartKey=job_search['LastEvaluatedKey'])
        jobitems.extend(job_search['Items'])
    
    print(len(jobitems))

    textList = []
    keyIds = {}

    for jobitem in jobitems:
        documentName = jobitem["docname"]
        if "PENDING" in jobitem["data"]:
            try:
                response = textract.get_document_text_detection(JobId=jobitem["jobid"])
                print(response["JobStatus"])
            except:
                updateFailedTextractJob(jobitem["datecreated"], "Textract job failed")
                
                uploadToElastics(
                    [], [], documentName, jobitem["clientid"],  jobitem["profileid"], jobitem['uid'], jobitem['title'], jobitem['env']
                )
                continue
            
            if response["JobStatus"] == "SUCCEEDED" or response["JobStatus"] == "PARTIAL_SUCCESS":
                for item in response["Blocks"]:
                    if item["BlockType"] == "LINE":
                        textList.append(item["Text"])
                if response.get('NextToken'):
                    global nextToken
                    global nextResponse
                    nextToken = response['NextToken']
                    while nextToken:
                        nextResponse = textract.get_document_text_detection(JobId=jobitem["jobid"], NextToken=nextToken)
                        if nextResponse["JobStatus"] == "SUCCEEDED" or nextResponse["JobStatus"] == "PARTIAL_SUCCESS":
                            for item in nextResponse["Blocks"]:
                                if item["BlockType"] == "LINE":
                                    textList.append(item["Text"])
                            if nextResponse.get('NextToken'):
                                nextToken = nextResponse['NextToken']
                            else:
                                nextToken = None
                        else:
                            nextToken = None
                # textList.append(documentName)
                comprehend_res = comprehend(" ".join(textList), jobitem["datecreated"]) if len(textList) > 0 else {}
                print("comprehend done.") 
                size = utf8len(" ".join(textList))

                table.update_item(
                    Key={"datecreated": jobitem["datecreated"]},
                    UpdateExpression="SET #datum = :newdata, #comprehend = :newcomprend, size = :contentsize, #status = :status",
                    ExpressionAttributeValues={
                        ":newdata": textList,
                        ":newcomprend": comprehend_res,
                        ":contentsize": size,
                        ":status": "COMPLETED",
                    },
                    ExpressionAttributeNames={
                        "#datum": "data",
                        "#comprehend": "comprend",
                        "#status": "status"
                    }
                )

                uploadToElastics(
                    textList, comprehend_res, documentName, jobitem["clientid"],  jobitem["profileid"], jobitem['uid'], jobitem['title'], jobitem['env']
                )

                keyIds['clientid'] = jobitem["clientid"]
                keyIds['profileid'] = jobitem["profileid"]
                keyIds['uid'] = jobitem["uid"]
                keyIds['env'] = jobitem["env"]
                for item in comprehend_res:
                    uploadKeywordToElastics(
                        item.get("text"),
                        item.get("type"),
                        documentName,
                        keyIds
                    )
            elif response["JobStatus"] == "FAILED":
                updateFailedTextractJob(jobitem["datecreated"], response["StatusMessage"])
                
                uploadToElastics(
                    [], [], documentName, jobitem["clientid"],  jobitem["profileid"], jobitem['uid'], jobitem['title'], jobitem['env']
                )
                
    print("/querytexttract")
