import boto3
from pdf2image import convert_from_path, convert_from_bytes

from pdf2image.exceptions import (
    PDFInfoNotInstalledError,
    PDFPageCountError,
    PDFSyntaxError,
)

# Document
documentName = "./cv/vucaophong.jpg"

# Read document content
# imageBytes = convert_from_bytes(open(documentName, "rb").read())

with open(documentName, "rb") as document:
    imageBytes = bytearray(document.read())

# Amazon Textract client
textract = boto3.client("textract")

# Call Amazon Textract
response = textract.detect_document_text(Document={"Bytes": imageBytes})
# with open(documentName, "rb") as document:
#     response = textract.detect_document_text(Document={"Bytes": imageBytes})

# print(response)

# Print detected text
for item in response["Blocks"]:
    if item["BlockType"] == "LINE":
        # print("\033[94m" + item["Text"] + "\033[0m")
        print("\n" + item["Text"])
