import boto3
from pdf2image import convert_from_path, convert_from_bytes

from pdf2image.exceptions import (
    PDFInfoNotInstalledError,
    PDFPageCountError,
    PDFSyntaxError,
)

# Document
s3BucketName = "qualee-document-data"
documentName = "picture-1600417411560.jpg"

# Amazon Textract client
textract = boto3.client("textract")

# Call Amazon Textract
response = textract.detect_document_text(
    Document={"S3Object": {"Bucket": s3BucketName, "Name": documentName}}
)

# print(response)

# Print detected text
for item in response["Blocks"]:
    if item["BlockType"] == "COLUMN":
        print("\033[94m" + item["Text"] + "\033[0m")
