import Head from 'next/head'
import styles from '../styles/Home.module.css'
import axios, { post } from 'axios';
import moment from 'moment';
import React, { useEffect, useState, StyleSheet, Component } from 'react';
import $ from 'jquery';
import {
    Modal, Accordion, Card, Image, Table, FormControl, Nav, Form, Spinner, ProgressBar,
    NavDropdown, Navbar, Button, Container, Row, Col, ListGroup, Pagination, Alert, Badge
} from 'react-bootstrap';
import ReactDOM from 'react-dom';
import { render } from 'react-dom';
import Countdown from 'react-countdown';
import Highlighter from "react-highlight-words";
// import Loupe from '../public/assets/loupe.png';
import { AddCircleOutline } from 'react-ionicons-v5';
var spelling = require('spelling'),
    dictionary = require('spelling/dictionaries/en_US.js');
var dict = new spelling(dictionary);
var AWS = require('aws-sdk/dist/aws-sdk-react-native');

var region = "ap-southeast-1";
var s3 = new AWS.S3({
    accessKeyId: '',
    secretAccessKey: '',
    region: region,
});
var bucketname = "";

export default function Home() {
    const bucketURlPrefix = `https://${bucketname}.s3-${region}.amazonaws.com/`
    const hostURL = `https:/${""}..execute-api.${region}.amazonaws.com`

    const qualeeImageURL = "https://static.wixstatic.com/media/983dff_48bfa162092e4ed7b1f4d8ff38cd347f~mv2.png/v1/fill/w_3000,h_1000,al_c/983dff_48bfa162092e4ed7b1f4d8ff38cd347f~mv2.png";
    const listalldocs = `${hostURL}/dev/listalldocs`;
    const trackjob = `${hostURL}/dev/textractfrompdf_trackjob`;
    const startjob = `${hostURL}/dev/textractfrompdf_startjob`;
    const comprehend = `${hostURL}/dev/comprehend`;
    const gettextract = `${hostURL}/dev/querytexttract`;
    const deletedoc = `${hostURL}/dev/deletedoc`;
    const getSearchResult = `${hostURL}/dev/search`;
    const startTextractJob = `${hostURL}/dev/startdetecttexract`;
    const getSuggestions = `${hostURL}/dev/suggest`;
    const deleteRelatedInfo = `${hostURL}/dev/deleterelatedinfo`;

    const [jobID, setJobID] = useState("");
    const [seconds, setSeconds] = React.useState(60);
    const [docslist, setDocsList] = useState([]);
    const [wordList, setWordList] = useState(["Loading"]);
    const [entitiesList, setEntitiesList] = useState(["Loading"]);
    const [imageCurrent, setImageCurrent] = useState(qualeeImageURL);
    const [isLoading, setIsLoading] = useState(true);
    const [file, setFile] = useState(null);
    const [fileForUpdate, setFileForUpdate] = useState(null);
    const [suggestsList, setSuggestsList] = useState([]);

    // for the modals:
    const [showUpdate, setShowUpdate] = useState(false);
    const [showDoneUploading, setShowDoneUploading] = useState(false);
    const [showDeleting, setShowDeleting] = useState(false);
    const handleUpdateClose = () => setShowUpdate(false);
    const handleUpdateShow = () => setShowUpdate(true);
    const handleUploadingDoneShow = () => setShowDoneUploading(true);
    const handleUploadingDoneClose = () => {
        getAllDocs();
        setShowDoneUploading(false);
    };
    const [selectedFilename, setSelectedFilename] = useState("");
    const [selectedFileDateCreated, setSelectedFileDateCreated] = useState(0);
    const [searchText, setSearchText] = useState("");
    const [searchResults, setSearchResults] = useState([]);
    const [showSpinner, setShowSpinner] = useState(false);
    const [activePagi, setActivePagi] = useState(1);
    const [paginationList, setPaginationItems] = useState([]);
    const [progressUploading, setProgressUploading] = useState(0);
    const [progressSearch, setProgressSearch] = useState(0);
    const [searchInputIsFocused, focusSearchInput] = useState(false);

    //Hard code for tungnt@fabatechnology.com
    const clientId = 2106;
    const profileId = 2111;

    useEffect(() => {
        getAllDocs();
        setIsLoading(false)
        onFormSubmit = onFormSubmit.bind(this)
        onChange = onChange.bind(this)
        updateFile = updateFile.bind(this)
    }, []);
    var getAllDocs = async () => {
        try {
            const response = await axios.get(listalldocs);
            console.log(response);
            setDocsList(response.data);
        } catch (error) {
            console.error(error);
        }
    }
    var getSuggestionResults = async (term, clientId) => {
        const response = await axios.post(getSuggestions, { "term": term, 'clientid': clientId });
        if (response.status === 200) {
            console.log(response);
            setSuggestsList(response.data.filter(item => item !== searchText));
        } else {
            console.error(response);
        }
    }
    var getImage = (docName) => {
        setImageCurrent("assets/loading.gif");
        var params = {
            Bucket: bucketname, Key: docName
        };
        s3.getObject(params, function (err, data) {
            console.log(err);
            console.log(data.Body);
            const blob = new Blob([data.Body]);
            const url = URL.createObjectURL(blob);
            const img = document.getElementById('img');
            // img.src = url;
            // img.onload = e => URL.revokeObjectURL(url);
        });
    }
    var getTextsDetected = async (docName) => {
        setWordList(["Loading"]);
        try {
            const response = await axios.post(gettextract, {
                "docname": docName
            });
            console.log(response.data["data"]);
            setWordList(response.data["data"]);
        } catch (error) {
            console.error(error);
        }
    }
    var deleteRelatedInfomation = async (docname) => {
        try {
            console.log(docName + " will be deleted.");
            const response = await axios.post(deleteRelatedInfo, { "docname": docName });
            console.log(response);
            getAllDocs();
            alert("Your old version/document is deleted!");
        } catch (error) {
            console.error(error);
        }
    }
    var deleteDocument = async (docName, dateCreated) => {
        try {
            console.log(docName + " " + dateCreated + " will be deleted.");
            const response = await axios.post(deletedoc, {
                "docname": docName,
                "datecreated": dateCreated,
            });
            console.log(response);
            getAllDocs();
            alert("Your old version/document is deleted!");
        } catch (error) {
            console.error(error);
        }
    }
    var getEntitiesDetected = async (text) => {
        setEntitiesList(["Loading"]);
        try {
            const response = await axios.post(comprehend, { "text": text },);
            console.log(response.data);
            setEntitiesList(response.data);
        } catch (error) {
            console.error(error);
        }
    }
    var onFormSubmit = (e) => {
        e.preventDefault() // Stop form submit
        newFileUpload(file);
        e.target.value = null;
    }

    var onChange = (e) => {
        setFile(e.target.files[0]);
    }
    var onChangeForUpdate = (e) => {
        setFileForUpdate(e.target.files[0]);
    }
    var updateFile = async (fileName) => {
        // START UPLOADING A FILE
        var params = {
            Bucket: bucketname, Key: fileName, Body: fileForUpdate, ACL: 'public-read'
        };
        s3.upload(params, async (err, data) => {
            if (err) {
                console.log(err);
                alert('There was an error happening, please try again later.');
            } else {
                console.log(data);
                const deleteOldInfo_resp = await axios.post(deleteRelatedInfo, { "docname": data.key });
                console.log(deleteOldInfo_resp);
                const startTextract_resp = await axios.post(startTextractJob, { "docname": data.key });
                console.log(startTextract_resp);
                alert('Your file is successfully uploaded!')
                getAllDocs();
                $("progress").attr('value', 0);
            }
        }).on('httpUploadProgress', function (progress) {
            var uploaded = parseInt((progress.loaded * 100) / progress.total);
            $("progress").attr('value', uploaded);
        });
    }
    var newFileUpload = async (file) => {
        var objectIsExisting = false;
        setProgressUploading(2);
        console.log(file);
        var fileName = file.name;
        var filePath = fileName;
        var fileUrl = bucketURlPrefix + filePath;
        console.log("The file will be uploaded at " + fileUrl);

        if (docslist.filter(function (e) { return e.docname === fileName; }).length > 0) {
            objectIsExisting = true;
            if (confirm("You're about to overwrite a file which is already existing in your database.\n\nAre you sure to continue?")) {
                deleteDocument(fileName, "0");
            } else { return; }
        }

        // START UPLOADING A FILE
        var params = {
            Bucket: bucketname,
            Key: filePath, Body:
            file, ACL: 'public-read'
        };

        s3.upload(params, async (err, data) => {
            if (err) {
                console.log(err);
                alert('There was an error happening, please try again later.');
            } else {
                console.log(data);
                const startTextract_resp = await axios.post(startTextractJob, {
                    "docname": data.key,
                    "client_id": clientId,
                    "profile_id" :profileId
                });
                console.log(startTextract_resp);
                alert('Your file is successfully uploaded!')
                getAllDocs();
                setFile(null);
            }
        }).on('httpUploadProgress', function (progress) {
            var uploaded = parseInt((progress.loaded * 100) / progress.total);
            setProgressUploading(uploaded);
        });
    }

    var searchTerm = async (term) => {
        try {
            setProgressSearch(5);
            console.log('trungnguyen');
            const response = await axios.post(getSearchResult, {"term": term, "clientid": clientId});
            console.log(response.data);
            var hits = response.data['hits']['hits'];
            if (hits.length === 0) {
                alert(`Search with "${term}".\n\nThis search returns no results, please keep trying with another keyword.`);
            }
            const newArray = hits.reduce((prev, curr) => {
                const { body, title } = curr._source;
                const hung = body.filter(text => text.toLowerCase().includes(term.toLowerCase()))
                const docs = hung.map(doc => ({ containing: doc, doc: title }))
                setProgressSearch(progressSearch + 1);
                prev.push(docs);
                return prev;
            }, []);
            setSearchResults(newArray.flat());
            getSuggestionResults(term, 2106);
            setShowSpinner(false);
            setProgressSearch(100);
        } catch (error) {
            console.error(error);
            setShowSpinner(false);
            setProgressSearch(0);
        }
    }
    var onSearchFormSubmit = (e) => {
        e.preventDefault();
        setProgressSearch(1);
        setShowSpinner(true);
        setProgressSearch(99);
        console.log("This is onSearchFormSubmit submitted with: " + searchText);
        searchTerm(searchText);
        setProgressSearch(100);
    }
    return (
        <div>
            <Head>
                <title>Qualee Pilot Project Page</title>
            </Head>
            <Container fluid>
                {/* <div className="container" fluid="true"> */}
                <Navbar bg="white" expand="lg">
                    <Navbar.Brand href="#home">
                        <img src={qualeeImageURL} style={{ height: 70 }} />
                    </Navbar.Brand>
                    <Navbar.Toggle aria-controls="basic-navbar-nav" />
                    {/* <Navbar.Collapse id="basic-navbar-nav">
                        <Nav className="mr-auto">
                            <Nav.Link href="#home">Sample 1</Nav.Link>
                            <Nav.Link href="#link">Sample 2</Nav.Link>
                        </Nav>
                    </Navbar.Collapse> */}
                </Navbar>
                {
                    (isLoading == false) ?
                        <Container fluid>
                            <Row style={{ padding: 12 }}>
                                <Col xs={12} md={7}>
                                    <h2 style={{ textAlign: "center" }}>Doc Store</h2>
                                    <Row style={{ margin: 20, marginLeft: 0 }}  >
                                        <form className="row" encType="multipart/form-data"
                                            onSubmit={onFormSubmit}>
                                            <Card style={{ padding: 12, marginRight: 12, borderRadius: 8 }} >
                                                <FormControl type="file" accept=".pdf" onChange={onChange} />
                                            </Card>
                                            {
                                                file != null ?
                                                    <Button style={{ float: "right", borderRadius: 8 }} type="submit">UPLOAD</Button>
                                                    : <Button style={{ float: "right", borderRadius: 8, opacity: 0.3 }} variant="light" onClick={(e) => {
                                                        e.preventDefault();
                                                        alert("No file is selected, please select a file.");
                                                    }}>UPLOAD</Button>
                                            }
                                        </form>
                                        <div style={{ flex: 1 }}></div>
                                    </Row>
                                    {
                                        (progressUploading > 0 && progressUploading < 100) ? <ProgressBar
                                            style={{ margin: 12 }}
                                            striped animated now={progressUploading} /> : <div />
                                    }
                                    <Row
                                        className="align-items-center">
                                        <Table size="sm">
                                            <thead>
                                                <tr align="center">
                                                    <th>Name</th>
                                                    <th>Filename</th>
                                                    <th>Uploaded</th>
                                                    <th>Size</th>
                                                    <th>Update?</th>
                                                    <th></th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                {
                                                    docslist.map((doc, index) => {
                                                        // if (index <= (activePagi * 2) && index >=(activePagi * 2 - 2)) {
                                                        return (
                                                            <tr key={index} align="center">
                                                                <td>
                                                                    {doc.docname.replace('.pdf', '')}
                                                                </td>
                                                                <td>
                                                                    <div className="doc" style={{ cursor: "pointer" }} onClick={() => {
                                                                        setEntitiesList(["Loading"]);
                                                                        getImage(doc.docname);
                                                                        getTextsDetected(doc.docname)
                                                                        setSelectedFilename(doc.docname);
                                                                        setSelectedFileDateCreated(doc.uploaddate);
                                                                    }}>
                                                                        {doc.docname}
                                                                    </div>
                                                                </td>
                                                                <td>{moment(doc.uploaddate * 1000).format("DD MMM YY, hh:mm:ss")}</td>
                                                                <td>{convertFromBytes(doc.filesize)}</td>
                                                                <td>
                                                                    <a onClick={() => {
                                                                        setShowUpdate(true);
                                                                        setSelectedFilename(doc.docname);
                                                                        setSelectedFileDateCreated(doc.uploaddate);
                                                                    }}>
                                                                        <img src={"assets/refresh.png"} height="20px" style={{ height: 20, opacity: 0.4 }} />
                                                                    </a>
                                                                </td>
                                                                <td>
                                                                    <a onClick={() => {
                                                                        if (confirm("Are you sure to delete this doc?")) {
                                                                            deleteDocument(doc.docname, doc.uploaddate.toString());
                                                                        }
                                                                    }}>
                                                                        <img src={"assets/trash.png"} height="20px" style={{ height: 20, opacity: 0.4 }} />
                                                                    </a>
                                                                </td>
                                                            </tr>
                                                        );
                                                        // }
                                                    })
                                                }
                                            </tbody>
                                        </Table>
                                    </Row>
                                    {/* <Row>
                                        <Pagination.Prev />
                                        <Pagination>{paginationList}</Pagination>
                                        <Pagination.Next />
                                    </Row> */}
                                </Col>

                                <Col style={{
                                    paddingRight: 50,
                                    paddingLeft: 50,
                                }} xs={12} md={5}>
                                    <h2 style={{ textAlign: "center" }}>Search</h2>
                                    <div style={{ alignItems: "center" }}>
                                        <Form onSubmit={onSearchFormSubmit} style={{
                                            paddingBottom: 30,
                                            paddingTop: 30,
                                        }}>
                                            <FormControl value={searchText} type="text" placeholder="Search" style={{
                                                background: `url('./loupe.png') no-repeat 10px 10px`,
                                                backgroundSize: "12px 12px",
                                                borderRadius: 50, padding: 7, paddingLeft: 27,
                                            }}
                                                onChange={(e) => {
                                                    setSearchText(e.target.value);
                                                }} />
                                            <Button type="submit" style={{ visibility: "hidden" }} />
                                        </Form>
                                    </div>

                                    {
                                        (progressSearch > 0 && progressSearch < 100) ? <ProgressBar
                                            style={{ margin: 12 }}
                                            striped animated now={progressSearch} /> : <div />
                                    }

                                    {
                                        (searchText != "" && suggestsList.length > 0)
                                            ? <Card>
                                                <Card.Header>{
                                                    searchResults.length === 0 ? <b>No results for this search. Did you mean?</b> : <b>Also in your results</b>
                                                }</Card.Header>
                                                <Card.Body>
                                                    <Row style={{ padding: 12 }}>{
                                                        suggestsList.map(
                                                            (suggest, index) => {
                                                                return <h5>
                                                                    <Badge
                                                                        className="suggest-item"
                                                                        style={{ cursor: "pointer", marginRight: 5 }}
                                                                        onClick={(e) => {
                                                                            // onSearchFormSubmit(e);
                                                                            searchTerm(suggest);
                                                                            setProgressSearch(100);
                                                                            setSearchText(suggest);
                                                                        }}
                                                                        key={index} variant="primary">{suggest}</Badge>
                                                                </h5>
                                                            }
                                                        )
                                                    } </Row>

                                                </Card.Body>
                                            </Card>
                                            : <div />
                                    }
                                    <div style={{ height: 12 }} />

                                    {searchResults.length > 0 ? <h3>Search results</h3> : <div></div>}

                                    { console.log(searchResults) }
                                    {searchResults.map((each, index) => <Card
                                        key={index}
                                        className="resultcard"
                                        style={{
                                            cursor: "pointer",
                                            marginTop: 12,
                                            marginBottom: 12,
                                            borderRadius: 8
                                        }}
                                    >
                                        <Card.Body>
                                            <Card.Text>
                                                <Highlighter
                                                    highlightClassName="highlighted"
                                                    searchWords={[searchText]}
                                                    autoEscape={true}
                                                    textToHighlight={each.containing}
                                                />
                                            </Card.Text>
                                            <Card.Title style={{ padding: 0, margin: 0 }}>
                                                <a onClick={() => {
                                                    const params = {
                                                        Bucket: bucketname,  /* required */
                                                        Key: each.doc         /* required */
                                                    };
                                                    return new Promise((resolve, reject) => {
                                                        s3.getObject(params, function (err, data) {
                                                            if (err) {
                                                                reject(err);
                                                            } else {
                                                                console.log("Successfully dowloaded data from  bucket");
                                                                // resolve(data);
                                                                let blob = new Blob([data.Body], { type: data.ContentType });
                                                                let link = document.createElement('a');
                                                                link.href = window.URL.createObjectURL(blob);
                                                                link.download = bucketURlPrefix + each.doc;
                                                                link.click();
                                                            }
                                                        });

                                                    });

                                                }} target="blank"   >
                                                    {each.doc}
                                                </a>
                                            </Card.Title>
                                        </Card.Body>
                                    </Card>)}

                                    <Accordion defaultActiveKey="0">
                                        <Card>
                                            <Card.Header>
                                                <Accordion.Toggle as={Button} variant="link" eventKey="1">
                                                    For debugging purpose:
                                                </Accordion.Toggle>
                                            </Card.Header>
                                            <Accordion.Collapse eventKey="1">
                                                <Card.Body>
                                                    <h5>{selectedFilename}</h5>
                                                    <h6>{selectedFileDateCreated}</h6>
                                                    <ListGroup>
                                                        {
                                                            wordList.map((word, index) => {
                                                                return (
                                                                    <ListGroup.Item key={index}>
                                                                        {word}
                                                                    </ListGroup.Item>
                                                                );
                                                            })
                                                        }
                                                    </ListGroup>
                                                </Card.Body>
                                            </Accordion.Collapse>
                                        </Card>
                                    </Accordion>

                                    {/* <Button onClick={() => {
                                        getEntitiesDetected(wordList.join(' '));
                                    }}>
                                        Detect entities
                                        </Button>
                                    <Table striped bordered hover size="sm">
                                        <thead>
                                            <tr>
                                                <th>Text</th>
                                                <th>Type detected</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            {
                                                entitiesList.map((entity, index) => {
                                                    return (
                                                        <tr key={index}>
                                                            <td>{entity.text}</td>
                                                            <td>{entity.type}</td>
                                                        </tr>
                                                    );
                                                })
                                            }
                                        </tbody>
                                    </Table> */}

                                </Col>
                            </Row>
                        </Container> : <h2>Loading</h2>

                }

                {/* MODAL FOR UPDATING */}
                <Modal show={showUpdate} onHide={handleUpdateClose}>
                    <Modal.Header closeButton>
                        <Modal.Title>Wanna Update {selectedFilename}?</Modal.Title>
                    </Modal.Header>
                    <Modal.Body>
                        <Form encType="multipart/form-data" onSubmit={(e) => {
                            e.preventDefault() // Stop form submit
                            updateFile(selectedFilename);
                            e.target.value = null;
                            setShowUpdate(false);
                        }} style={{ display: "flex" }} >
                            <FormControl type="file" onChange={onChangeForUpdate} />
                            {
                                fileForUpdate != null ?
                                    <Button style={{ borderRadius: 8 }} type="submit">UPDATE</Button>
                                    : <Button style={{ borderRadius: 8, opacity: 0.3 }} variant="light" onClick={(e) => {
                                        e.preventDefault();
                                        alert("No file is selected, please select a file.");
                                    }}>UPDATE</Button>
                            }
                        </Form>
                        {/* <Form>
                            <form target="blank"
                                action="http://localhost:5000/updatefile"
                                encType="multipart/form-data" method="POST" onSubmit={(e) => {
                                    alert("The file is updated!");
                                    e.target.value = null;
                                    handleUpdateClose();
                                    // }
                                }}>
                                <input type="file" name="myFile" />
                                <input type="text" name="filename" id="say" value={selectedFilename} hidden />
                                <input type="submit" value="Update this file" />
                            </form>
                        </Form> */}
                    </Modal.Body>
                    <Modal.Footer>
                        <Button variant="primary" onClick={handleUpdateClose}>
                            Close
                    </Button>
                    </Modal.Footer>
                </Modal>


                {/* MODAL WHEN DONE UPLOADING NEW DOC */}
                <Modal show={showDoneUploading} onHide={handleUploadingDoneClose}>
                    <Modal.Header closeButton>
                        <Modal.Title>Thank You!</Modal.Title>
                    </Modal.Header>
                    <Modal.Body>
                        It's done.
                </Modal.Body>
                    <Modal.Footer>
                        <Button variant="primary" onClick={handleUploadingDoneClose}>
                            Close
                    </Button>
                    </Modal.Footer>
                </Modal>

                {/* MODAL WHEN DELETING A DOC */}
                <Modal show={showDeleting}>
                    <Modal.Header closeButton>
                        <Modal.Title>You're deleting a document</Modal.Title>
                    </Modal.Header>
                    <Modal.Body>
                        Are you sure? You cannot undo this action.
                </Modal.Body>
                    <Modal.Footer>
                        <Button variant="dander" onClick={deleteDocument}>
                            Yes
                    </Button>
                    </Modal.Footer>
                </Modal>
                {/* </div> */}
            </Container >
        </div >

    );
}


// SUPPORTIVE FUNCTIONS:
const units = ['bytes', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'];

function convertFromBytes(x) {
    let l = 0, n = parseInt(x, 10) || 0;

    while (n >= 1024 && ++l) {
        n = n / 1024;
    }
    //include a decimal point and a tenths-place digit if presenting
    //less than ten of KB or greater units
    return (n.toFixed(n < 10 && l > 0 ? 1 : 0) + ' ' + units[l]);
}