@extends('layouts.email')
@section('content')
    <p>
        <strong>{{__('Hey')}} {{ $name }}</strong>!
    </p>
    <p>{{__('Thanks for signing up to Qualee. We are excited to help you transform your employee onboarding and engagement experiences!')}}</p>
    <h4>{{__("Let's Go")}}</h4>
    <p>{!! __('To get started, log in to the Qualee Console. You can get an intro to the console right <a href="https://www.qualee.com/qualee-console-intro">here</a>.') !!}</p>
    <p>{{__('Your login details are:')}}</p>
    <table style="margin-left: auto; margin-right: auto;">
        <tr>
            <td style="padding-right: 30px;">{{__('Username')}}</td>
            <td>
                <strong>{{ $user_name }}</strong>
            </td>
        </tr>
        <tr>
            <td>{{__('Password')}}</td>
            <td><strong>{{ $password }}</strong></td>
        </tr>
    </table>
    <br/>
    <p class="center">
        <a href="{{  url(config('app.front_end_url') . '/login') }}" class="button button-primary">
            {{__('Log in to Qualee')}}
        </a>
    </p>
    <h4>{{__("Have Questions?")}}</h4>
    <p>{!! __('Check out our <a href="https://www.qualee.com/faqs">FAQs</a>, review our <a href="https://www.qualee.com/qualee-console-intro">Console Intro</a> or <a href="mailto:info@qualee.com">contact our support team</a>. We’re always here to help!') !!}</p>
@endsection
