@php
    $comment = $answer->comment;
    $sensitives = $sensitiveWords;

    foreach($sensitives as $sensitive) {
        $comment = preg_replace("/".$sensitive."/i", '<strong>$0</strong>', $comment);
    }
@endphp
@extends('layouts.email')
@section('content')
    <p>{{__('Hi')}} {{ $admin->first_name}},</p>
    <p>{{__('An employee in your organization has provided a comment to an engagement survey that included a sensitive word')}}</p>
    <p>{{__('You should review the full comment and take appropriate action')}}</p>
    <table style="margin-left: auto; margin-right: auto;">
        <tr>
            <td style="padding-right: 10px; text-align: right; width: 150px;vertical-align: top;">{{__('Question')}}</td>
            <td>{{ $questionnaire->question }}</td>
        </tr>
        <tr>
            <td style="padding-right: 10px; text-align: right; width: 150px;vertical-align: top;">{{__('Comment')}}</td>
            <td>{!! $comment!!}</td>
        </tr>
        <tr>
            <td style="padding-right: 10px; text-align: right; width: 150px;vertical-align: top;">{{__('Sender')}}</td>
            <td>{{ __('Log in to view') }}</td>
        </tr>
    </table>
    <br/>
    <p class="center">
        <a href="{{  url(config('app.front_end_url') . '/login') }}" class="button button-primary">
            {{__('Log in to Qualee')}}
        </a>
    </p>
    <h4>{{__("Have Questions?")}}</h4>
    <p>{!! __('Check out our <a href="https://www.qualee.com/faqs">FAQs</a>, review our <a href="https://www.qualee.com/intro-1-welcome">Console Intro</a> or <a href="mailto:info@qualee.com">contact our support team</a>. We’re always here to help!') !!}</p>
@endsection
